{-#LANGUAGE ForeignFunctionInterface#-}
#include "Bullet.h"
module Physics.Bullet.Raw.LinearMath (
module Physics.Bullet.Raw.LinearMath
) where
import Control.Monad
import Foreign.Marshal.Alloc
import Foreign.ForeignPtr
import Foreign.Ptr
import Physics.Bullet.Raw.C2HS
import Physics.Bullet.Raw.Types
import Physics.Bullet.Raw.Class
-- * CProfileIterator
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#135>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_new as cProfileIterator    `( CProfileNodeClass p0 )' =>     {  withBt* `p0'  } -> `CProfileIterator' mkCProfileIterator* #}
{#fun cProfileIterator_free    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#116>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Name as cProfileIterator_Get_Current_Name    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `String'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#117>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Total_Calls as cProfileIterator_Get_Current_Total_Calls    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#118>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Total_Time as cProfileIterator_Get_Current_Total_Time    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#111>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Enter_Child as cProfileIterator_Enter_Child    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#108>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Is_Done as cProfileIterator_Is_Done    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#107>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Next as cProfileIterator_Next    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#109>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Is_Root as cProfileIterator_Is_Root    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#123>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Parent_Name as cProfileIterator_Get_Current_Parent_Name    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `String'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#120>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_UserPointer as cProfileIterator_Get_Current_UserPointer    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#124>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Parent_Total_Calls as cProfileIterator_Get_Current_Parent_Total_Calls    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#121>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Set_Current_UserPointer as cProfileIterator_Set_Current_UserPointer    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#125>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Parent_Total_Time as cProfileIterator_Get_Current_Parent_Total_Time    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Enter_Parent as cProfileIterator_Enter_Parent    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#106>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_First as cProfileIterator_First    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#131>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_CurrentParent_set    `( CProfileIteratorClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#131>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_CurrentParent_get    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#132>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_CurrentChild_set    `( CProfileIteratorClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#132>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_CurrentChild_get    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
-- * CProfileManager
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_new as cProfileManager    {  } -> `CProfileManager' mkCProfileManager* #}
{#fun cProfileManager_free    `( CProfileManagerClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#151>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Reset as cProfileManager_Reset    `( )' =>     {  } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#165>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_dumpAll as cProfileManager_dumpAll    `( )' =>     {  } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#153>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Get_Frame_Count_Since_Reset as cProfileManager_Get_Frame_Count_Since_Reset    `( )' =>     {  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#161>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Release_Iterator as cProfileManager_Release_Iterator    `(  CProfileIteratorClass p0 )' =>     {  withBt* `p0'  -- ^ iterator
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#144>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Stop_Profile as cProfileManager_Stop_Profile    `( )' =>     {  } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#146>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_CleanupMemory as cProfileManager_CleanupMemory    `( )' =>     {  } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#154>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Get_Time_Since_Reset as cProfileManager_Get_Time_Since_Reset    `( )' =>     {  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#143>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Start_Profile as cProfileManager_Start_Profile    `( )' =>     {   `String'  -- ^ name
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#152>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Increment_Frame_Counter as cProfileManager_Increment_Frame_Counter    `( )' =>     {  } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#163>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_dumpRecursive as cProfileManager_dumpRecursive    `(  CProfileIteratorClass p0 )' =>     {  withBt* `p0'  -- ^ profileIterator
,  `Int'  -- ^ spacing
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Get_Iterator as cProfileManager_Get_Iterator    `( )' =>     {  } ->  `CProfileIterator'  mkCProfileIterator* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#168>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Root_set    `( CProfileManagerClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#168>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Root_get    `( CProfileManagerClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#169>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_CurrentNode_set    `( CProfileManagerClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#169>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_CurrentNode_get    `( CProfileManagerClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#170>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_FrameCounter_set    `( CProfileManagerClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#170>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_FrameCounter_get    `( CProfileManagerClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_ResetTime_set    `( CProfileManagerClass bc )' =>     { withBt* `bc' ,  `Word64'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_ResetTime_get    `( CProfileManagerClass bc )' =>     { withBt* `bc'  } ->  `Word64'   #}
-- * CProfileNode
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_new as cProfileNode    `( CProfileNodeClass p1 )' =>     {   `String' , withBt* `p1'  } -> `CProfileNode' mkCProfileNode* #}
{#fun cProfileNode_free    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#78>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Reset as cProfileNode_Reset    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Return as cProfileNode_Return    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#86>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_SetUserPointer as cProfileNode_SetUserPointer    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#71>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Sub_Node as cProfileNode_Get_Sub_Node    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ name
 } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#77>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_CleanupMemory as cProfileNode_CleanupMemory    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#73>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Parent as cProfileNode_Get_Parent    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#85>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_GetUserPointer as cProfileNode_GetUserPointer    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Name as cProfileNode_Get_Name    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `String'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#84>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Total_Time as cProfileNode_Get_Total_Time    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#79>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Call as cProfileNode_Call    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#74>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Sibling as cProfileNode_Get_Sibling    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#75>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Child as cProfileNode_Get_Child    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Total_Calls as cProfileNode_Get_Total_Calls    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Child_set    `( CProfileNodeClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Child_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Name_set    `( CProfileNodeClass bc )' =>     { withBt* `bc' ,  `String'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Name_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `String'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#95>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Parent_set    `( CProfileNodeClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#95>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Parent_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#93>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_RecursionCounter_set    `( CProfileNodeClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#93>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_RecursionCounter_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Sibling_set    `( CProfileNodeClass bc , CProfileNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Sibling_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `CProfileNode'  mkCProfileNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_StartTime_set    `( CProfileNodeClass bc )' =>     { withBt* `bc' ,  `Word64'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_StartTime_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `Word64'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#90>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_TotalCalls_set    `( CProfileNodeClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#90>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_TotalCalls_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#91>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_TotalTime_set    `( CProfileNodeClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#91>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_TotalTime_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#98>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_m_userPtr_set    `( CProfileNodeClass bc )' =>     { withBt* `bc' , withVoidPtr* `VoidPtr'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#98>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_m_userPtr_get    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } ->  `VoidPtr'  mkVoidPtr* #}
-- * CProfileSample
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#179>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileSample_new as cProfileSample    {   `String'  } -> `CProfileSample' mkCProfileSample* #}
{#fun cProfileSample_free    `( CProfileSampleClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<BT_QUANTIZED_BVH_NODE, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__new as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_    {  } -> `BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_' mkBtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_* #}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__free    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__destroy as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__destroy    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__deallocate as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__deallocate    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__construct as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__construct    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc , BT_QUANTIZED_BVH_NODEClass p0 , BT_QUANTIZED_BVH_NODEClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__address0 as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__address    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__address0 as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__address0    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__address1 as btAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u__address1    `( BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
-- * btAlignedAllocator<GIM_BVH_DATA, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__new as btAlignedAllocator_GIM_BVH_DATA_16u_    {  } -> `BtAlignedAllocator_GIM_BVH_DATA_16u_' mkBtAlignedAllocator_GIM_BVH_DATA_16u_* #}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__free    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__destroy as btAlignedAllocator_GIM_BVH_DATA_16u__destroy    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__deallocate as btAlignedAllocator_GIM_BVH_DATA_16u__deallocate    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__construct as btAlignedAllocator_GIM_BVH_DATA_16u__construct    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc , GIM_BVH_DATAClass p0 , GIM_BVH_DATAClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__address0 as btAlignedAllocator_GIM_BVH_DATA_16u__address    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__address0 as btAlignedAllocator_GIM_BVH_DATA_16u__address0    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_DATA_16u__address1 as btAlignedAllocator_GIM_BVH_DATA_16u__address1    `( BtAlignedAllocator_GIM_BVH_DATA_16u_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
-- * btAlignedAllocator<GIM_BVH_TREE_NODE, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__new as btAlignedAllocator_GIM_BVH_TREE_NODE_16u_    {  } -> `BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_' mkBtAlignedAllocator_GIM_BVH_TREE_NODE_16u_* #}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__free    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__destroy as btAlignedAllocator_GIM_BVH_TREE_NODE_16u__destroy    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__deallocate as btAlignedAllocator_GIM_BVH_TREE_NODE_16u__deallocate    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__construct as btAlignedAllocator_GIM_BVH_TREE_NODE_16u__construct    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc , GIM_BVH_TREE_NODEClass p0 , GIM_BVH_TREE_NODEClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__address0 as btAlignedAllocator_GIM_BVH_TREE_NODE_16u__address    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__address0 as btAlignedAllocator_GIM_BVH_TREE_NODE_16u__address0    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_BVH_TREE_NODE_16u__address1 as btAlignedAllocator_GIM_BVH_TREE_NODE_16u__address1    `( BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
-- * btAlignedAllocator<GIM_PAIR, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__new as btAlignedAllocator_GIM_PAIR_16u_    {  } -> `BtAlignedAllocator_GIM_PAIR_16u_' mkBtAlignedAllocator_GIM_PAIR_16u_* #}
{#fun btAlignedAllocator_GIM_PAIR_16u__free    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__destroy as btAlignedAllocator_GIM_PAIR_16u__destroy    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__deallocate as btAlignedAllocator_GIM_PAIR_16u__deallocate    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__construct as btAlignedAllocator_GIM_PAIR_16u__construct    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc , GIM_PAIRClass p0 , GIM_PAIRClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__address0 as btAlignedAllocator_GIM_PAIR_16u__address    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__address0 as btAlignedAllocator_GIM_PAIR_16u__address0    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_GIM_PAIR_16u__address1 as btAlignedAllocator_GIM_PAIR_16u__address1    `( BtAlignedAllocator_GIM_PAIR_16u_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
-- * btAlignedAllocator<bool, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_bool_16u__new as btAlignedAllocator_bool_16u_    {  } -> `BtAlignedAllocator_bool_16u_' mkBtAlignedAllocator_bool_16u_* #}
{#fun btAlignedAllocator_bool_16u__free    `( BtAlignedAllocator_bool_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btActionInterface*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btActionInterface_ptr_16u__new as btAlignedAllocator_btActionInterface_ptr_16u_    {  } -> `BtAlignedAllocator_btActionInterface_ptr_16u_' mkBtAlignedAllocator_btActionInterface_ptr_16u_* #}
{#fun btAlignedAllocator_btActionInterface_ptr_16u__free    `( BtAlignedAllocator_btActionInterface_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btBroadphaseInterface*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphaseInterface_ptr_16u__new as btAlignedAllocator_btBroadphaseInterface_ptr_16u_    {  } -> `BtAlignedAllocator_btBroadphaseInterface_ptr_16u_' mkBtAlignedAllocator_btBroadphaseInterface_ptr_16u_* #}
{#fun btAlignedAllocator_btBroadphaseInterface_ptr_16u__free    `( BtAlignedAllocator_btBroadphaseInterface_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btBroadphasePair, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__new as btAlignedAllocator_btBroadphasePair_16u_    {  } -> `BtAlignedAllocator_btBroadphasePair_16u_' mkBtAlignedAllocator_btBroadphasePair_16u_* #}
{#fun btAlignedAllocator_btBroadphasePair_16u__free    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__destroy as btAlignedAllocator_btBroadphasePair_16u__destroy    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__deallocate as btAlignedAllocator_btBroadphasePair_16u__deallocate    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__construct as btAlignedAllocator_btBroadphasePair_16u__construct    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc , BtBroadphasePairClass p0 , BtBroadphasePairClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__address0 as btAlignedAllocator_btBroadphasePair_16u__address    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__address0 as btAlignedAllocator_btBroadphasePair_16u__address0    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBroadphasePair_16u__address1 as btAlignedAllocator_btBroadphasePair_16u__address1    `( BtAlignedAllocator_btBroadphasePair_16u_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
-- * btAlignedAllocator<btBvhSubtreeInfo, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__new as btAlignedAllocator_btBvhSubtreeInfo_16u_    {  } -> `BtAlignedAllocator_btBvhSubtreeInfo_16u_' mkBtAlignedAllocator_btBvhSubtreeInfo_16u_* #}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__free    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__destroy as btAlignedAllocator_btBvhSubtreeInfo_16u__destroy    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__deallocate as btAlignedAllocator_btBvhSubtreeInfo_16u__deallocate    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__construct as btAlignedAllocator_btBvhSubtreeInfo_16u__construct    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc , BtBvhSubtreeInfoClass p0 , BtBvhSubtreeInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__address0 as btAlignedAllocator_btBvhSubtreeInfo_16u__address    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__address0 as btAlignedAllocator_btBvhSubtreeInfo_16u__address0    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btBvhSubtreeInfo_16u__address1 as btAlignedAllocator_btBvhSubtreeInfo_16u__address1    `( BtAlignedAllocator_btBvhSubtreeInfo_16u_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
-- * btAlignedAllocator<btChunk*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btChunk_ptr_16u__new as btAlignedAllocator_btChunk_ptr_16u_    {  } -> `BtAlignedAllocator_btChunk_ptr_16u_' mkBtAlignedAllocator_btChunk_ptr_16u_* #}
{#fun btAlignedAllocator_btChunk_ptr_16u__free    `( BtAlignedAllocator_btChunk_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btCollisionObject*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCollisionObject_ptr_16u__new as btAlignedAllocator_btCollisionObject_ptr_16u_    {  } -> `BtAlignedAllocator_btCollisionObject_ptr_16u_' mkBtAlignedAllocator_btCollisionObject_ptr_16u_* #}
{#fun btAlignedAllocator_btCollisionObject_ptr_16u__free    `( BtAlignedAllocator_btCollisionObject_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btCollisionShape*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCollisionShape_ptr_16u__new as btAlignedAllocator_btCollisionShape_ptr_16u_    {  } -> `BtAlignedAllocator_btCollisionShape_ptr_16u_' mkBtAlignedAllocator_btCollisionShape_ptr_16u_* #}
{#fun btAlignedAllocator_btCollisionShape_ptr_16u__free    `( BtAlignedAllocator_btCollisionShape_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btCompoundShapeChild, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__new as btAlignedAllocator_btCompoundShapeChild_16u_    {  } -> `BtAlignedAllocator_btCompoundShapeChild_16u_' mkBtAlignedAllocator_btCompoundShapeChild_16u_* #}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__free    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__destroy as btAlignedAllocator_btCompoundShapeChild_16u__destroy    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__deallocate as btAlignedAllocator_btCompoundShapeChild_16u__deallocate    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__construct as btAlignedAllocator_btCompoundShapeChild_16u__construct    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc , BtCompoundShapeChildClass p0 , BtCompoundShapeChildClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__address0 as btAlignedAllocator_btCompoundShapeChild_16u__address    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__address0 as btAlignedAllocator_btCompoundShapeChild_16u__address0    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btCompoundShapeChild_16u__address1 as btAlignedAllocator_btCompoundShapeChild_16u__address1    `( BtAlignedAllocator_btCompoundShapeChild_16u_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
-- * btAlignedAllocator<btDbvt::sStkNN, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__new as btAlignedAllocator_btDbvt_sStkNN_16u_    {  } -> `BtAlignedAllocator_btDbvt_sStkNN_16u_' mkBtAlignedAllocator_btDbvt_sStkNN_16u_* #}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__free    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__destroy as btAlignedAllocator_btDbvt_sStkNN_16u__destroy    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__deallocate as btAlignedAllocator_btDbvt_sStkNN_16u__deallocate    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__construct as btAlignedAllocator_btDbvt_sStkNN_16u__construct    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc , BtDbvt_sStkNNClass p0 , BtDbvt_sStkNNClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__address0 as btAlignedAllocator_btDbvt_sStkNN_16u__address    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__address0 as btAlignedAllocator_btDbvt_sStkNN_16u__address0    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNN_16u__address1 as btAlignedAllocator_btDbvt_sStkNN_16u__address1    `( BtAlignedAllocator_btDbvt_sStkNN_16u_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
-- * btAlignedAllocator<btDbvt::sStkNP, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__new as btAlignedAllocator_btDbvt_sStkNP_16u_    {  } -> `BtAlignedAllocator_btDbvt_sStkNP_16u_' mkBtAlignedAllocator_btDbvt_sStkNP_16u_* #}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__free    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__destroy as btAlignedAllocator_btDbvt_sStkNP_16u__destroy    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__deallocate as btAlignedAllocator_btDbvt_sStkNP_16u__deallocate    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__construct as btAlignedAllocator_btDbvt_sStkNP_16u__construct    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc , BtDbvt_sStkNPClass p0 , BtDbvt_sStkNPClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__address0 as btAlignedAllocator_btDbvt_sStkNP_16u__address    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__address0 as btAlignedAllocator_btDbvt_sStkNP_16u__address0    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNP_16u__address1 as btAlignedAllocator_btDbvt_sStkNP_16u__address1    `( BtAlignedAllocator_btDbvt_sStkNP_16u_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
-- * btAlignedAllocator<btDbvt::sStkNPS, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__new as btAlignedAllocator_btDbvt_sStkNPS_16u_    {  } -> `BtAlignedAllocator_btDbvt_sStkNPS_16u_' mkBtAlignedAllocator_btDbvt_sStkNPS_16u_* #}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__free    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__destroy as btAlignedAllocator_btDbvt_sStkNPS_16u__destroy    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__deallocate as btAlignedAllocator_btDbvt_sStkNPS_16u__deallocate    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__construct as btAlignedAllocator_btDbvt_sStkNPS_16u__construct    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc , BtDbvt_sStkNPSClass p0 , BtDbvt_sStkNPSClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__address0 as btAlignedAllocator_btDbvt_sStkNPS_16u__address    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__address0 as btAlignedAllocator_btDbvt_sStkNPS_16u__address0    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvt_sStkNPS_16u__address1 as btAlignedAllocator_btDbvt_sStkNPS_16u__address1    `( BtAlignedAllocator_btDbvt_sStkNPS_16u_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
-- * btAlignedAllocator<btDbvtNode const*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btDbvtNodeconst_ptr_16u__new as btAlignedAllocator_btDbvtNodeconst_ptr_16u_    {  } -> `BtAlignedAllocator_btDbvtNodeconst_ptr_16u_' mkBtAlignedAllocator_btDbvtNodeconst_ptr_16u_* #}
{#fun btAlignedAllocator_btDbvtNodeconst_ptr_16u__free    `( BtAlignedAllocator_btDbvtNodeconst_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btGImpactMeshShapePart*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btGImpactMeshShapePart_ptr_16u__new as btAlignedAllocator_btGImpactMeshShapePart_ptr_16u_    {  } -> `BtAlignedAllocator_btGImpactMeshShapePart_ptr_16u_' mkBtAlignedAllocator_btGImpactMeshShapePart_ptr_16u_* #}
{#fun btAlignedAllocator_btGImpactMeshShapePart_ptr_16u__free    `( BtAlignedAllocator_btGImpactMeshShapePart_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btHashInt, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__new as btAlignedAllocator_btHashInt_16u_    {  } -> `BtAlignedAllocator_btHashInt_16u_' mkBtAlignedAllocator_btHashInt_16u_* #}
{#fun btAlignedAllocator_btHashInt_16u__free    `( BtAlignedAllocator_btHashInt_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__destroy as btAlignedAllocator_btHashInt_16u__destroy    `( BtAlignedAllocator_btHashInt_16u_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__deallocate as btAlignedAllocator_btHashInt_16u__deallocate    `( BtAlignedAllocator_btHashInt_16u_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__construct as btAlignedAllocator_btHashInt_16u__construct    `( BtAlignedAllocator_btHashInt_16u_Class bc , BtHashIntClass p0 , BtHashIntClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__address0 as btAlignedAllocator_btHashInt_16u__address    `( BtAlignedAllocator_btHashInt_16u_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__address0 as btAlignedAllocator_btHashInt_16u__address0    `( BtAlignedAllocator_btHashInt_16u_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashInt_16u__address1 as btAlignedAllocator_btHashInt_16u__address1    `( BtAlignedAllocator_btHashInt_16u_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashInt'  mkBtHashInt* #}
-- * btAlignedAllocator<btHashPtr, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__new as btAlignedAllocator_btHashPtr_16u_    {  } -> `BtAlignedAllocator_btHashPtr_16u_' mkBtAlignedAllocator_btHashPtr_16u_* #}
{#fun btAlignedAllocator_btHashPtr_16u__free    `( BtAlignedAllocator_btHashPtr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__destroy as btAlignedAllocator_btHashPtr_16u__destroy    `( BtAlignedAllocator_btHashPtr_16u_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__deallocate as btAlignedAllocator_btHashPtr_16u__deallocate    `( BtAlignedAllocator_btHashPtr_16u_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__construct as btAlignedAllocator_btHashPtr_16u__construct    `( BtAlignedAllocator_btHashPtr_16u_Class bc , BtHashPtrClass p0 , BtHashPtrClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__address0 as btAlignedAllocator_btHashPtr_16u__address    `( BtAlignedAllocator_btHashPtr_16u_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__address0 as btAlignedAllocator_btHashPtr_16u__address0    `( BtAlignedAllocator_btHashPtr_16u_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashPtr_16u__address1 as btAlignedAllocator_btHashPtr_16u__address1    `( BtAlignedAllocator_btHashPtr_16u_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashPtr'  mkBtHashPtr* #}
-- * btAlignedAllocator<btHashString, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__new as btAlignedAllocator_btHashString_16u_    {  } -> `BtAlignedAllocator_btHashString_16u_' mkBtAlignedAllocator_btHashString_16u_* #}
{#fun btAlignedAllocator_btHashString_16u__free    `( BtAlignedAllocator_btHashString_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__destroy as btAlignedAllocator_btHashString_16u__destroy    `( BtAlignedAllocator_btHashString_16u_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__deallocate as btAlignedAllocator_btHashString_16u__deallocate    `( BtAlignedAllocator_btHashString_16u_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__construct as btAlignedAllocator_btHashString_16u__construct    `( BtAlignedAllocator_btHashString_16u_Class bc , BtHashStringClass p0 , BtHashStringClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__address0 as btAlignedAllocator_btHashString_16u__address    `( BtAlignedAllocator_btHashString_16u_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__address0 as btAlignedAllocator_btHashString_16u__address0    `( BtAlignedAllocator_btHashString_16u_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btHashString_16u__address1 as btAlignedAllocator_btHashString_16u__address1    `( BtAlignedAllocator_btHashString_16u_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtHashString'  mkBtHashString* #}
-- * btAlignedAllocator<btIndexedMesh, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__new as btAlignedAllocator_btIndexedMesh_16u_    {  } -> `BtAlignedAllocator_btIndexedMesh_16u_' mkBtAlignedAllocator_btIndexedMesh_16u_* #}
{#fun btAlignedAllocator_btIndexedMesh_16u__free    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__destroy as btAlignedAllocator_btIndexedMesh_16u__destroy    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__deallocate as btAlignedAllocator_btIndexedMesh_16u__deallocate    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__construct as btAlignedAllocator_btIndexedMesh_16u__construct    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc , BtIndexedMeshClass p0 , BtIndexedMeshClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__address0 as btAlignedAllocator_btIndexedMesh_16u__address    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__address0 as btAlignedAllocator_btIndexedMesh_16u__address0    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btIndexedMesh_16u__address1 as btAlignedAllocator_btIndexedMesh_16u__address1    `( BtAlignedAllocator_btIndexedMesh_16u_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
-- * btAlignedAllocator<btMultiSapBroadphase::btBridgeProxy*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u__new as btAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_    {  } -> `BtAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_' mkBtAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_* #}
{#fun btAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u__free    `( BtAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btMultiSapBroadphase::btMultiSapProxy*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u__new as btAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_    {  } -> `BtAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_' mkBtAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_* #}
{#fun btAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u__free    `( BtAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btOptimizedBvhNode, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__new as btAlignedAllocator_btOptimizedBvhNode_16u_    {  } -> `BtAlignedAllocator_btOptimizedBvhNode_16u_' mkBtAlignedAllocator_btOptimizedBvhNode_16u_* #}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__free    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__destroy as btAlignedAllocator_btOptimizedBvhNode_16u__destroy    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__deallocate as btAlignedAllocator_btOptimizedBvhNode_16u__deallocate    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__construct as btAlignedAllocator_btOptimizedBvhNode_16u__construct    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc , BtOptimizedBvhNodeClass p0 , BtOptimizedBvhNodeClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__address0 as btAlignedAllocator_btOptimizedBvhNode_16u__address    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__address0 as btAlignedAllocator_btOptimizedBvhNode_16u__address0    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btOptimizedBvhNode_16u__address1 as btAlignedAllocator_btOptimizedBvhNode_16u__address1    `( BtAlignedAllocator_btOptimizedBvhNode_16u_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
-- * btAlignedAllocator<btPersistentManifold*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPersistentManifold_ptr_16u__new as btAlignedAllocator_btPersistentManifold_ptr_16u_    {  } -> `BtAlignedAllocator_btPersistentManifold_ptr_16u_' mkBtAlignedAllocator_btPersistentManifold_ptr_16u_* #}
{#fun btAlignedAllocator_btPersistentManifold_ptr_16u__free    `( BtAlignedAllocator_btPersistentManifold_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btPointerUid, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__new as btAlignedAllocator_btPointerUid_16u_    {  } -> `BtAlignedAllocator_btPointerUid_16u_' mkBtAlignedAllocator_btPointerUid_16u_* #}
{#fun btAlignedAllocator_btPointerUid_16u__free    `( BtAlignedAllocator_btPointerUid_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__destroy as btAlignedAllocator_btPointerUid_16u__destroy    `( BtAlignedAllocator_btPointerUid_16u_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__deallocate as btAlignedAllocator_btPointerUid_16u__deallocate    `( BtAlignedAllocator_btPointerUid_16u_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__construct as btAlignedAllocator_btPointerUid_16u__construct    `( BtAlignedAllocator_btPointerUid_16u_Class bc , BtPointerUidClass p0 , BtPointerUidClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__address0 as btAlignedAllocator_btPointerUid_16u__address    `( BtAlignedAllocator_btPointerUid_16u_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__address0 as btAlignedAllocator_btPointerUid_16u__address0    `( BtAlignedAllocator_btPointerUid_16u_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btPointerUid_16u__address1 as btAlignedAllocator_btPointerUid_16u__address1    `( BtAlignedAllocator_btPointerUid_16u_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtPointerUid'  mkBtPointerUid* #}
-- * btAlignedAllocator<btQuantizedBvhNode, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__new as btAlignedAllocator_btQuantizedBvhNode_16u_    {  } -> `BtAlignedAllocator_btQuantizedBvhNode_16u_' mkBtAlignedAllocator_btQuantizedBvhNode_16u_* #}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__free    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__destroy as btAlignedAllocator_btQuantizedBvhNode_16u__destroy    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__deallocate as btAlignedAllocator_btQuantizedBvhNode_16u__deallocate    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__construct as btAlignedAllocator_btQuantizedBvhNode_16u__construct    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc , BtQuantizedBvhNodeClass p0 , BtQuantizedBvhNodeClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__address0 as btAlignedAllocator_btQuantizedBvhNode_16u__address    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__address0 as btAlignedAllocator_btQuantizedBvhNode_16u__address0    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btQuantizedBvhNode_16u__address1 as btAlignedAllocator_btQuantizedBvhNode_16u__address1    `( BtAlignedAllocator_btQuantizedBvhNode_16u_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
-- * btAlignedAllocator<btRigidBody*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btRigidBody_ptr_16u__new as btAlignedAllocator_btRigidBody_ptr_16u_    {  } -> `BtAlignedAllocator_btRigidBody_ptr_16u_' mkBtAlignedAllocator_btRigidBody_ptr_16u_* #}
{#fun btAlignedAllocator_btRigidBody_ptr_16u__free    `( BtAlignedAllocator_btRigidBody_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_ptr_16u__new as btAlignedAllocator_btSoftBody_ptr_16u_    {  } -> `BtAlignedAllocator_btSoftBody_ptr_16u_' mkBtAlignedAllocator_btSoftBody_ptr_16u_* #}
{#fun btAlignedAllocator_btSoftBody_ptr_16u__free    `( BtAlignedAllocator_btSoftBody_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody::Anchor, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__new as btAlignedAllocator_btSoftBody_Anchor_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Anchor_16u_' mkBtAlignedAllocator_btSoftBody_Anchor_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__free    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__destroy as btAlignedAllocator_btSoftBody_Anchor_16u__destroy    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__deallocate as btAlignedAllocator_btSoftBody_Anchor_16u__deallocate    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__construct as btAlignedAllocator_btSoftBody_Anchor_16u__construct    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc , BtSoftBody_AnchorClass p0 , BtSoftBody_AnchorClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__address0 as btAlignedAllocator_btSoftBody_Anchor_16u__address    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__address0 as btAlignedAllocator_btSoftBody_Anchor_16u__address0    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Anchor_16u__address1 as btAlignedAllocator_btSoftBody_Anchor_16u__address1    `( BtAlignedAllocator_btSoftBody_Anchor_16u_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
-- * btAlignedAllocator<btSoftBody::Cluster*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Cluster_ptr_16u__new as btAlignedAllocator_btSoftBody_Cluster_ptr_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Cluster_ptr_16u_' mkBtAlignedAllocator_btSoftBody_Cluster_ptr_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Cluster_ptr_16u__free    `( BtAlignedAllocator_btSoftBody_Cluster_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody::Face, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__new as btAlignedAllocator_btSoftBody_Face_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Face_16u_' mkBtAlignedAllocator_btSoftBody_Face_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Face_16u__free    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__destroy as btAlignedAllocator_btSoftBody_Face_16u__destroy    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__deallocate as btAlignedAllocator_btSoftBody_Face_16u__deallocate    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__construct as btAlignedAllocator_btSoftBody_Face_16u__construct    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc , BtSoftBody_FaceClass p0 , BtSoftBody_FaceClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__address0 as btAlignedAllocator_btSoftBody_Face_16u__address    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__address0 as btAlignedAllocator_btSoftBody_Face_16u__address0    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Face_16u__address1 as btAlignedAllocator_btSoftBody_Face_16u__address1    `( BtAlignedAllocator_btSoftBody_Face_16u_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
-- * btAlignedAllocator<btSoftBody::Joint*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Joint_ptr_16u__new as btAlignedAllocator_btSoftBody_Joint_ptr_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Joint_ptr_16u_' mkBtAlignedAllocator_btSoftBody_Joint_ptr_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Joint_ptr_16u__free    `( BtAlignedAllocator_btSoftBody_Joint_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody::Link, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__new as btAlignedAllocator_btSoftBody_Link_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Link_16u_' mkBtAlignedAllocator_btSoftBody_Link_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Link_16u__free    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__destroy as btAlignedAllocator_btSoftBody_Link_16u__destroy    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__deallocate as btAlignedAllocator_btSoftBody_Link_16u__deallocate    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__construct as btAlignedAllocator_btSoftBody_Link_16u__construct    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc , BtSoftBody_LinkClass p0 , BtSoftBody_LinkClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__address0 as btAlignedAllocator_btSoftBody_Link_16u__address    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__address0 as btAlignedAllocator_btSoftBody_Link_16u__address0    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Link_16u__address1 as btAlignedAllocator_btSoftBody_Link_16u__address1    `( BtAlignedAllocator_btSoftBody_Link_16u_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
-- * btAlignedAllocator<btSoftBody::Material*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Material_ptr_16u__new as btAlignedAllocator_btSoftBody_Material_ptr_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Material_ptr_16u_' mkBtAlignedAllocator_btSoftBody_Material_ptr_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Material_ptr_16u__free    `( BtAlignedAllocator_btSoftBody_Material_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody::Node*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_ptr_16u__new as btAlignedAllocator_btSoftBody_Node_ptr_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Node_ptr_16u_' mkBtAlignedAllocator_btSoftBody_Node_ptr_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Node_ptr_16u__free    `( BtAlignedAllocator_btSoftBody_Node_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody::Node, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__new as btAlignedAllocator_btSoftBody_Node_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Node_16u_' mkBtAlignedAllocator_btSoftBody_Node_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Node_16u__free    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__destroy as btAlignedAllocator_btSoftBody_Node_16u__destroy    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__deallocate as btAlignedAllocator_btSoftBody_Node_16u__deallocate    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__construct as btAlignedAllocator_btSoftBody_Node_16u__construct    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc , BtSoftBody_NodeClass p0 , BtSoftBody_NodeClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__address0 as btAlignedAllocator_btSoftBody_Node_16u__address    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__address0 as btAlignedAllocator_btSoftBody_Node_16u__address0    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Node_16u__address1 as btAlignedAllocator_btSoftBody_Node_16u__address1    `( BtAlignedAllocator_btSoftBody_Node_16u_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
-- * btAlignedAllocator<btSoftBody::Note, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__new as btAlignedAllocator_btSoftBody_Note_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Note_16u_' mkBtAlignedAllocator_btSoftBody_Note_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Note_16u__free    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__destroy as btAlignedAllocator_btSoftBody_Note_16u__destroy    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__deallocate as btAlignedAllocator_btSoftBody_Note_16u__deallocate    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__construct as btAlignedAllocator_btSoftBody_Note_16u__construct    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc , BtSoftBody_NoteClass p0 , BtSoftBody_NoteClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__address0 as btAlignedAllocator_btSoftBody_Note_16u__address    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__address0 as btAlignedAllocator_btSoftBody_Note_16u__address0    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Note_16u__address1 as btAlignedAllocator_btSoftBody_Note_16u__address1    `( BtAlignedAllocator_btSoftBody_Note_16u_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
-- * btAlignedAllocator<btSoftBody::RContact, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__new as btAlignedAllocator_btSoftBody_RContact_16u_    {  } -> `BtAlignedAllocator_btSoftBody_RContact_16u_' mkBtAlignedAllocator_btSoftBody_RContact_16u_* #}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__free    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__destroy as btAlignedAllocator_btSoftBody_RContact_16u__destroy    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__deallocate as btAlignedAllocator_btSoftBody_RContact_16u__deallocate    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__construct as btAlignedAllocator_btSoftBody_RContact_16u__construct    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc , BtSoftBody_RContactClass p0 , BtSoftBody_RContactClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__address0 as btAlignedAllocator_btSoftBody_RContact_16u__address    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__address0 as btAlignedAllocator_btSoftBody_RContact_16u__address0    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_RContact_16u__address1 as btAlignedAllocator_btSoftBody_RContact_16u__address1    `( BtAlignedAllocator_btSoftBody_RContact_16u_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
-- * btAlignedAllocator<btSoftBody::SContact, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__new as btAlignedAllocator_btSoftBody_SContact_16u_    {  } -> `BtAlignedAllocator_btSoftBody_SContact_16u_' mkBtAlignedAllocator_btSoftBody_SContact_16u_* #}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__free    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__destroy as btAlignedAllocator_btSoftBody_SContact_16u__destroy    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__deallocate as btAlignedAllocator_btSoftBody_SContact_16u__deallocate    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__construct as btAlignedAllocator_btSoftBody_SContact_16u__construct    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc , BtSoftBody_SContactClass p0 , BtSoftBody_SContactClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__address0 as btAlignedAllocator_btSoftBody_SContact_16u__address    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__address0 as btAlignedAllocator_btSoftBody_SContact_16u__address0    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_SContact_16u__address1 as btAlignedAllocator_btSoftBody_SContact_16u__address1    `( BtAlignedAllocator_btSoftBody_SContact_16u_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
-- * btAlignedAllocator<btSoftBody::Tetra, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__new as btAlignedAllocator_btSoftBody_Tetra_16u_    {  } -> `BtAlignedAllocator_btSoftBody_Tetra_16u_' mkBtAlignedAllocator_btSoftBody_Tetra_16u_* #}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__free    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__destroy as btAlignedAllocator_btSoftBody_Tetra_16u__destroy    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__deallocate as btAlignedAllocator_btSoftBody_Tetra_16u__deallocate    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__construct as btAlignedAllocator_btSoftBody_Tetra_16u__construct    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc , BtSoftBody_TetraClass p0 , BtSoftBody_TetraClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__address0 as btAlignedAllocator_btSoftBody_Tetra_16u__address    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__address0 as btAlignedAllocator_btSoftBody_Tetra_16u__address0    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_Tetra_16u__address1 as btAlignedAllocator_btSoftBody_Tetra_16u__address1    `( BtAlignedAllocator_btSoftBody_Tetra_16u_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
-- * btAlignedAllocator<btSoftBody::ePSolver::_, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_ePSolver___16u__new as btAlignedAllocator_btSoftBody_ePSolver___16u_    {  } -> `BtAlignedAllocator_btSoftBody_ePSolver___16u_' mkBtAlignedAllocator_btSoftBody_ePSolver___16u_* #}
{#fun btAlignedAllocator_btSoftBody_ePSolver___16u__free    `( BtAlignedAllocator_btSoftBody_ePSolver___16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSoftBody::eVSolver::_, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSoftBody_eVSolver___16u__new as btAlignedAllocator_btSoftBody_eVSolver___16u_    {  } -> `BtAlignedAllocator_btSoftBody_eVSolver___16u_' mkBtAlignedAllocator_btSoftBody_eVSolver___16u_* #}
{#fun btAlignedAllocator_btSoftBody_eVSolver___16u__free    `( BtAlignedAllocator_btSoftBody_eVSolver___16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btSolverConstraint, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__new as btAlignedAllocator_btSolverConstraint_16u_    {  } -> `BtAlignedAllocator_btSolverConstraint_16u_' mkBtAlignedAllocator_btSolverConstraint_16u_* #}
{#fun btAlignedAllocator_btSolverConstraint_16u__free    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__destroy as btAlignedAllocator_btSolverConstraint_16u__destroy    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__deallocate as btAlignedAllocator_btSolverConstraint_16u__deallocate    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__construct as btAlignedAllocator_btSolverConstraint_16u__construct    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc , BtSolverConstraintClass p0 , BtSolverConstraintClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__address0 as btAlignedAllocator_btSolverConstraint_16u__address    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__address0 as btAlignedAllocator_btSolverConstraint_16u__address0    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSolverConstraint_16u__address1 as btAlignedAllocator_btSolverConstraint_16u__address1    `( BtAlignedAllocator_btSolverConstraint_16u_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
-- * btAlignedAllocator<btSparseSdf<3>::Cell*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btSparseSdf_3__Cell_ptr_16u__new as btAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_    {  } -> `BtAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_' mkBtAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_* #}
{#fun btAlignedAllocator_btSparseSdf_3__Cell_ptr_16u__free    `( BtAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btTransform, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTransform_16u__new as btAlignedAllocator_btTransform_16u_    {  } -> `BtAlignedAllocator_btTransform_16u_' mkBtAlignedAllocator_btTransform_16u_* #}
{#fun btAlignedAllocator_btTransform_16u__free    `( BtAlignedAllocator_btTransform_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btTriangleInfo, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__new as btAlignedAllocator_btTriangleInfo_16u_    {  } -> `BtAlignedAllocator_btTriangleInfo_16u_' mkBtAlignedAllocator_btTriangleInfo_16u_* #}
{#fun btAlignedAllocator_btTriangleInfo_16u__free    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__destroy as btAlignedAllocator_btTriangleInfo_16u__destroy    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__deallocate as btAlignedAllocator_btTriangleInfo_16u__deallocate    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__construct as btAlignedAllocator_btTriangleInfo_16u__construct    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc , BtTriangleInfoClass p0 , BtTriangleInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__address0 as btAlignedAllocator_btTriangleInfo_16u__address    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__address0 as btAlignedAllocator_btTriangleInfo_16u__address0    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTriangleInfo_16u__address1 as btAlignedAllocator_btTriangleInfo_16u__address1    `( BtAlignedAllocator_btTriangleInfo_16u_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
-- * btAlignedAllocator<btTypedConstraint*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_ptr_16u__new as btAlignedAllocator_btTypedConstraint_ptr_16u_    {  } -> `BtAlignedAllocator_btTypedConstraint_ptr_16u_' mkBtAlignedAllocator_btTypedConstraint_ptr_16u_* #}
{#fun btAlignedAllocator_btTypedConstraint_ptr_16u__free    `( BtAlignedAllocator_btTypedConstraint_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btTypedConstraint::btConstraintInfo1, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__new as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_    {  } -> `BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_' mkBtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_* #}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__free    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__destroy as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__destroy    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__deallocate as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__deallocate    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__construct as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__construct    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 , BtTypedConstraint_btConstraintInfo1Class p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__address0 as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__address    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__address0 as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__address0    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__address1 as btAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u__address1    `( BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
-- * btAlignedAllocator<btVector3, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btVector3_16u__new as btAlignedAllocator_btVector3_16u_    {  } -> `BtAlignedAllocator_btVector3_16u_' mkBtAlignedAllocator_btVector3_16u_* #}
{#fun btAlignedAllocator_btVector3_16u__free    `( BtAlignedAllocator_btVector3_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<btWheelInfo, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__new as btAlignedAllocator_btWheelInfo_16u_    {  } -> `BtAlignedAllocator_btWheelInfo_16u_' mkBtAlignedAllocator_btWheelInfo_16u_* #}
{#fun btAlignedAllocator_btWheelInfo_16u__free    `( BtAlignedAllocator_btWheelInfo_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__destroy as btAlignedAllocator_btWheelInfo_16u__destroy    `( BtAlignedAllocator_btWheelInfo_16u_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__deallocate as btAlignedAllocator_btWheelInfo_16u__deallocate    `( BtAlignedAllocator_btWheelInfo_16u_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__construct as btAlignedAllocator_btWheelInfo_16u__construct    `( BtAlignedAllocator_btWheelInfo_16u_Class bc , BtWheelInfoClass p0 , BtWheelInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ptr
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__address0 as btAlignedAllocator_btWheelInfo_16u__address    `( BtAlignedAllocator_btWheelInfo_16u_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__address0 as btAlignedAllocator_btWheelInfo_16u__address0    `( BtAlignedAllocator_btWheelInfo_16u_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_btWheelInfo_16u__address1 as btAlignedAllocator_btWheelInfo_16u__address1    `( BtAlignedAllocator_btWheelInfo_16u_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ref
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
-- * btAlignedAllocator<char const*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_charconst_ptr_16u__new as btAlignedAllocator_charconst_ptr_16u_    {  } -> `BtAlignedAllocator_charconst_ptr_16u_' mkBtAlignedAllocator_charconst_ptr_16u_* #}
{#fun btAlignedAllocator_charconst_ptr_16u__free    `( BtAlignedAllocator_charconst_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<char*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_char_ptr_16u__new as btAlignedAllocator_char_ptr_16u_    {  } -> `BtAlignedAllocator_char_ptr_16u_' mkBtAlignedAllocator_char_ptr_16u_* #}
{#fun btAlignedAllocator_char_ptr_16u__free    `( BtAlignedAllocator_char_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<float, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_float_16u__new as btAlignedAllocator_float_16u_    {  } -> `BtAlignedAllocator_float_16u_' mkBtAlignedAllocator_float_16u_* #}
{#fun btAlignedAllocator_float_16u__free    `( BtAlignedAllocator_float_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<int, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_int_16u__new as btAlignedAllocator_int_16u_    {  } -> `BtAlignedAllocator_int_16u_' mkBtAlignedAllocator_int_16u_* #}
{#fun btAlignedAllocator_int_16u__free    `( BtAlignedAllocator_int_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<short*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_short_ptr_16u__new as btAlignedAllocator_short_ptr_16u_    {  } -> `BtAlignedAllocator_short_ptr_16u_' mkBtAlignedAllocator_short_ptr_16u_* #}
{#fun btAlignedAllocator_short_ptr_16u__free    `( BtAlignedAllocator_short_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<short, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_short_16u__new as btAlignedAllocator_short_16u_    {  } -> `BtAlignedAllocator_short_16u_' mkBtAlignedAllocator_short_16u_* #}
{#fun btAlignedAllocator_short_16u__free    `( BtAlignedAllocator_short_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<unsigned int, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_unsignedint_16u__new as btAlignedAllocator_unsignedint_16u_    {  } -> `BtAlignedAllocator_unsignedint_16u_' mkBtAlignedAllocator_unsignedint_16u_* #}
{#fun btAlignedAllocator_unsignedint_16u__free    `( BtAlignedAllocator_unsignedint_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<unsigned short, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_unsignedshort_16u__new as btAlignedAllocator_unsignedshort_16u_    {  } -> `BtAlignedAllocator_unsignedshort_16u_' mkBtAlignedAllocator_unsignedshort_16u_* #}
{#fun btAlignedAllocator_unsignedshort_16u__free    `( BtAlignedAllocator_unsignedshort_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedAllocator<void*, 16u>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedAllocator.cpp?r=2223>
-}
{#fun btAlignedAllocator_void_ptr_16u__new as btAlignedAllocator_void_ptr_16u_    {  } -> `BtAlignedAllocator_void_ptr_16u_' mkBtAlignedAllocator_void_ptr_16u_* #}
{#fun btAlignedAllocator_void_ptr_16u__free    `( BtAlignedAllocator_void_ptr_16u_Class bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btAlignedObjectArray<BT_QUANTIZED_BVH_NODE>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__new as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE_    {  } -> `BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_' mkBtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_* #}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__free    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__push_back as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__push_back    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__at0 as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__at    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__at0 as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__at0    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__at1 as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__at1    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__size as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__size    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__capacity as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__capacity    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__init as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__init    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__allocate as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__allocate    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__pop_back as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__pop_back    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__deallocate as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__deallocate    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__swap as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__swap    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__initializeFromBuffer as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__initializeFromBuffer    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__expandNonInitializing as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__expandNonInitializing    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__resize as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__resize    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc , BT_QUANTIZED_BVH_NODEClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__destroy as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__destroy    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__copy as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__copy    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc , BT_QUANTIZED_BVH_NODEClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__expand as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__expand    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc , BT_QUANTIZED_BVH_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__clear as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__clear    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__allocSize as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__allocSize    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__reserve as btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__reserve    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_allocator_set    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc , BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_allocator_get    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_'  mkBtAlignedAllocator_BT_QUANTIZED_BVH_NODE_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_size_set    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_size_get    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_capacity_set    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_capacity_get    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_data_set    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc , BT_QUANTIZED_BVH_NODEClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_data_get    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  } ->  `BT_QUANTIZED_BVH_NODE'  mkBT_QUANTIZED_BVH_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_ownsMemory_set    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_BT_QUANTIZED_BVH_NODE__m_ownsMemory_get    `( BtAlignedObjectArray_BT_QUANTIZED_BVH_NODE_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<GIM_BVH_DATA>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__new as btAlignedObjectArray_GIM_BVH_DATA_    {  } -> `BtAlignedObjectArray_GIM_BVH_DATA_' mkBtAlignedObjectArray_GIM_BVH_DATA_* #}
{#fun btAlignedObjectArray_GIM_BVH_DATA__free    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__push_back as btAlignedObjectArray_GIM_BVH_DATA__push_back    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__at0 as btAlignedObjectArray_GIM_BVH_DATA__at    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__at0 as btAlignedObjectArray_GIM_BVH_DATA__at0    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__at1 as btAlignedObjectArray_GIM_BVH_DATA__at1    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__size as btAlignedObjectArray_GIM_BVH_DATA__size    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__capacity as btAlignedObjectArray_GIM_BVH_DATA__capacity    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__init as btAlignedObjectArray_GIM_BVH_DATA__init    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__allocate as btAlignedObjectArray_GIM_BVH_DATA__allocate    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__pop_back as btAlignedObjectArray_GIM_BVH_DATA__pop_back    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__deallocate as btAlignedObjectArray_GIM_BVH_DATA__deallocate    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__swap as btAlignedObjectArray_GIM_BVH_DATA__swap    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__initializeFromBuffer as btAlignedObjectArray_GIM_BVH_DATA__initializeFromBuffer    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__expandNonInitializing as btAlignedObjectArray_GIM_BVH_DATA__expandNonInitializing    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__resize as btAlignedObjectArray_GIM_BVH_DATA__resize    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc , GIM_BVH_DATAClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__destroy as btAlignedObjectArray_GIM_BVH_DATA__destroy    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__copy as btAlignedObjectArray_GIM_BVH_DATA__copy    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc , GIM_BVH_DATAClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__expand as btAlignedObjectArray_GIM_BVH_DATA__expand    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc , GIM_BVH_DATAClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__clear as btAlignedObjectArray_GIM_BVH_DATA__clear    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__allocSize as btAlignedObjectArray_GIM_BVH_DATA__allocSize    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__reserve as btAlignedObjectArray_GIM_BVH_DATA__reserve    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_allocator_set    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc , BtAlignedAllocator_GIM_BVH_DATA_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_allocator_get    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_GIM_BVH_DATA_16u_'  mkBtAlignedAllocator_GIM_BVH_DATA_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_size_set    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_size_get    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_capacity_set    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_capacity_get    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_data_set    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc , GIM_BVH_DATAClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_data_get    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  } ->  `GIM_BVH_DATA'  mkGIM_BVH_DATA* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_ownsMemory_set    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_DATA__m_ownsMemory_get    `( BtAlignedObjectArray_GIM_BVH_DATA_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<GIM_BVH_TREE_NODE>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__new as btAlignedObjectArray_GIM_BVH_TREE_NODE_    {  } -> `BtAlignedObjectArray_GIM_BVH_TREE_NODE_' mkBtAlignedObjectArray_GIM_BVH_TREE_NODE_* #}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__free    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__push_back as btAlignedObjectArray_GIM_BVH_TREE_NODE__push_back    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__at0 as btAlignedObjectArray_GIM_BVH_TREE_NODE__at    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__at0 as btAlignedObjectArray_GIM_BVH_TREE_NODE__at0    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__at1 as btAlignedObjectArray_GIM_BVH_TREE_NODE__at1    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__size as btAlignedObjectArray_GIM_BVH_TREE_NODE__size    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__capacity as btAlignedObjectArray_GIM_BVH_TREE_NODE__capacity    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__init as btAlignedObjectArray_GIM_BVH_TREE_NODE__init    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__allocate as btAlignedObjectArray_GIM_BVH_TREE_NODE__allocate    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__pop_back as btAlignedObjectArray_GIM_BVH_TREE_NODE__pop_back    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__deallocate as btAlignedObjectArray_GIM_BVH_TREE_NODE__deallocate    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__swap as btAlignedObjectArray_GIM_BVH_TREE_NODE__swap    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__initializeFromBuffer as btAlignedObjectArray_GIM_BVH_TREE_NODE__initializeFromBuffer    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__expandNonInitializing as btAlignedObjectArray_GIM_BVH_TREE_NODE__expandNonInitializing    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__resize as btAlignedObjectArray_GIM_BVH_TREE_NODE__resize    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc , GIM_BVH_TREE_NODEClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__destroy as btAlignedObjectArray_GIM_BVH_TREE_NODE__destroy    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__copy as btAlignedObjectArray_GIM_BVH_TREE_NODE__copy    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc , GIM_BVH_TREE_NODEClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__expand as btAlignedObjectArray_GIM_BVH_TREE_NODE__expand    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc , GIM_BVH_TREE_NODEClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__clear as btAlignedObjectArray_GIM_BVH_TREE_NODE__clear    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__allocSize as btAlignedObjectArray_GIM_BVH_TREE_NODE__allocSize    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__reserve as btAlignedObjectArray_GIM_BVH_TREE_NODE__reserve    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_allocator_set    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc , BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_allocator_get    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_GIM_BVH_TREE_NODE_16u_'  mkBtAlignedAllocator_GIM_BVH_TREE_NODE_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_size_set    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_size_get    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_capacity_set    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_capacity_get    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_data_set    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc , GIM_BVH_TREE_NODEClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_data_get    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  } ->  `GIM_BVH_TREE_NODE'  mkGIM_BVH_TREE_NODE* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_ownsMemory_set    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_BVH_TREE_NODE__m_ownsMemory_get    `( BtAlignedObjectArray_GIM_BVH_TREE_NODE_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<GIM_PAIR>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__new as btAlignedObjectArray_GIM_PAIR_    {  } -> `BtAlignedObjectArray_GIM_PAIR_' mkBtAlignedObjectArray_GIM_PAIR_* #}
{#fun btAlignedObjectArray_GIM_PAIR__free    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__push_back as btAlignedObjectArray_GIM_PAIR__push_back    `( BtAlignedObjectArray_GIM_PAIR_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__at0 as btAlignedObjectArray_GIM_PAIR__at    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__at0 as btAlignedObjectArray_GIM_PAIR__at0    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__at1 as btAlignedObjectArray_GIM_PAIR__at1    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__size as btAlignedObjectArray_GIM_PAIR__size    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__capacity as btAlignedObjectArray_GIM_PAIR__capacity    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__init as btAlignedObjectArray_GIM_PAIR__init    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__allocate as btAlignedObjectArray_GIM_PAIR__allocate    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__pop_back as btAlignedObjectArray_GIM_PAIR__pop_back    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__deallocate as btAlignedObjectArray_GIM_PAIR__deallocate    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__swap as btAlignedObjectArray_GIM_PAIR__swap    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__initializeFromBuffer as btAlignedObjectArray_GIM_PAIR__initializeFromBuffer    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__expandNonInitializing as btAlignedObjectArray_GIM_PAIR__expandNonInitializing    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__resize as btAlignedObjectArray_GIM_PAIR__resize    `( BtAlignedObjectArray_GIM_PAIR_Class bc , GIM_PAIRClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__destroy as btAlignedObjectArray_GIM_PAIR__destroy    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__copy as btAlignedObjectArray_GIM_PAIR__copy    `( BtAlignedObjectArray_GIM_PAIR_Class bc , GIM_PAIRClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__expand as btAlignedObjectArray_GIM_PAIR__expand    `( BtAlignedObjectArray_GIM_PAIR_Class bc , GIM_PAIRClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__clear as btAlignedObjectArray_GIM_PAIR__clear    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__allocSize as btAlignedObjectArray_GIM_PAIR__allocSize    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__reserve as btAlignedObjectArray_GIM_PAIR__reserve    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_allocator_set    `( BtAlignedObjectArray_GIM_PAIR_Class bc , BtAlignedAllocator_GIM_PAIR_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_allocator_get    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_GIM_PAIR_16u_'  mkBtAlignedAllocator_GIM_PAIR_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_size_set    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_size_get    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_capacity_set    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_capacity_get    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_data_set    `( BtAlignedObjectArray_GIM_PAIR_Class bc , GIM_PAIRClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_data_get    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  } ->  `GIM_PAIR'  mkGIM_PAIR* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_ownsMemory_set    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_GIM_PAIR__m_ownsMemory_get    `( BtAlignedObjectArray_GIM_PAIR_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<bool>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__new as btAlignedObjectArray_bool_    {  } -> `BtAlignedObjectArray_bool_' mkBtAlignedObjectArray_bool_* #}
{#fun btAlignedObjectArray_bool__free    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__size as btAlignedObjectArray_bool__size    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__capacity as btAlignedObjectArray_bool__capacity    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__init as btAlignedObjectArray_bool__init    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__swap as btAlignedObjectArray_bool__swap    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__pop_back as btAlignedObjectArray_bool__pop_back    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__deallocate as btAlignedObjectArray_bool__deallocate    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__allocate as btAlignedObjectArray_bool__allocate    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__initializeFromBuffer as btAlignedObjectArray_bool__initializeFromBuffer    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__destroy as btAlignedObjectArray_bool__destroy    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__clear as btAlignedObjectArray_bool__clear    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__allocSize as btAlignedObjectArray_bool__allocSize    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__reserve as btAlignedObjectArray_bool__reserve    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_allocator_set    `( BtAlignedObjectArray_bool_Class bc , BtAlignedAllocator_bool_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_allocator_get    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_bool_16u_'  mkBtAlignedAllocator_bool_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_capacity_set    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_capacity_get    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_ownsMemory_set    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_ownsMemory_get    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_size_set    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_bool__m_size_get    `( BtAlignedObjectArray_bool_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btActionInterface*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__new as btAlignedObjectArray_btActionInterface_ptr_    {  } -> `BtAlignedObjectArray_btActionInterface_ptr_' mkBtAlignedObjectArray_btActionInterface_ptr_* #}
{#fun btAlignedObjectArray_btActionInterface_ptr__free    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__push_back as btAlignedObjectArray_btActionInterface_ptr__push_back    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc , BtActionInterfaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__at0 as btAlignedObjectArray_btActionInterface_ptr__at    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtActionInterface'  mkBtActionInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__at0 as btAlignedObjectArray_btActionInterface_ptr__at0    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtActionInterface'  mkBtActionInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__at1 as btAlignedObjectArray_btActionInterface_ptr__at1    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtActionInterface'  mkBtActionInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__size as btAlignedObjectArray_btActionInterface_ptr__size    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__capacity as btAlignedObjectArray_btActionInterface_ptr__capacity    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__init as btAlignedObjectArray_btActionInterface_ptr__init    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__allocate as btAlignedObjectArray_btActionInterface_ptr__allocate    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__pop_back as btAlignedObjectArray_btActionInterface_ptr__pop_back    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__deallocate as btAlignedObjectArray_btActionInterface_ptr__deallocate    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__swap as btAlignedObjectArray_btActionInterface_ptr__swap    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__initializeFromBuffer as btAlignedObjectArray_btActionInterface_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__expandNonInitializing as btAlignedObjectArray_btActionInterface_ptr__expandNonInitializing    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtActionInterface'  mkBtActionInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__resize as btAlignedObjectArray_btActionInterface_ptr__resize    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc , BtActionInterfaceClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__destroy as btAlignedObjectArray_btActionInterface_ptr__destroy    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__expand as btAlignedObjectArray_btActionInterface_ptr__expand    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc , BtActionInterfaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtActionInterface'  mkBtActionInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__clear as btAlignedObjectArray_btActionInterface_ptr__clear    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__allocSize as btAlignedObjectArray_btActionInterface_ptr__allocSize    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__reserve as btAlignedObjectArray_btActionInterface_ptr__reserve    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_allocator_set    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc , BtAlignedAllocator_btActionInterface_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_allocator_get    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btActionInterface_ptr_16u_'  mkBtAlignedAllocator_btActionInterface_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_size_set    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_size_get    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_capacity_set    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_capacity_get    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btActionInterface_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btActionInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btBroadphaseInterface*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__new as btAlignedObjectArray_btBroadphaseInterface_ptr_    {  } -> `BtAlignedObjectArray_btBroadphaseInterface_ptr_' mkBtAlignedObjectArray_btBroadphaseInterface_ptr_* #}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__free    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__push_back as btAlignedObjectArray_btBroadphaseInterface_ptr__push_back    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc , BtBroadphaseInterfaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__at0 as btAlignedObjectArray_btBroadphaseInterface_ptr__at    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBroadphaseInterface'  mkBtBroadphaseInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__at0 as btAlignedObjectArray_btBroadphaseInterface_ptr__at0    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBroadphaseInterface'  mkBtBroadphaseInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__at1 as btAlignedObjectArray_btBroadphaseInterface_ptr__at1    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBroadphaseInterface'  mkBtBroadphaseInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__size as btAlignedObjectArray_btBroadphaseInterface_ptr__size    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__capacity as btAlignedObjectArray_btBroadphaseInterface_ptr__capacity    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__init as btAlignedObjectArray_btBroadphaseInterface_ptr__init    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__allocate as btAlignedObjectArray_btBroadphaseInterface_ptr__allocate    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__pop_back as btAlignedObjectArray_btBroadphaseInterface_ptr__pop_back    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__deallocate as btAlignedObjectArray_btBroadphaseInterface_ptr__deallocate    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__swap as btAlignedObjectArray_btBroadphaseInterface_ptr__swap    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__initializeFromBuffer as btAlignedObjectArray_btBroadphaseInterface_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__expandNonInitializing as btAlignedObjectArray_btBroadphaseInterface_ptr__expandNonInitializing    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtBroadphaseInterface'  mkBtBroadphaseInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__resize as btAlignedObjectArray_btBroadphaseInterface_ptr__resize    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc , BtBroadphaseInterfaceClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__destroy as btAlignedObjectArray_btBroadphaseInterface_ptr__destroy    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__expand as btAlignedObjectArray_btBroadphaseInterface_ptr__expand    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc , BtBroadphaseInterfaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtBroadphaseInterface'  mkBtBroadphaseInterface* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__clear as btAlignedObjectArray_btBroadphaseInterface_ptr__clear    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__allocSize as btAlignedObjectArray_btBroadphaseInterface_ptr__allocSize    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__reserve as btAlignedObjectArray_btBroadphaseInterface_ptr__reserve    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_allocator_set    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc , BtAlignedAllocator_btBroadphaseInterface_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_allocator_get    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btBroadphaseInterface_ptr_16u_'  mkBtAlignedAllocator_btBroadphaseInterface_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_size_set    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_size_get    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_capacity_set    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_capacity_get    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphaseInterface_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btBroadphaseInterface_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btBroadphasePair>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__new as btAlignedObjectArray_btBroadphasePair_    {  } -> `BtAlignedObjectArray_btBroadphasePair_' mkBtAlignedObjectArray_btBroadphasePair_* #}
{#fun btAlignedObjectArray_btBroadphasePair__free    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__push_back as btAlignedObjectArray_btBroadphasePair__push_back    `( BtAlignedObjectArray_btBroadphasePair_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__at0 as btAlignedObjectArray_btBroadphasePair__at    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__at0 as btAlignedObjectArray_btBroadphasePair__at0    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__at1 as btAlignedObjectArray_btBroadphasePair__at1    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__size as btAlignedObjectArray_btBroadphasePair__size    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__capacity as btAlignedObjectArray_btBroadphasePair__capacity    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__init as btAlignedObjectArray_btBroadphasePair__init    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__allocate as btAlignedObjectArray_btBroadphasePair__allocate    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__pop_back as btAlignedObjectArray_btBroadphasePair__pop_back    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__deallocate as btAlignedObjectArray_btBroadphasePair__deallocate    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__swap as btAlignedObjectArray_btBroadphasePair__swap    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__initializeFromBuffer as btAlignedObjectArray_btBroadphasePair__initializeFromBuffer    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__expandNonInitializing as btAlignedObjectArray_btBroadphasePair__expandNonInitializing    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__resize as btAlignedObjectArray_btBroadphasePair__resize    `( BtAlignedObjectArray_btBroadphasePair_Class bc , BtBroadphasePairClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__destroy as btAlignedObjectArray_btBroadphasePair__destroy    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__copy as btAlignedObjectArray_btBroadphasePair__copy    `( BtAlignedObjectArray_btBroadphasePair_Class bc , BtBroadphasePairClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__expand as btAlignedObjectArray_btBroadphasePair__expand    `( BtAlignedObjectArray_btBroadphasePair_Class bc , BtBroadphasePairClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__clear as btAlignedObjectArray_btBroadphasePair__clear    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__allocSize as btAlignedObjectArray_btBroadphasePair__allocSize    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__reserve as btAlignedObjectArray_btBroadphasePair__reserve    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_allocator_set    `( BtAlignedObjectArray_btBroadphasePair_Class bc , BtAlignedAllocator_btBroadphasePair_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_allocator_get    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btBroadphasePair_16u_'  mkBtAlignedAllocator_btBroadphasePair_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_size_set    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_size_get    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_capacity_set    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_capacity_get    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_data_set    `( BtAlignedObjectArray_btBroadphasePair_Class bc , BtBroadphasePairClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_data_get    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  } ->  `BtBroadphasePair'  mkBtBroadphasePair* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_ownsMemory_set    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBroadphasePair__m_ownsMemory_get    `( BtAlignedObjectArray_btBroadphasePair_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btBvhSubtreeInfo>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__new as btAlignedObjectArray_btBvhSubtreeInfo_    {  } -> `BtAlignedObjectArray_btBvhSubtreeInfo_' mkBtAlignedObjectArray_btBvhSubtreeInfo_* #}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__free    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__push_back as btAlignedObjectArray_btBvhSubtreeInfo__push_back    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__at0 as btAlignedObjectArray_btBvhSubtreeInfo__at    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__at0 as btAlignedObjectArray_btBvhSubtreeInfo__at0    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__at1 as btAlignedObjectArray_btBvhSubtreeInfo__at1    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__size as btAlignedObjectArray_btBvhSubtreeInfo__size    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__capacity as btAlignedObjectArray_btBvhSubtreeInfo__capacity    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__init as btAlignedObjectArray_btBvhSubtreeInfo__init    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__allocate as btAlignedObjectArray_btBvhSubtreeInfo__allocate    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__pop_back as btAlignedObjectArray_btBvhSubtreeInfo__pop_back    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__deallocate as btAlignedObjectArray_btBvhSubtreeInfo__deallocate    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__swap as btAlignedObjectArray_btBvhSubtreeInfo__swap    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__initializeFromBuffer as btAlignedObjectArray_btBvhSubtreeInfo__initializeFromBuffer    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__expandNonInitializing as btAlignedObjectArray_btBvhSubtreeInfo__expandNonInitializing    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__resize as btAlignedObjectArray_btBvhSubtreeInfo__resize    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc , BtBvhSubtreeInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__destroy as btAlignedObjectArray_btBvhSubtreeInfo__destroy    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__copy as btAlignedObjectArray_btBvhSubtreeInfo__copy    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc , BtBvhSubtreeInfoClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__expand as btAlignedObjectArray_btBvhSubtreeInfo__expand    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc , BtBvhSubtreeInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__clear as btAlignedObjectArray_btBvhSubtreeInfo__clear    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__allocSize as btAlignedObjectArray_btBvhSubtreeInfo__allocSize    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__reserve as btAlignedObjectArray_btBvhSubtreeInfo__reserve    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_allocator_set    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc , BtAlignedAllocator_btBvhSubtreeInfo_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_allocator_get    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btBvhSubtreeInfo_16u_'  mkBtAlignedAllocator_btBvhSubtreeInfo_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_size_set    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_size_get    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_capacity_set    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_capacity_get    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_data_set    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc , BtBvhSubtreeInfoClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_data_get    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtBvhSubtreeInfo'  mkBtBvhSubtreeInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_ownsMemory_set    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btBvhSubtreeInfo__m_ownsMemory_get    `( BtAlignedObjectArray_btBvhSubtreeInfo_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btChunk*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__new as btAlignedObjectArray_btChunk_ptr_    {  } -> `BtAlignedObjectArray_btChunk_ptr_' mkBtAlignedObjectArray_btChunk_ptr_* #}
{#fun btAlignedObjectArray_btChunk_ptr__free    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__push_back as btAlignedObjectArray_btChunk_ptr__push_back    `( BtAlignedObjectArray_btChunk_ptr_Class bc , BtChunkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__at0 as btAlignedObjectArray_btChunk_ptr__at    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtChunk'  mkBtChunk* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__at0 as btAlignedObjectArray_btChunk_ptr__at0    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtChunk'  mkBtChunk* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__at1 as btAlignedObjectArray_btChunk_ptr__at1    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtChunk'  mkBtChunk* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__size as btAlignedObjectArray_btChunk_ptr__size    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__capacity as btAlignedObjectArray_btChunk_ptr__capacity    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__init as btAlignedObjectArray_btChunk_ptr__init    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__allocate as btAlignedObjectArray_btChunk_ptr__allocate    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__pop_back as btAlignedObjectArray_btChunk_ptr__pop_back    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__deallocate as btAlignedObjectArray_btChunk_ptr__deallocate    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__swap as btAlignedObjectArray_btChunk_ptr__swap    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__initializeFromBuffer as btAlignedObjectArray_btChunk_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__expandNonInitializing as btAlignedObjectArray_btChunk_ptr__expandNonInitializing    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtChunk'  mkBtChunk* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__resize as btAlignedObjectArray_btChunk_ptr__resize    `( BtAlignedObjectArray_btChunk_ptr_Class bc , BtChunkClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__destroy as btAlignedObjectArray_btChunk_ptr__destroy    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__expand as btAlignedObjectArray_btChunk_ptr__expand    `( BtAlignedObjectArray_btChunk_ptr_Class bc , BtChunkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtChunk'  mkBtChunk* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__clear as btAlignedObjectArray_btChunk_ptr__clear    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__allocSize as btAlignedObjectArray_btChunk_ptr__allocSize    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__reserve as btAlignedObjectArray_btChunk_ptr__reserve    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_allocator_set    `( BtAlignedObjectArray_btChunk_ptr_Class bc , BtAlignedAllocator_btChunk_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_allocator_get    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btChunk_ptr_16u_'  mkBtAlignedAllocator_btChunk_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_size_set    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_size_get    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_capacity_set    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_capacity_get    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btChunk_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btChunk_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btCollisionObject*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__new as btAlignedObjectArray_btCollisionObject_ptr_    {  } -> `BtAlignedObjectArray_btCollisionObject_ptr_' mkBtAlignedObjectArray_btCollisionObject_ptr_* #}
{#fun btAlignedObjectArray_btCollisionObject_ptr__free    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__push_back as btAlignedObjectArray_btCollisionObject_ptr__push_back    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc , BtCollisionObjectClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__at0 as btAlignedObjectArray_btCollisionObject_ptr__at    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCollisionObject'  mkBtCollisionObject* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__at0 as btAlignedObjectArray_btCollisionObject_ptr__at0    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCollisionObject'  mkBtCollisionObject* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__at1 as btAlignedObjectArray_btCollisionObject_ptr__at1    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCollisionObject'  mkBtCollisionObject* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__size as btAlignedObjectArray_btCollisionObject_ptr__size    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__capacity as btAlignedObjectArray_btCollisionObject_ptr__capacity    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__init as btAlignedObjectArray_btCollisionObject_ptr__init    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__swap as btAlignedObjectArray_btCollisionObject_ptr__swap    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__pop_back as btAlignedObjectArray_btCollisionObject_ptr__pop_back    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__deallocate as btAlignedObjectArray_btCollisionObject_ptr__deallocate    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__allocate as btAlignedObjectArray_btCollisionObject_ptr__allocate    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__initializeFromBuffer as btAlignedObjectArray_btCollisionObject_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__expandNonInitializing as btAlignedObjectArray_btCollisionObject_ptr__expandNonInitializing    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtCollisionObject'  mkBtCollisionObject* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__destroy as btAlignedObjectArray_btCollisionObject_ptr__destroy    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__resize as btAlignedObjectArray_btCollisionObject_ptr__resize    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc , BtCollisionObjectClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__clear as btAlignedObjectArray_btCollisionObject_ptr__clear    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__allocSize as btAlignedObjectArray_btCollisionObject_ptr__allocSize    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__expand as btAlignedObjectArray_btCollisionObject_ptr__expand    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc , BtCollisionObjectClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtCollisionObject'  mkBtCollisionObject* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__reserve as btAlignedObjectArray_btCollisionObject_ptr__reserve    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_allocator_set    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc , BtAlignedAllocator_btCollisionObject_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_allocator_get    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btCollisionObject_ptr_16u_'  mkBtAlignedAllocator_btCollisionObject_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_capacity_set    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_capacity_get    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_size_set    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionObject_ptr__m_size_get    `( BtAlignedObjectArray_btCollisionObject_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btCollisionShape*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__new as btAlignedObjectArray_btCollisionShape_ptr_    {  } -> `BtAlignedObjectArray_btCollisionShape_ptr_' mkBtAlignedObjectArray_btCollisionShape_ptr_* #}
{#fun btAlignedObjectArray_btCollisionShape_ptr__free    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__push_back as btAlignedObjectArray_btCollisionShape_ptr__push_back    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc , BtCollisionShapeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__at0 as btAlignedObjectArray_btCollisionShape_ptr__at    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCollisionShape'  mkBtCollisionShape* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__at0 as btAlignedObjectArray_btCollisionShape_ptr__at0    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCollisionShape'  mkBtCollisionShape* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__at1 as btAlignedObjectArray_btCollisionShape_ptr__at1    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCollisionShape'  mkBtCollisionShape* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__size as btAlignedObjectArray_btCollisionShape_ptr__size    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__capacity as btAlignedObjectArray_btCollisionShape_ptr__capacity    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__init as btAlignedObjectArray_btCollisionShape_ptr__init    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__allocate as btAlignedObjectArray_btCollisionShape_ptr__allocate    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__pop_back as btAlignedObjectArray_btCollisionShape_ptr__pop_back    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__deallocate as btAlignedObjectArray_btCollisionShape_ptr__deallocate    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__swap as btAlignedObjectArray_btCollisionShape_ptr__swap    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__initializeFromBuffer as btAlignedObjectArray_btCollisionShape_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__expandNonInitializing as btAlignedObjectArray_btCollisionShape_ptr__expandNonInitializing    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtCollisionShape'  mkBtCollisionShape* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__resize as btAlignedObjectArray_btCollisionShape_ptr__resize    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc , BtCollisionShapeClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__destroy as btAlignedObjectArray_btCollisionShape_ptr__destroy    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__expand as btAlignedObjectArray_btCollisionShape_ptr__expand    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc , BtCollisionShapeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtCollisionShape'  mkBtCollisionShape* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__clear as btAlignedObjectArray_btCollisionShape_ptr__clear    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__allocSize as btAlignedObjectArray_btCollisionShape_ptr__allocSize    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__reserve as btAlignedObjectArray_btCollisionShape_ptr__reserve    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_allocator_set    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc , BtAlignedAllocator_btCollisionShape_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_allocator_get    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btCollisionShape_ptr_16u_'  mkBtAlignedAllocator_btCollisionShape_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_size_set    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_size_get    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_capacity_set    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_capacity_get    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCollisionShape_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btCollisionShape_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btCompoundShapeChild>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__new as btAlignedObjectArray_btCompoundShapeChild_    {  } -> `BtAlignedObjectArray_btCompoundShapeChild_' mkBtAlignedObjectArray_btCompoundShapeChild_* #}
{#fun btAlignedObjectArray_btCompoundShapeChild__free    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__push_back as btAlignedObjectArray_btCompoundShapeChild__push_back    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__at0 as btAlignedObjectArray_btCompoundShapeChild__at    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__at0 as btAlignedObjectArray_btCompoundShapeChild__at0    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__at1 as btAlignedObjectArray_btCompoundShapeChild__at1    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__size as btAlignedObjectArray_btCompoundShapeChild__size    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__capacity as btAlignedObjectArray_btCompoundShapeChild__capacity    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__init as btAlignedObjectArray_btCompoundShapeChild__init    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__allocate as btAlignedObjectArray_btCompoundShapeChild__allocate    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__pop_back as btAlignedObjectArray_btCompoundShapeChild__pop_back    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__deallocate as btAlignedObjectArray_btCompoundShapeChild__deallocate    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__swap as btAlignedObjectArray_btCompoundShapeChild__swap    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__initializeFromBuffer as btAlignedObjectArray_btCompoundShapeChild__initializeFromBuffer    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__expandNonInitializing as btAlignedObjectArray_btCompoundShapeChild__expandNonInitializing    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__resize as btAlignedObjectArray_btCompoundShapeChild__resize    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc , BtCompoundShapeChildClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__destroy as btAlignedObjectArray_btCompoundShapeChild__destroy    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__copy as btAlignedObjectArray_btCompoundShapeChild__copy    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc , BtCompoundShapeChildClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__expand as btAlignedObjectArray_btCompoundShapeChild__expand    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc , BtCompoundShapeChildClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__clear as btAlignedObjectArray_btCompoundShapeChild__clear    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__allocSize as btAlignedObjectArray_btCompoundShapeChild__allocSize    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__reserve as btAlignedObjectArray_btCompoundShapeChild__reserve    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_allocator_set    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc , BtAlignedAllocator_btCompoundShapeChild_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_allocator_get    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btCompoundShapeChild_16u_'  mkBtAlignedAllocator_btCompoundShapeChild_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_size_set    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_size_get    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_capacity_set    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_capacity_get    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_data_set    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc , BtCompoundShapeChildClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_data_get    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  } ->  `BtCompoundShapeChild'  mkBtCompoundShapeChild* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_ownsMemory_set    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btCompoundShapeChild__m_ownsMemory_get    `( BtAlignedObjectArray_btCompoundShapeChild_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btDbvt::sStkNN>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__new as btAlignedObjectArray_btDbvt_sStkNN_    {  } -> `BtAlignedObjectArray_btDbvt_sStkNN_' mkBtAlignedObjectArray_btDbvt_sStkNN_* #}
{#fun btAlignedObjectArray_btDbvt_sStkNN__free    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__push_back as btAlignedObjectArray_btDbvt_sStkNN__push_back    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__at0 as btAlignedObjectArray_btDbvt_sStkNN__at    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__at0 as btAlignedObjectArray_btDbvt_sStkNN__at0    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__at1 as btAlignedObjectArray_btDbvt_sStkNN__at1    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__size as btAlignedObjectArray_btDbvt_sStkNN__size    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__capacity as btAlignedObjectArray_btDbvt_sStkNN__capacity    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__init as btAlignedObjectArray_btDbvt_sStkNN__init    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__allocate as btAlignedObjectArray_btDbvt_sStkNN__allocate    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__pop_back as btAlignedObjectArray_btDbvt_sStkNN__pop_back    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__deallocate as btAlignedObjectArray_btDbvt_sStkNN__deallocate    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__swap as btAlignedObjectArray_btDbvt_sStkNN__swap    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__initializeFromBuffer as btAlignedObjectArray_btDbvt_sStkNN__initializeFromBuffer    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__expandNonInitializing as btAlignedObjectArray_btDbvt_sStkNN__expandNonInitializing    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__resize as btAlignedObjectArray_btDbvt_sStkNN__resize    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc , BtDbvt_sStkNNClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__destroy as btAlignedObjectArray_btDbvt_sStkNN__destroy    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__copy as btAlignedObjectArray_btDbvt_sStkNN__copy    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc , BtDbvt_sStkNNClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__expand as btAlignedObjectArray_btDbvt_sStkNN__expand    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc , BtDbvt_sStkNNClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__clear as btAlignedObjectArray_btDbvt_sStkNN__clear    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__allocSize as btAlignedObjectArray_btDbvt_sStkNN__allocSize    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__reserve as btAlignedObjectArray_btDbvt_sStkNN__reserve    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_allocator_set    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc , BtAlignedAllocator_btDbvt_sStkNN_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_allocator_get    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btDbvt_sStkNN_16u_'  mkBtAlignedAllocator_btDbvt_sStkNN_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_size_set    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_size_get    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_capacity_set    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_capacity_get    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_data_set    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc , BtDbvt_sStkNNClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_data_get    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  } ->  `BtDbvt_sStkNN'  mkBtDbvt_sStkNN* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_ownsMemory_set    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNN__m_ownsMemory_get    `( BtAlignedObjectArray_btDbvt_sStkNN_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btDbvt::sStkNP>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__new as btAlignedObjectArray_btDbvt_sStkNP_    {  } -> `BtAlignedObjectArray_btDbvt_sStkNP_' mkBtAlignedObjectArray_btDbvt_sStkNP_* #}
{#fun btAlignedObjectArray_btDbvt_sStkNP__free    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__push_back as btAlignedObjectArray_btDbvt_sStkNP__push_back    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__at0 as btAlignedObjectArray_btDbvt_sStkNP__at    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__at0 as btAlignedObjectArray_btDbvt_sStkNP__at0    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__at1 as btAlignedObjectArray_btDbvt_sStkNP__at1    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__size as btAlignedObjectArray_btDbvt_sStkNP__size    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__capacity as btAlignedObjectArray_btDbvt_sStkNP__capacity    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__init as btAlignedObjectArray_btDbvt_sStkNP__init    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__allocate as btAlignedObjectArray_btDbvt_sStkNP__allocate    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__pop_back as btAlignedObjectArray_btDbvt_sStkNP__pop_back    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__deallocate as btAlignedObjectArray_btDbvt_sStkNP__deallocate    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__swap as btAlignedObjectArray_btDbvt_sStkNP__swap    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__initializeFromBuffer as btAlignedObjectArray_btDbvt_sStkNP__initializeFromBuffer    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__expandNonInitializing as btAlignedObjectArray_btDbvt_sStkNP__expandNonInitializing    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__resize as btAlignedObjectArray_btDbvt_sStkNP__resize    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc , BtDbvt_sStkNPClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__destroy as btAlignedObjectArray_btDbvt_sStkNP__destroy    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__copy as btAlignedObjectArray_btDbvt_sStkNP__copy    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc , BtDbvt_sStkNPClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__expand as btAlignedObjectArray_btDbvt_sStkNP__expand    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc , BtDbvt_sStkNPClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__clear as btAlignedObjectArray_btDbvt_sStkNP__clear    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__allocSize as btAlignedObjectArray_btDbvt_sStkNP__allocSize    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__reserve as btAlignedObjectArray_btDbvt_sStkNP__reserve    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_allocator_set    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc , BtAlignedAllocator_btDbvt_sStkNP_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_allocator_get    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btDbvt_sStkNP_16u_'  mkBtAlignedAllocator_btDbvt_sStkNP_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_size_set    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_size_get    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_capacity_set    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_capacity_get    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_data_set    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc , BtDbvt_sStkNPClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_data_get    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  } ->  `BtDbvt_sStkNP'  mkBtDbvt_sStkNP* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_ownsMemory_set    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNP__m_ownsMemory_get    `( BtAlignedObjectArray_btDbvt_sStkNP_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btDbvt::sStkNPS>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__new as btAlignedObjectArray_btDbvt_sStkNPS_    {  } -> `BtAlignedObjectArray_btDbvt_sStkNPS_' mkBtAlignedObjectArray_btDbvt_sStkNPS_* #}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__free    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__push_back as btAlignedObjectArray_btDbvt_sStkNPS__push_back    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__at0 as btAlignedObjectArray_btDbvt_sStkNPS__at    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__at0 as btAlignedObjectArray_btDbvt_sStkNPS__at0    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__at1 as btAlignedObjectArray_btDbvt_sStkNPS__at1    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__size as btAlignedObjectArray_btDbvt_sStkNPS__size    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__capacity as btAlignedObjectArray_btDbvt_sStkNPS__capacity    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__init as btAlignedObjectArray_btDbvt_sStkNPS__init    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__allocate as btAlignedObjectArray_btDbvt_sStkNPS__allocate    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__pop_back as btAlignedObjectArray_btDbvt_sStkNPS__pop_back    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__deallocate as btAlignedObjectArray_btDbvt_sStkNPS__deallocate    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__swap as btAlignedObjectArray_btDbvt_sStkNPS__swap    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__initializeFromBuffer as btAlignedObjectArray_btDbvt_sStkNPS__initializeFromBuffer    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__expandNonInitializing as btAlignedObjectArray_btDbvt_sStkNPS__expandNonInitializing    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__resize as btAlignedObjectArray_btDbvt_sStkNPS__resize    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc , BtDbvt_sStkNPSClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__destroy as btAlignedObjectArray_btDbvt_sStkNPS__destroy    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__copy as btAlignedObjectArray_btDbvt_sStkNPS__copy    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc , BtDbvt_sStkNPSClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__expand as btAlignedObjectArray_btDbvt_sStkNPS__expand    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc , BtDbvt_sStkNPSClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__clear as btAlignedObjectArray_btDbvt_sStkNPS__clear    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__allocSize as btAlignedObjectArray_btDbvt_sStkNPS__allocSize    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__reserve as btAlignedObjectArray_btDbvt_sStkNPS__reserve    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_allocator_set    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc , BtAlignedAllocator_btDbvt_sStkNPS_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_allocator_get    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btDbvt_sStkNPS_16u_'  mkBtAlignedAllocator_btDbvt_sStkNPS_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_size_set    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_size_get    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_capacity_set    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_capacity_get    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_data_set    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc , BtDbvt_sStkNPSClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_data_get    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  } ->  `BtDbvt_sStkNPS'  mkBtDbvt_sStkNPS* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_ownsMemory_set    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvt_sStkNPS__m_ownsMemory_get    `( BtAlignedObjectArray_btDbvt_sStkNPS_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btDbvtNode const*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__new as btAlignedObjectArray_btDbvtNodeconst_ptr_    {  } -> `BtAlignedObjectArray_btDbvtNodeconst_ptr_' mkBtAlignedObjectArray_btDbvtNodeconst_ptr_* #}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__free    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__push_back as btAlignedObjectArray_btDbvtNodeconst_ptr__push_back    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc , BtDbvtNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__at0 as btAlignedObjectArray_btDbvtNodeconst_ptr__at    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvtNode'  mkBtDbvtNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__at0 as btAlignedObjectArray_btDbvtNodeconst_ptr__at0    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvtNode'  mkBtDbvtNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__at1 as btAlignedObjectArray_btDbvtNodeconst_ptr__at1    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtDbvtNode'  mkBtDbvtNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__size as btAlignedObjectArray_btDbvtNodeconst_ptr__size    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__capacity as btAlignedObjectArray_btDbvtNodeconst_ptr__capacity    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__init as btAlignedObjectArray_btDbvtNodeconst_ptr__init    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__allocate as btAlignedObjectArray_btDbvtNodeconst_ptr__allocate    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__pop_back as btAlignedObjectArray_btDbvtNodeconst_ptr__pop_back    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__deallocate as btAlignedObjectArray_btDbvtNodeconst_ptr__deallocate    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__swap as btAlignedObjectArray_btDbvtNodeconst_ptr__swap    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__initializeFromBuffer as btAlignedObjectArray_btDbvtNodeconst_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__expandNonInitializing as btAlignedObjectArray_btDbvtNodeconst_ptr__expandNonInitializing    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtDbvtNode'  mkBtDbvtNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__resize as btAlignedObjectArray_btDbvtNodeconst_ptr__resize    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc , BtDbvtNodeClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__destroy as btAlignedObjectArray_btDbvtNodeconst_ptr__destroy    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__expand as btAlignedObjectArray_btDbvtNodeconst_ptr__expand    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc , BtDbvtNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtDbvtNode'  mkBtDbvtNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__clear as btAlignedObjectArray_btDbvtNodeconst_ptr__clear    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__allocSize as btAlignedObjectArray_btDbvtNodeconst_ptr__allocSize    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__reserve as btAlignedObjectArray_btDbvtNodeconst_ptr__reserve    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_allocator_set    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc , BtAlignedAllocator_btDbvtNodeconst_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_allocator_get    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btDbvtNodeconst_ptr_16u_'  mkBtAlignedAllocator_btDbvtNodeconst_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_size_set    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_size_get    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_capacity_set    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_capacity_get    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btDbvtNodeconst_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btDbvtNodeconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btGImpactMeshShapePart*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__new as btAlignedObjectArray_btGImpactMeshShapePart_ptr_    {  } -> `BtAlignedObjectArray_btGImpactMeshShapePart_ptr_' mkBtAlignedObjectArray_btGImpactMeshShapePart_ptr_* #}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__free    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__push_back as btAlignedObjectArray_btGImpactMeshShapePart_ptr__push_back    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc , BtGImpactMeshShapePartClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__at0 as btAlignedObjectArray_btGImpactMeshShapePart_ptr__at    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtGImpactMeshShapePart'  mkBtGImpactMeshShapePart* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__at0 as btAlignedObjectArray_btGImpactMeshShapePart_ptr__at0    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtGImpactMeshShapePart'  mkBtGImpactMeshShapePart* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__at1 as btAlignedObjectArray_btGImpactMeshShapePart_ptr__at1    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtGImpactMeshShapePart'  mkBtGImpactMeshShapePart* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__size as btAlignedObjectArray_btGImpactMeshShapePart_ptr__size    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__capacity as btAlignedObjectArray_btGImpactMeshShapePart_ptr__capacity    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__init as btAlignedObjectArray_btGImpactMeshShapePart_ptr__init    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__allocate as btAlignedObjectArray_btGImpactMeshShapePart_ptr__allocate    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__pop_back as btAlignedObjectArray_btGImpactMeshShapePart_ptr__pop_back    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__deallocate as btAlignedObjectArray_btGImpactMeshShapePart_ptr__deallocate    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__swap as btAlignedObjectArray_btGImpactMeshShapePart_ptr__swap    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__initializeFromBuffer as btAlignedObjectArray_btGImpactMeshShapePart_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__expandNonInitializing as btAlignedObjectArray_btGImpactMeshShapePart_ptr__expandNonInitializing    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtGImpactMeshShapePart'  mkBtGImpactMeshShapePart* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__resize as btAlignedObjectArray_btGImpactMeshShapePart_ptr__resize    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc , BtGImpactMeshShapePartClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__destroy as btAlignedObjectArray_btGImpactMeshShapePart_ptr__destroy    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__expand as btAlignedObjectArray_btGImpactMeshShapePart_ptr__expand    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc , BtGImpactMeshShapePartClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtGImpactMeshShapePart'  mkBtGImpactMeshShapePart* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__clear as btAlignedObjectArray_btGImpactMeshShapePart_ptr__clear    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__allocSize as btAlignedObjectArray_btGImpactMeshShapePart_ptr__allocSize    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__reserve as btAlignedObjectArray_btGImpactMeshShapePart_ptr__reserve    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_allocator_set    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc , BtAlignedAllocator_btGImpactMeshShapePart_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_allocator_get    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btGImpactMeshShapePart_ptr_16u_'  mkBtAlignedAllocator_btGImpactMeshShapePart_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_size_set    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_size_get    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_capacity_set    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_capacity_get    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btGImpactMeshShapePart_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btGImpactMeshShapePart_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btHashInt>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__new as btAlignedObjectArray_btHashInt_    {  } -> `BtAlignedObjectArray_btHashInt_' mkBtAlignedObjectArray_btHashInt_* #}
{#fun btAlignedObjectArray_btHashInt__free    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__push_back as btAlignedObjectArray_btHashInt__push_back    `( BtAlignedObjectArray_btHashInt_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__at0 as btAlignedObjectArray_btHashInt__at    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__at0 as btAlignedObjectArray_btHashInt__at0    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__at1 as btAlignedObjectArray_btHashInt__at1    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__size as btAlignedObjectArray_btHashInt__size    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__capacity as btAlignedObjectArray_btHashInt__capacity    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__init as btAlignedObjectArray_btHashInt__init    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__allocate as btAlignedObjectArray_btHashInt__allocate    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__pop_back as btAlignedObjectArray_btHashInt__pop_back    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__deallocate as btAlignedObjectArray_btHashInt__deallocate    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__swap as btAlignedObjectArray_btHashInt__swap    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__initializeFromBuffer as btAlignedObjectArray_btHashInt__initializeFromBuffer    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__expandNonInitializing as btAlignedObjectArray_btHashInt__expandNonInitializing    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__resize as btAlignedObjectArray_btHashInt__resize    `( BtAlignedObjectArray_btHashInt_Class bc , BtHashIntClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__destroy as btAlignedObjectArray_btHashInt__destroy    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__copy as btAlignedObjectArray_btHashInt__copy    `( BtAlignedObjectArray_btHashInt_Class bc , BtHashIntClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__expand as btAlignedObjectArray_btHashInt__expand    `( BtAlignedObjectArray_btHashInt_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__clear as btAlignedObjectArray_btHashInt__clear    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__allocSize as btAlignedObjectArray_btHashInt__allocSize    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__reserve as btAlignedObjectArray_btHashInt__reserve    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_allocator_set    `( BtAlignedObjectArray_btHashInt_Class bc , BtAlignedAllocator_btHashInt_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_allocator_get    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btHashInt_16u_'  mkBtAlignedAllocator_btHashInt_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_size_set    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_size_get    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_capacity_set    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_capacity_get    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_data_set    `( BtAlignedObjectArray_btHashInt_Class bc , BtHashIntClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_data_get    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  } ->  `BtHashInt'  mkBtHashInt* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_ownsMemory_set    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashInt__m_ownsMemory_get    `( BtAlignedObjectArray_btHashInt_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btHashPtr>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__new as btAlignedObjectArray_btHashPtr_    {  } -> `BtAlignedObjectArray_btHashPtr_' mkBtAlignedObjectArray_btHashPtr_* #}
{#fun btAlignedObjectArray_btHashPtr__free    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__push_back as btAlignedObjectArray_btHashPtr__push_back    `( BtAlignedObjectArray_btHashPtr_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__at0 as btAlignedObjectArray_btHashPtr__at    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__at0 as btAlignedObjectArray_btHashPtr__at0    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__at1 as btAlignedObjectArray_btHashPtr__at1    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__size as btAlignedObjectArray_btHashPtr__size    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__capacity as btAlignedObjectArray_btHashPtr__capacity    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__init as btAlignedObjectArray_btHashPtr__init    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__allocate as btAlignedObjectArray_btHashPtr__allocate    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__pop_back as btAlignedObjectArray_btHashPtr__pop_back    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__deallocate as btAlignedObjectArray_btHashPtr__deallocate    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__swap as btAlignedObjectArray_btHashPtr__swap    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__initializeFromBuffer as btAlignedObjectArray_btHashPtr__initializeFromBuffer    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__expandNonInitializing as btAlignedObjectArray_btHashPtr__expandNonInitializing    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__resize as btAlignedObjectArray_btHashPtr__resize    `( BtAlignedObjectArray_btHashPtr_Class bc , BtHashPtrClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__destroy as btAlignedObjectArray_btHashPtr__destroy    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__copy as btAlignedObjectArray_btHashPtr__copy    `( BtAlignedObjectArray_btHashPtr_Class bc , BtHashPtrClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__expand as btAlignedObjectArray_btHashPtr__expand    `( BtAlignedObjectArray_btHashPtr_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__clear as btAlignedObjectArray_btHashPtr__clear    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__allocSize as btAlignedObjectArray_btHashPtr__allocSize    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__reserve as btAlignedObjectArray_btHashPtr__reserve    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_allocator_set    `( BtAlignedObjectArray_btHashPtr_Class bc , BtAlignedAllocator_btHashPtr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_allocator_get    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btHashPtr_16u_'  mkBtAlignedAllocator_btHashPtr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_size_set    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_size_get    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_capacity_set    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_capacity_get    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_data_set    `( BtAlignedObjectArray_btHashPtr_Class bc , BtHashPtrClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_data_get    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  } ->  `BtHashPtr'  mkBtHashPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_ownsMemory_set    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashPtr__m_ownsMemory_get    `( BtAlignedObjectArray_btHashPtr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btHashString>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__new as btAlignedObjectArray_btHashString_    {  } -> `BtAlignedObjectArray_btHashString_' mkBtAlignedObjectArray_btHashString_* #}
{#fun btAlignedObjectArray_btHashString__free    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__push_back as btAlignedObjectArray_btHashString__push_back    `( BtAlignedObjectArray_btHashString_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__at0 as btAlignedObjectArray_btHashString__at    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__at0 as btAlignedObjectArray_btHashString__at0    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__at1 as btAlignedObjectArray_btHashString__at1    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__size as btAlignedObjectArray_btHashString__size    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__capacity as btAlignedObjectArray_btHashString__capacity    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__init as btAlignedObjectArray_btHashString__init    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__allocate as btAlignedObjectArray_btHashString__allocate    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__pop_back as btAlignedObjectArray_btHashString__pop_back    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__deallocate as btAlignedObjectArray_btHashString__deallocate    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__swap as btAlignedObjectArray_btHashString__swap    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__initializeFromBuffer as btAlignedObjectArray_btHashString__initializeFromBuffer    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__expandNonInitializing as btAlignedObjectArray_btHashString__expandNonInitializing    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__resize as btAlignedObjectArray_btHashString__resize    `( BtAlignedObjectArray_btHashString_Class bc , BtHashStringClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__destroy as btAlignedObjectArray_btHashString__destroy    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__copy as btAlignedObjectArray_btHashString__copy    `( BtAlignedObjectArray_btHashString_Class bc , BtHashStringClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__expand as btAlignedObjectArray_btHashString__expand    `( BtAlignedObjectArray_btHashString_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__clear as btAlignedObjectArray_btHashString__clear    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__allocSize as btAlignedObjectArray_btHashString__allocSize    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__reserve as btAlignedObjectArray_btHashString__reserve    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_allocator_set    `( BtAlignedObjectArray_btHashString_Class bc , BtAlignedAllocator_btHashString_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_allocator_get    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btHashString_16u_'  mkBtAlignedAllocator_btHashString_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_size_set    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_size_get    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_capacity_set    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_capacity_get    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_data_set    `( BtAlignedObjectArray_btHashString_Class bc , BtHashStringClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_data_get    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  } ->  `BtHashString'  mkBtHashString* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_ownsMemory_set    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btHashString__m_ownsMemory_get    `( BtAlignedObjectArray_btHashString_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btIndexedMesh>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__new as btAlignedObjectArray_btIndexedMesh_    {  } -> `BtAlignedObjectArray_btIndexedMesh_' mkBtAlignedObjectArray_btIndexedMesh_* #}
{#fun btAlignedObjectArray_btIndexedMesh__free    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__push_back as btAlignedObjectArray_btIndexedMesh__push_back    `( BtAlignedObjectArray_btIndexedMesh_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__at0 as btAlignedObjectArray_btIndexedMesh__at    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__at0 as btAlignedObjectArray_btIndexedMesh__at0    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__at1 as btAlignedObjectArray_btIndexedMesh__at1    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__size as btAlignedObjectArray_btIndexedMesh__size    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__capacity as btAlignedObjectArray_btIndexedMesh__capacity    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__init as btAlignedObjectArray_btIndexedMesh__init    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__allocate as btAlignedObjectArray_btIndexedMesh__allocate    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__pop_back as btAlignedObjectArray_btIndexedMesh__pop_back    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__deallocate as btAlignedObjectArray_btIndexedMesh__deallocate    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__swap as btAlignedObjectArray_btIndexedMesh__swap    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__initializeFromBuffer as btAlignedObjectArray_btIndexedMesh__initializeFromBuffer    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__expandNonInitializing as btAlignedObjectArray_btIndexedMesh__expandNonInitializing    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__resize as btAlignedObjectArray_btIndexedMesh__resize    `( BtAlignedObjectArray_btIndexedMesh_Class bc , BtIndexedMeshClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__destroy as btAlignedObjectArray_btIndexedMesh__destroy    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__copy as btAlignedObjectArray_btIndexedMesh__copy    `( BtAlignedObjectArray_btIndexedMesh_Class bc , BtIndexedMeshClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__expand as btAlignedObjectArray_btIndexedMesh__expand    `( BtAlignedObjectArray_btIndexedMesh_Class bc , BtIndexedMeshClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__clear as btAlignedObjectArray_btIndexedMesh__clear    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__allocSize as btAlignedObjectArray_btIndexedMesh__allocSize    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__reserve as btAlignedObjectArray_btIndexedMesh__reserve    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_allocator_set    `( BtAlignedObjectArray_btIndexedMesh_Class bc , BtAlignedAllocator_btIndexedMesh_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_allocator_get    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btIndexedMesh_16u_'  mkBtAlignedAllocator_btIndexedMesh_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_size_set    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_size_get    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_capacity_set    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_capacity_get    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_data_set    `( BtAlignedObjectArray_btIndexedMesh_Class bc , BtIndexedMeshClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_data_get    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  } ->  `BtIndexedMesh'  mkBtIndexedMesh* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_ownsMemory_set    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btIndexedMesh__m_ownsMemory_get    `( BtAlignedObjectArray_btIndexedMesh_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btMultiSapBroadphase::btBridgeProxy*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__new as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_    {  } -> `BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_' mkBtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_* #}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__free    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__push_back as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__push_back    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc , BtMultiSapBroadphase_btBridgeProxyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__at0 as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__at    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtMultiSapBroadphase_btBridgeProxy'  mkBtMultiSapBroadphase_btBridgeProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__at0 as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__at0    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtMultiSapBroadphase_btBridgeProxy'  mkBtMultiSapBroadphase_btBridgeProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__at1 as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__at1    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtMultiSapBroadphase_btBridgeProxy'  mkBtMultiSapBroadphase_btBridgeProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__size as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__size    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__capacity as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__capacity    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__init as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__init    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__allocate as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__allocate    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__pop_back as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__pop_back    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__deallocate as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__deallocate    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__swap as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__swap    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__initializeFromBuffer as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__expandNonInitializing as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__expandNonInitializing    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtMultiSapBroadphase_btBridgeProxy'  mkBtMultiSapBroadphase_btBridgeProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__resize as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__resize    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc , BtMultiSapBroadphase_btBridgeProxyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__destroy as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__destroy    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__expand as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__expand    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc , BtMultiSapBroadphase_btBridgeProxyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtMultiSapBroadphase_btBridgeProxy'  mkBtMultiSapBroadphase_btBridgeProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__clear as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__clear    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__allocSize as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__allocSize    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__reserve as btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__reserve    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_allocator_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc , BtAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_allocator_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_'  mkBtAlignedAllocator_btMultiSapBroadphase_btBridgeProxy_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_size_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_size_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_capacity_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_capacity_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btBridgeProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btMultiSapBroadphase::btMultiSapProxy*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__new as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_    {  } -> `BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_' mkBtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_* #}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__free    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__push_back as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__push_back    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc , BtMultiSapBroadphase_btMultiSapProxyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__at0 as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__at    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtMultiSapBroadphase_btMultiSapProxy'  mkBtMultiSapBroadphase_btMultiSapProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__at0 as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__at0    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtMultiSapBroadphase_btMultiSapProxy'  mkBtMultiSapBroadphase_btMultiSapProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__at1 as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__at1    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtMultiSapBroadphase_btMultiSapProxy'  mkBtMultiSapBroadphase_btMultiSapProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__size as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__size    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__capacity as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__capacity    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__init as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__init    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__allocate as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__allocate    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__pop_back as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__pop_back    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__deallocate as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__deallocate    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__swap as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__swap    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__initializeFromBuffer as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__expandNonInitializing as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__expandNonInitializing    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtMultiSapBroadphase_btMultiSapProxy'  mkBtMultiSapBroadphase_btMultiSapProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__resize as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__resize    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc , BtMultiSapBroadphase_btMultiSapProxyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__destroy as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__destroy    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__expand as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__expand    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc , BtMultiSapBroadphase_btMultiSapProxyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtMultiSapBroadphase_btMultiSapProxy'  mkBtMultiSapBroadphase_btMultiSapProxy* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__clear as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__clear    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__allocSize as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__allocSize    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__reserve as btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__reserve    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_allocator_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc , BtAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_allocator_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_'  mkBtAlignedAllocator_btMultiSapBroadphase_btMultiSapProxy_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_size_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_size_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_capacity_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_capacity_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btMultiSapBroadphase_btMultiSapProxy_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btOptimizedBvhNode>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__new as btAlignedObjectArray_btOptimizedBvhNode_    {  } -> `BtAlignedObjectArray_btOptimizedBvhNode_' mkBtAlignedObjectArray_btOptimizedBvhNode_* #}
{#fun btAlignedObjectArray_btOptimizedBvhNode__free    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__push_back as btAlignedObjectArray_btOptimizedBvhNode__push_back    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__at0 as btAlignedObjectArray_btOptimizedBvhNode__at    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__at0 as btAlignedObjectArray_btOptimizedBvhNode__at0    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__at1 as btAlignedObjectArray_btOptimizedBvhNode__at1    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__size as btAlignedObjectArray_btOptimizedBvhNode__size    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__capacity as btAlignedObjectArray_btOptimizedBvhNode__capacity    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__init as btAlignedObjectArray_btOptimizedBvhNode__init    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__allocate as btAlignedObjectArray_btOptimizedBvhNode__allocate    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__pop_back as btAlignedObjectArray_btOptimizedBvhNode__pop_back    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__deallocate as btAlignedObjectArray_btOptimizedBvhNode__deallocate    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__swap as btAlignedObjectArray_btOptimizedBvhNode__swap    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__initializeFromBuffer as btAlignedObjectArray_btOptimizedBvhNode__initializeFromBuffer    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__expandNonInitializing as btAlignedObjectArray_btOptimizedBvhNode__expandNonInitializing    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__resize as btAlignedObjectArray_btOptimizedBvhNode__resize    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc , BtOptimizedBvhNodeClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__destroy as btAlignedObjectArray_btOptimizedBvhNode__destroy    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__copy as btAlignedObjectArray_btOptimizedBvhNode__copy    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc , BtOptimizedBvhNodeClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__expand as btAlignedObjectArray_btOptimizedBvhNode__expand    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc , BtOptimizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__clear as btAlignedObjectArray_btOptimizedBvhNode__clear    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__allocSize as btAlignedObjectArray_btOptimizedBvhNode__allocSize    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__reserve as btAlignedObjectArray_btOptimizedBvhNode__reserve    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_allocator_set    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc , BtAlignedAllocator_btOptimizedBvhNode_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_allocator_get    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btOptimizedBvhNode_16u_'  mkBtAlignedAllocator_btOptimizedBvhNode_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_size_set    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_size_get    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_capacity_set    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_capacity_get    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_data_set    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc , BtOptimizedBvhNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_data_get    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `BtOptimizedBvhNode'  mkBtOptimizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_ownsMemory_set    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btOptimizedBvhNode__m_ownsMemory_get    `( BtAlignedObjectArray_btOptimizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btPersistentManifold*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__new as btAlignedObjectArray_btPersistentManifold_ptr_    {  } -> `BtAlignedObjectArray_btPersistentManifold_ptr_' mkBtAlignedObjectArray_btPersistentManifold_ptr_* #}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__free    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__push_back as btAlignedObjectArray_btPersistentManifold_ptr__push_back    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc , BtPersistentManifoldClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__at0 as btAlignedObjectArray_btPersistentManifold_ptr__at    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtPersistentManifold'  mkBtPersistentManifold* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__at0 as btAlignedObjectArray_btPersistentManifold_ptr__at0    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtPersistentManifold'  mkBtPersistentManifold* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__at1 as btAlignedObjectArray_btPersistentManifold_ptr__at1    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtPersistentManifold'  mkBtPersistentManifold* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__size as btAlignedObjectArray_btPersistentManifold_ptr__size    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__capacity as btAlignedObjectArray_btPersistentManifold_ptr__capacity    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__init as btAlignedObjectArray_btPersistentManifold_ptr__init    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__allocate as btAlignedObjectArray_btPersistentManifold_ptr__allocate    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__pop_back as btAlignedObjectArray_btPersistentManifold_ptr__pop_back    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__deallocate as btAlignedObjectArray_btPersistentManifold_ptr__deallocate    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__swap as btAlignedObjectArray_btPersistentManifold_ptr__swap    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__initializeFromBuffer as btAlignedObjectArray_btPersistentManifold_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__expandNonInitializing as btAlignedObjectArray_btPersistentManifold_ptr__expandNonInitializing    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtPersistentManifold'  mkBtPersistentManifold* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__resize as btAlignedObjectArray_btPersistentManifold_ptr__resize    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc , BtPersistentManifoldClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__destroy as btAlignedObjectArray_btPersistentManifold_ptr__destroy    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__expand as btAlignedObjectArray_btPersistentManifold_ptr__expand    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc , BtPersistentManifoldClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtPersistentManifold'  mkBtPersistentManifold* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__clear as btAlignedObjectArray_btPersistentManifold_ptr__clear    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__allocSize as btAlignedObjectArray_btPersistentManifold_ptr__allocSize    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__reserve as btAlignedObjectArray_btPersistentManifold_ptr__reserve    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_allocator_set    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc , BtAlignedAllocator_btPersistentManifold_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_allocator_get    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btPersistentManifold_ptr_16u_'  mkBtAlignedAllocator_btPersistentManifold_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_size_set    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_size_get    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_capacity_set    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_capacity_get    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPersistentManifold_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btPersistentManifold_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btPointerUid>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__new as btAlignedObjectArray_btPointerUid_    {  } -> `BtAlignedObjectArray_btPointerUid_' mkBtAlignedObjectArray_btPointerUid_* #}
{#fun btAlignedObjectArray_btPointerUid__free    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__push_back as btAlignedObjectArray_btPointerUid__push_back    `( BtAlignedObjectArray_btPointerUid_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__at0 as btAlignedObjectArray_btPointerUid__at    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__at0 as btAlignedObjectArray_btPointerUid__at0    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__at1 as btAlignedObjectArray_btPointerUid__at1    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__size as btAlignedObjectArray_btPointerUid__size    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__capacity as btAlignedObjectArray_btPointerUid__capacity    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__init as btAlignedObjectArray_btPointerUid__init    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__allocate as btAlignedObjectArray_btPointerUid__allocate    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__pop_back as btAlignedObjectArray_btPointerUid__pop_back    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__deallocate as btAlignedObjectArray_btPointerUid__deallocate    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__swap as btAlignedObjectArray_btPointerUid__swap    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__initializeFromBuffer as btAlignedObjectArray_btPointerUid__initializeFromBuffer    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__expandNonInitializing as btAlignedObjectArray_btPointerUid__expandNonInitializing    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__resize as btAlignedObjectArray_btPointerUid__resize    `( BtAlignedObjectArray_btPointerUid_Class bc , BtPointerUidClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__destroy as btAlignedObjectArray_btPointerUid__destroy    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__copy as btAlignedObjectArray_btPointerUid__copy    `( BtAlignedObjectArray_btPointerUid_Class bc , BtPointerUidClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__expand as btAlignedObjectArray_btPointerUid__expand    `( BtAlignedObjectArray_btPointerUid_Class bc , BtPointerUidClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__clear as btAlignedObjectArray_btPointerUid__clear    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__allocSize as btAlignedObjectArray_btPointerUid__allocSize    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__reserve as btAlignedObjectArray_btPointerUid__reserve    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_allocator_set    `( BtAlignedObjectArray_btPointerUid_Class bc , BtAlignedAllocator_btPointerUid_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_allocator_get    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btPointerUid_16u_'  mkBtAlignedAllocator_btPointerUid_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_size_set    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_size_get    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_capacity_set    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_capacity_get    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_data_set    `( BtAlignedObjectArray_btPointerUid_Class bc , BtPointerUidClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_data_get    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_ownsMemory_set    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btPointerUid__m_ownsMemory_get    `( BtAlignedObjectArray_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btQuantizedBvhNode>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__new as btAlignedObjectArray_btQuantizedBvhNode_    {  } -> `BtAlignedObjectArray_btQuantizedBvhNode_' mkBtAlignedObjectArray_btQuantizedBvhNode_* #}
{#fun btAlignedObjectArray_btQuantizedBvhNode__free    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__push_back as btAlignedObjectArray_btQuantizedBvhNode__push_back    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__at0 as btAlignedObjectArray_btQuantizedBvhNode__at    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__at0 as btAlignedObjectArray_btQuantizedBvhNode__at0    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__at1 as btAlignedObjectArray_btQuantizedBvhNode__at1    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__size as btAlignedObjectArray_btQuantizedBvhNode__size    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__capacity as btAlignedObjectArray_btQuantizedBvhNode__capacity    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__init as btAlignedObjectArray_btQuantizedBvhNode__init    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__allocate as btAlignedObjectArray_btQuantizedBvhNode__allocate    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__pop_back as btAlignedObjectArray_btQuantizedBvhNode__pop_back    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__deallocate as btAlignedObjectArray_btQuantizedBvhNode__deallocate    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__swap as btAlignedObjectArray_btQuantizedBvhNode__swap    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__initializeFromBuffer as btAlignedObjectArray_btQuantizedBvhNode__initializeFromBuffer    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__expandNonInitializing as btAlignedObjectArray_btQuantizedBvhNode__expandNonInitializing    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__resize as btAlignedObjectArray_btQuantizedBvhNode__resize    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc , BtQuantizedBvhNodeClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__destroy as btAlignedObjectArray_btQuantizedBvhNode__destroy    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__copy as btAlignedObjectArray_btQuantizedBvhNode__copy    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc , BtQuantizedBvhNodeClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__expand as btAlignedObjectArray_btQuantizedBvhNode__expand    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc , BtQuantizedBvhNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__clear as btAlignedObjectArray_btQuantizedBvhNode__clear    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__allocSize as btAlignedObjectArray_btQuantizedBvhNode__allocSize    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__reserve as btAlignedObjectArray_btQuantizedBvhNode__reserve    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_allocator_set    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc , BtAlignedAllocator_btQuantizedBvhNode_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_allocator_get    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btQuantizedBvhNode_16u_'  mkBtAlignedAllocator_btQuantizedBvhNode_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_size_set    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_size_get    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_capacity_set    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_capacity_get    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_data_set    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc , BtQuantizedBvhNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_data_get    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `BtQuantizedBvhNode'  mkBtQuantizedBvhNode* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_ownsMemory_set    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btQuantizedBvhNode__m_ownsMemory_get    `( BtAlignedObjectArray_btQuantizedBvhNode_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btRigidBody*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__new as btAlignedObjectArray_btRigidBody_ptr_    {  } -> `BtAlignedObjectArray_btRigidBody_ptr_' mkBtAlignedObjectArray_btRigidBody_ptr_* #}
{#fun btAlignedObjectArray_btRigidBody_ptr__free    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__push_back as btAlignedObjectArray_btRigidBody_ptr__push_back    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc , BtRigidBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__at0 as btAlignedObjectArray_btRigidBody_ptr__at    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtRigidBody'  mkBtRigidBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__at0 as btAlignedObjectArray_btRigidBody_ptr__at0    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtRigidBody'  mkBtRigidBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__at1 as btAlignedObjectArray_btRigidBody_ptr__at1    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtRigidBody'  mkBtRigidBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__size as btAlignedObjectArray_btRigidBody_ptr__size    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__capacity as btAlignedObjectArray_btRigidBody_ptr__capacity    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__init as btAlignedObjectArray_btRigidBody_ptr__init    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__allocate as btAlignedObjectArray_btRigidBody_ptr__allocate    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__pop_back as btAlignedObjectArray_btRigidBody_ptr__pop_back    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__deallocate as btAlignedObjectArray_btRigidBody_ptr__deallocate    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__swap as btAlignedObjectArray_btRigidBody_ptr__swap    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__initializeFromBuffer as btAlignedObjectArray_btRigidBody_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__expandNonInitializing as btAlignedObjectArray_btRigidBody_ptr__expandNonInitializing    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtRigidBody'  mkBtRigidBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__resize as btAlignedObjectArray_btRigidBody_ptr__resize    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc , BtRigidBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__destroy as btAlignedObjectArray_btRigidBody_ptr__destroy    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__expand as btAlignedObjectArray_btRigidBody_ptr__expand    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc , BtRigidBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtRigidBody'  mkBtRigidBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__clear as btAlignedObjectArray_btRigidBody_ptr__clear    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__allocSize as btAlignedObjectArray_btRigidBody_ptr__allocSize    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__reserve as btAlignedObjectArray_btRigidBody_ptr__reserve    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_allocator_set    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc , BtAlignedAllocator_btRigidBody_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_allocator_get    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btRigidBody_ptr_16u_'  mkBtAlignedAllocator_btRigidBody_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_size_set    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_size_get    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_capacity_set    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_capacity_get    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btRigidBody_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btRigidBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btSoftBody*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__new as btAlignedObjectArray_btSoftBody_ptr_    {  } -> `BtAlignedObjectArray_btSoftBody_ptr_' mkBtAlignedObjectArray_btSoftBody_ptr_* #}
{#fun btAlignedObjectArray_btSoftBody_ptr__free    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__push_back as btAlignedObjectArray_btSoftBody_ptr__push_back    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc , BtSoftBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__at0 as btAlignedObjectArray_btSoftBody_ptr__at    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody'  mkBtSoftBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__at0 as btAlignedObjectArray_btSoftBody_ptr__at0    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody'  mkBtSoftBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__at1 as btAlignedObjectArray_btSoftBody_ptr__at1    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody'  mkBtSoftBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__size as btAlignedObjectArray_btSoftBody_ptr__size    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__capacity as btAlignedObjectArray_btSoftBody_ptr__capacity    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__init as btAlignedObjectArray_btSoftBody_ptr__init    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__swap as btAlignedObjectArray_btSoftBody_ptr__swap    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__pop_back as btAlignedObjectArray_btSoftBody_ptr__pop_back    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__deallocate as btAlignedObjectArray_btSoftBody_ptr__deallocate    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__allocate as btAlignedObjectArray_btSoftBody_ptr__allocate    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__initializeFromBuffer as btAlignedObjectArray_btSoftBody_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__expandNonInitializing as btAlignedObjectArray_btSoftBody_ptr__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody'  mkBtSoftBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__destroy as btAlignedObjectArray_btSoftBody_ptr__destroy    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__resize as btAlignedObjectArray_btSoftBody_ptr__resize    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc , BtSoftBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__clear as btAlignedObjectArray_btSoftBody_ptr__clear    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__allocSize as btAlignedObjectArray_btSoftBody_ptr__allocSize    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__expand as btAlignedObjectArray_btSoftBody_ptr__expand    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc , BtSoftBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody'  mkBtSoftBody* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__reserve as btAlignedObjectArray_btSoftBody_ptr__reserve    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc , BtAlignedAllocator_btSoftBody_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_ptr_16u_'  mkBtAlignedAllocator_btSoftBody_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_size_set    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ptr__m_size_get    `( BtAlignedObjectArray_btSoftBody_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Anchor>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__new as btAlignedObjectArray_btSoftBody_Anchor_    {  } -> `BtAlignedObjectArray_btSoftBody_Anchor_' mkBtAlignedObjectArray_btSoftBody_Anchor_* #}
{#fun btAlignedObjectArray_btSoftBody_Anchor__free    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__push_back as btAlignedObjectArray_btSoftBody_Anchor__push_back    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__at0 as btAlignedObjectArray_btSoftBody_Anchor__at    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__at0 as btAlignedObjectArray_btSoftBody_Anchor__at0    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__at1 as btAlignedObjectArray_btSoftBody_Anchor__at1    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__size as btAlignedObjectArray_btSoftBody_Anchor__size    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__capacity as btAlignedObjectArray_btSoftBody_Anchor__capacity    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__init as btAlignedObjectArray_btSoftBody_Anchor__init    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__swap as btAlignedObjectArray_btSoftBody_Anchor__swap    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__pop_back as btAlignedObjectArray_btSoftBody_Anchor__pop_back    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__deallocate as btAlignedObjectArray_btSoftBody_Anchor__deallocate    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__allocate as btAlignedObjectArray_btSoftBody_Anchor__allocate    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Anchor__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__expandNonInitializing as btAlignedObjectArray_btSoftBody_Anchor__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__destroy as btAlignedObjectArray_btSoftBody_Anchor__destroy    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__copy as btAlignedObjectArray_btSoftBody_Anchor__copy    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc , BtSoftBody_AnchorClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__resize as btAlignedObjectArray_btSoftBody_Anchor__resize    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc , BtSoftBody_AnchorClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__clear as btAlignedObjectArray_btSoftBody_Anchor__clear    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__allocSize as btAlignedObjectArray_btSoftBody_Anchor__allocSize    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__expand as btAlignedObjectArray_btSoftBody_Anchor__expand    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc , BtSoftBody_AnchorClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__reserve as btAlignedObjectArray_btSoftBody_Anchor__reserve    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc , BtAlignedAllocator_btSoftBody_Anchor_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Anchor_16u_'  mkBtAlignedAllocator_btSoftBody_Anchor_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_data_set    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc , BtSoftBody_AnchorClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_data_get    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_Anchor'  mkBtSoftBody_Anchor* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_size_set    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Anchor__m_size_get    `( BtAlignedObjectArray_btSoftBody_Anchor_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Cluster*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__new as btAlignedObjectArray_btSoftBody_Cluster_ptr_    {  } -> `BtAlignedObjectArray_btSoftBody_Cluster_ptr_' mkBtAlignedObjectArray_btSoftBody_Cluster_ptr_* #}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__free    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__push_back as btAlignedObjectArray_btSoftBody_Cluster_ptr__push_back    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc , BtSoftBody_ClusterClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__at0 as btAlignedObjectArray_btSoftBody_Cluster_ptr__at    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Cluster'  mkBtSoftBody_Cluster* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__at0 as btAlignedObjectArray_btSoftBody_Cluster_ptr__at0    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Cluster'  mkBtSoftBody_Cluster* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__at1 as btAlignedObjectArray_btSoftBody_Cluster_ptr__at1    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Cluster'  mkBtSoftBody_Cluster* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__size as btAlignedObjectArray_btSoftBody_Cluster_ptr__size    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__capacity as btAlignedObjectArray_btSoftBody_Cluster_ptr__capacity    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__init as btAlignedObjectArray_btSoftBody_Cluster_ptr__init    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__swap as btAlignedObjectArray_btSoftBody_Cluster_ptr__swap    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__pop_back as btAlignedObjectArray_btSoftBody_Cluster_ptr__pop_back    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__deallocate as btAlignedObjectArray_btSoftBody_Cluster_ptr__deallocate    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__allocate as btAlignedObjectArray_btSoftBody_Cluster_ptr__allocate    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Cluster_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__expandNonInitializing as btAlignedObjectArray_btSoftBody_Cluster_ptr__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Cluster'  mkBtSoftBody_Cluster* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__destroy as btAlignedObjectArray_btSoftBody_Cluster_ptr__destroy    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__resize as btAlignedObjectArray_btSoftBody_Cluster_ptr__resize    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc , BtSoftBody_ClusterClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__clear as btAlignedObjectArray_btSoftBody_Cluster_ptr__clear    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__allocSize as btAlignedObjectArray_btSoftBody_Cluster_ptr__allocSize    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__expand as btAlignedObjectArray_btSoftBody_Cluster_ptr__expand    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc , BtSoftBody_ClusterClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Cluster'  mkBtSoftBody_Cluster* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__reserve as btAlignedObjectArray_btSoftBody_Cluster_ptr__reserve    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc , BtAlignedAllocator_btSoftBody_Cluster_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Cluster_ptr_16u_'  mkBtAlignedAllocator_btSoftBody_Cluster_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_size_set    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Cluster_ptr__m_size_get    `( BtAlignedObjectArray_btSoftBody_Cluster_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Face>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__new as btAlignedObjectArray_btSoftBody_Face_    {  } -> `BtAlignedObjectArray_btSoftBody_Face_' mkBtAlignedObjectArray_btSoftBody_Face_* #}
{#fun btAlignedObjectArray_btSoftBody_Face__free    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__push_back as btAlignedObjectArray_btSoftBody_Face__push_back    `( BtAlignedObjectArray_btSoftBody_Face_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__at0 as btAlignedObjectArray_btSoftBody_Face__at    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__at0 as btAlignedObjectArray_btSoftBody_Face__at0    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__at1 as btAlignedObjectArray_btSoftBody_Face__at1    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__size as btAlignedObjectArray_btSoftBody_Face__size    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__capacity as btAlignedObjectArray_btSoftBody_Face__capacity    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__init as btAlignedObjectArray_btSoftBody_Face__init    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__swap as btAlignedObjectArray_btSoftBody_Face__swap    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__pop_back as btAlignedObjectArray_btSoftBody_Face__pop_back    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__deallocate as btAlignedObjectArray_btSoftBody_Face__deallocate    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__allocate as btAlignedObjectArray_btSoftBody_Face__allocate    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Face__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__expandNonInitializing as btAlignedObjectArray_btSoftBody_Face__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__destroy as btAlignedObjectArray_btSoftBody_Face__destroy    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__copy as btAlignedObjectArray_btSoftBody_Face__copy    `( BtAlignedObjectArray_btSoftBody_Face_Class bc , BtSoftBody_FaceClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__resize as btAlignedObjectArray_btSoftBody_Face__resize    `( BtAlignedObjectArray_btSoftBody_Face_Class bc , BtSoftBody_FaceClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__clear as btAlignedObjectArray_btSoftBody_Face__clear    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__allocSize as btAlignedObjectArray_btSoftBody_Face__allocSize    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__expand as btAlignedObjectArray_btSoftBody_Face__expand    `( BtAlignedObjectArray_btSoftBody_Face_Class bc , BtSoftBody_FaceClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__reserve as btAlignedObjectArray_btSoftBody_Face__reserve    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Face_Class bc , BtAlignedAllocator_btSoftBody_Face_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Face_16u_'  mkBtAlignedAllocator_btSoftBody_Face_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_data_set    `( BtAlignedObjectArray_btSoftBody_Face_Class bc , BtSoftBody_FaceClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_data_get    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_Face'  mkBtSoftBody_Face* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_size_set    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Face__m_size_get    `( BtAlignedObjectArray_btSoftBody_Face_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Joint*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__new as btAlignedObjectArray_btSoftBody_Joint_ptr_    {  } -> `BtAlignedObjectArray_btSoftBody_Joint_ptr_' mkBtAlignedObjectArray_btSoftBody_Joint_ptr_* #}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__free    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__push_back as btAlignedObjectArray_btSoftBody_Joint_ptr__push_back    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc , BtSoftBody_JointClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__at0 as btAlignedObjectArray_btSoftBody_Joint_ptr__at    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Joint'  mkBtSoftBody_Joint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__at0 as btAlignedObjectArray_btSoftBody_Joint_ptr__at0    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Joint'  mkBtSoftBody_Joint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__at1 as btAlignedObjectArray_btSoftBody_Joint_ptr__at1    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Joint'  mkBtSoftBody_Joint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__size as btAlignedObjectArray_btSoftBody_Joint_ptr__size    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__capacity as btAlignedObjectArray_btSoftBody_Joint_ptr__capacity    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__init as btAlignedObjectArray_btSoftBody_Joint_ptr__init    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__swap as btAlignedObjectArray_btSoftBody_Joint_ptr__swap    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__pop_back as btAlignedObjectArray_btSoftBody_Joint_ptr__pop_back    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__deallocate as btAlignedObjectArray_btSoftBody_Joint_ptr__deallocate    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__allocate as btAlignedObjectArray_btSoftBody_Joint_ptr__allocate    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Joint_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__expandNonInitializing as btAlignedObjectArray_btSoftBody_Joint_ptr__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Joint'  mkBtSoftBody_Joint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__destroy as btAlignedObjectArray_btSoftBody_Joint_ptr__destroy    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__resize as btAlignedObjectArray_btSoftBody_Joint_ptr__resize    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc , BtSoftBody_JointClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__clear as btAlignedObjectArray_btSoftBody_Joint_ptr__clear    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__allocSize as btAlignedObjectArray_btSoftBody_Joint_ptr__allocSize    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__expand as btAlignedObjectArray_btSoftBody_Joint_ptr__expand    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc , BtSoftBody_JointClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Joint'  mkBtSoftBody_Joint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__reserve as btAlignedObjectArray_btSoftBody_Joint_ptr__reserve    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc , BtAlignedAllocator_btSoftBody_Joint_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Joint_ptr_16u_'  mkBtAlignedAllocator_btSoftBody_Joint_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_size_set    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Joint_ptr__m_size_get    `( BtAlignedObjectArray_btSoftBody_Joint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Link>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__new as btAlignedObjectArray_btSoftBody_Link_    {  } -> `BtAlignedObjectArray_btSoftBody_Link_' mkBtAlignedObjectArray_btSoftBody_Link_* #}
{#fun btAlignedObjectArray_btSoftBody_Link__free    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__push_back as btAlignedObjectArray_btSoftBody_Link__push_back    `( BtAlignedObjectArray_btSoftBody_Link_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__at0 as btAlignedObjectArray_btSoftBody_Link__at    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__at0 as btAlignedObjectArray_btSoftBody_Link__at0    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__at1 as btAlignedObjectArray_btSoftBody_Link__at1    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__size as btAlignedObjectArray_btSoftBody_Link__size    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__capacity as btAlignedObjectArray_btSoftBody_Link__capacity    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__init as btAlignedObjectArray_btSoftBody_Link__init    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__swap as btAlignedObjectArray_btSoftBody_Link__swap    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__pop_back as btAlignedObjectArray_btSoftBody_Link__pop_back    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__deallocate as btAlignedObjectArray_btSoftBody_Link__deallocate    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__allocate as btAlignedObjectArray_btSoftBody_Link__allocate    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Link__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__expandNonInitializing as btAlignedObjectArray_btSoftBody_Link__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__destroy as btAlignedObjectArray_btSoftBody_Link__destroy    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__copy as btAlignedObjectArray_btSoftBody_Link__copy    `( BtAlignedObjectArray_btSoftBody_Link_Class bc , BtSoftBody_LinkClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__resize as btAlignedObjectArray_btSoftBody_Link__resize    `( BtAlignedObjectArray_btSoftBody_Link_Class bc , BtSoftBody_LinkClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__clear as btAlignedObjectArray_btSoftBody_Link__clear    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__allocSize as btAlignedObjectArray_btSoftBody_Link__allocSize    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__expand as btAlignedObjectArray_btSoftBody_Link__expand    `( BtAlignedObjectArray_btSoftBody_Link_Class bc , BtSoftBody_LinkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__reserve as btAlignedObjectArray_btSoftBody_Link__reserve    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Link_Class bc , BtAlignedAllocator_btSoftBody_Link_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Link_16u_'  mkBtAlignedAllocator_btSoftBody_Link_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_data_set    `( BtAlignedObjectArray_btSoftBody_Link_Class bc , BtSoftBody_LinkClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_data_get    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_Link'  mkBtSoftBody_Link* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_size_set    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Link__m_size_get    `( BtAlignedObjectArray_btSoftBody_Link_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Material*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__new as btAlignedObjectArray_btSoftBody_Material_ptr_    {  } -> `BtAlignedObjectArray_btSoftBody_Material_ptr_' mkBtAlignedObjectArray_btSoftBody_Material_ptr_* #}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__free    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__push_back as btAlignedObjectArray_btSoftBody_Material_ptr__push_back    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc , BtSoftBody_MaterialClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__at0 as btAlignedObjectArray_btSoftBody_Material_ptr__at    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Material'  mkBtSoftBody_Material* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__at0 as btAlignedObjectArray_btSoftBody_Material_ptr__at0    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Material'  mkBtSoftBody_Material* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__at1 as btAlignedObjectArray_btSoftBody_Material_ptr__at1    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Material'  mkBtSoftBody_Material* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__size as btAlignedObjectArray_btSoftBody_Material_ptr__size    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__capacity as btAlignedObjectArray_btSoftBody_Material_ptr__capacity    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__init as btAlignedObjectArray_btSoftBody_Material_ptr__init    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__swap as btAlignedObjectArray_btSoftBody_Material_ptr__swap    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__pop_back as btAlignedObjectArray_btSoftBody_Material_ptr__pop_back    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__deallocate as btAlignedObjectArray_btSoftBody_Material_ptr__deallocate    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__allocate as btAlignedObjectArray_btSoftBody_Material_ptr__allocate    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Material_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__expandNonInitializing as btAlignedObjectArray_btSoftBody_Material_ptr__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Material'  mkBtSoftBody_Material* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__destroy as btAlignedObjectArray_btSoftBody_Material_ptr__destroy    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__resize as btAlignedObjectArray_btSoftBody_Material_ptr__resize    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__clear as btAlignedObjectArray_btSoftBody_Material_ptr__clear    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__allocSize as btAlignedObjectArray_btSoftBody_Material_ptr__allocSize    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__expand as btAlignedObjectArray_btSoftBody_Material_ptr__expand    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc , BtSoftBody_MaterialClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Material'  mkBtSoftBody_Material* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__reserve as btAlignedObjectArray_btSoftBody_Material_ptr__reserve    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc , BtAlignedAllocator_btSoftBody_Material_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Material_ptr_16u_'  mkBtAlignedAllocator_btSoftBody_Material_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_size_set    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Material_ptr__m_size_get    `( BtAlignedObjectArray_btSoftBody_Material_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Node*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__new as btAlignedObjectArray_btSoftBody_Node_ptr_    {  } -> `BtAlignedObjectArray_btSoftBody_Node_ptr_' mkBtAlignedObjectArray_btSoftBody_Node_ptr_* #}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__free    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__push_back as btAlignedObjectArray_btSoftBody_Node_ptr__push_back    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__at0 as btAlignedObjectArray_btSoftBody_Node_ptr__at    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__at0 as btAlignedObjectArray_btSoftBody_Node_ptr__at0    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__at1 as btAlignedObjectArray_btSoftBody_Node_ptr__at1    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__size as btAlignedObjectArray_btSoftBody_Node_ptr__size    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__capacity as btAlignedObjectArray_btSoftBody_Node_ptr__capacity    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__init as btAlignedObjectArray_btSoftBody_Node_ptr__init    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__swap as btAlignedObjectArray_btSoftBody_Node_ptr__swap    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__pop_back as btAlignedObjectArray_btSoftBody_Node_ptr__pop_back    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__deallocate as btAlignedObjectArray_btSoftBody_Node_ptr__deallocate    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__allocate as btAlignedObjectArray_btSoftBody_Node_ptr__allocate    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Node_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__expandNonInitializing as btAlignedObjectArray_btSoftBody_Node_ptr__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__destroy as btAlignedObjectArray_btSoftBody_Node_ptr__destroy    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__resize as btAlignedObjectArray_btSoftBody_Node_ptr__resize    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc , BtSoftBody_NodeClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__clear as btAlignedObjectArray_btSoftBody_Node_ptr__clear    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__allocSize as btAlignedObjectArray_btSoftBody_Node_ptr__allocSize    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__expand as btAlignedObjectArray_btSoftBody_Node_ptr__expand    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__reserve as btAlignedObjectArray_btSoftBody_Node_ptr__reserve    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc , BtAlignedAllocator_btSoftBody_Node_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Node_ptr_16u_'  mkBtAlignedAllocator_btSoftBody_Node_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_size_set    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node_ptr__m_size_get    `( BtAlignedObjectArray_btSoftBody_Node_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Node>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__new as btAlignedObjectArray_btSoftBody_Node_    {  } -> `BtAlignedObjectArray_btSoftBody_Node_' mkBtAlignedObjectArray_btSoftBody_Node_* #}
{#fun btAlignedObjectArray_btSoftBody_Node__free    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__push_back as btAlignedObjectArray_btSoftBody_Node__push_back    `( BtAlignedObjectArray_btSoftBody_Node_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__at0 as btAlignedObjectArray_btSoftBody_Node__at    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__at0 as btAlignedObjectArray_btSoftBody_Node__at0    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__at1 as btAlignedObjectArray_btSoftBody_Node__at1    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__size as btAlignedObjectArray_btSoftBody_Node__size    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__capacity as btAlignedObjectArray_btSoftBody_Node__capacity    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__init as btAlignedObjectArray_btSoftBody_Node__init    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__swap as btAlignedObjectArray_btSoftBody_Node__swap    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__pop_back as btAlignedObjectArray_btSoftBody_Node__pop_back    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__deallocate as btAlignedObjectArray_btSoftBody_Node__deallocate    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__allocate as btAlignedObjectArray_btSoftBody_Node__allocate    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Node__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__expandNonInitializing as btAlignedObjectArray_btSoftBody_Node__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__destroy as btAlignedObjectArray_btSoftBody_Node__destroy    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__copy as btAlignedObjectArray_btSoftBody_Node__copy    `( BtAlignedObjectArray_btSoftBody_Node_Class bc , BtSoftBody_NodeClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__resize as btAlignedObjectArray_btSoftBody_Node__resize    `( BtAlignedObjectArray_btSoftBody_Node_Class bc , BtSoftBody_NodeClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__clear as btAlignedObjectArray_btSoftBody_Node__clear    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__allocSize as btAlignedObjectArray_btSoftBody_Node__allocSize    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__expand as btAlignedObjectArray_btSoftBody_Node__expand    `( BtAlignedObjectArray_btSoftBody_Node_Class bc , BtSoftBody_NodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__reserve as btAlignedObjectArray_btSoftBody_Node__reserve    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Node_Class bc , BtAlignedAllocator_btSoftBody_Node_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Node_16u_'  mkBtAlignedAllocator_btSoftBody_Node_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_data_set    `( BtAlignedObjectArray_btSoftBody_Node_Class bc , BtSoftBody_NodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_data_get    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_Node'  mkBtSoftBody_Node* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_size_set    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Node__m_size_get    `( BtAlignedObjectArray_btSoftBody_Node_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Note>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__new as btAlignedObjectArray_btSoftBody_Note_    {  } -> `BtAlignedObjectArray_btSoftBody_Note_' mkBtAlignedObjectArray_btSoftBody_Note_* #}
{#fun btAlignedObjectArray_btSoftBody_Note__free    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__push_back as btAlignedObjectArray_btSoftBody_Note__push_back    `( BtAlignedObjectArray_btSoftBody_Note_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__at0 as btAlignedObjectArray_btSoftBody_Note__at    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__at0 as btAlignedObjectArray_btSoftBody_Note__at0    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__at1 as btAlignedObjectArray_btSoftBody_Note__at1    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__size as btAlignedObjectArray_btSoftBody_Note__size    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__capacity as btAlignedObjectArray_btSoftBody_Note__capacity    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__init as btAlignedObjectArray_btSoftBody_Note__init    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__swap as btAlignedObjectArray_btSoftBody_Note__swap    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__pop_back as btAlignedObjectArray_btSoftBody_Note__pop_back    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__deallocate as btAlignedObjectArray_btSoftBody_Note__deallocate    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__allocate as btAlignedObjectArray_btSoftBody_Note__allocate    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Note__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__expandNonInitializing as btAlignedObjectArray_btSoftBody_Note__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__destroy as btAlignedObjectArray_btSoftBody_Note__destroy    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__copy as btAlignedObjectArray_btSoftBody_Note__copy    `( BtAlignedObjectArray_btSoftBody_Note_Class bc , BtSoftBody_NoteClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__resize as btAlignedObjectArray_btSoftBody_Note__resize    `( BtAlignedObjectArray_btSoftBody_Note_Class bc , BtSoftBody_NoteClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__clear as btAlignedObjectArray_btSoftBody_Note__clear    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__allocSize as btAlignedObjectArray_btSoftBody_Note__allocSize    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__expand as btAlignedObjectArray_btSoftBody_Note__expand    `( BtAlignedObjectArray_btSoftBody_Note_Class bc , BtSoftBody_NoteClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__reserve as btAlignedObjectArray_btSoftBody_Note__reserve    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Note_Class bc , BtAlignedAllocator_btSoftBody_Note_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Note_16u_'  mkBtAlignedAllocator_btSoftBody_Note_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_data_set    `( BtAlignedObjectArray_btSoftBody_Note_Class bc , BtSoftBody_NoteClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_data_get    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_Note'  mkBtSoftBody_Note* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_size_set    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Note__m_size_get    `( BtAlignedObjectArray_btSoftBody_Note_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::RContact>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__new as btAlignedObjectArray_btSoftBody_RContact_    {  } -> `BtAlignedObjectArray_btSoftBody_RContact_' mkBtAlignedObjectArray_btSoftBody_RContact_* #}
{#fun btAlignedObjectArray_btSoftBody_RContact__free    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__push_back as btAlignedObjectArray_btSoftBody_RContact__push_back    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__at0 as btAlignedObjectArray_btSoftBody_RContact__at    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__at0 as btAlignedObjectArray_btSoftBody_RContact__at0    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__at1 as btAlignedObjectArray_btSoftBody_RContact__at1    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__size as btAlignedObjectArray_btSoftBody_RContact__size    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__capacity as btAlignedObjectArray_btSoftBody_RContact__capacity    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__init as btAlignedObjectArray_btSoftBody_RContact__init    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__swap as btAlignedObjectArray_btSoftBody_RContact__swap    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__pop_back as btAlignedObjectArray_btSoftBody_RContact__pop_back    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__deallocate as btAlignedObjectArray_btSoftBody_RContact__deallocate    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__allocate as btAlignedObjectArray_btSoftBody_RContact__allocate    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__initializeFromBuffer as btAlignedObjectArray_btSoftBody_RContact__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__expandNonInitializing as btAlignedObjectArray_btSoftBody_RContact__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__destroy as btAlignedObjectArray_btSoftBody_RContact__destroy    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__copy as btAlignedObjectArray_btSoftBody_RContact__copy    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc , BtSoftBody_RContactClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__resize as btAlignedObjectArray_btSoftBody_RContact__resize    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc , BtSoftBody_RContactClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__clear as btAlignedObjectArray_btSoftBody_RContact__clear    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__allocSize as btAlignedObjectArray_btSoftBody_RContact__allocSize    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__expand as btAlignedObjectArray_btSoftBody_RContact__expand    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc , BtSoftBody_RContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__reserve as btAlignedObjectArray_btSoftBody_RContact__reserve    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc , BtAlignedAllocator_btSoftBody_RContact_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_RContact_16u_'  mkBtAlignedAllocator_btSoftBody_RContact_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_data_set    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc , BtSoftBody_RContactClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_data_get    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_RContact'  mkBtSoftBody_RContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_size_set    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_RContact__m_size_get    `( BtAlignedObjectArray_btSoftBody_RContact_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::SContact>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__new as btAlignedObjectArray_btSoftBody_SContact_    {  } -> `BtAlignedObjectArray_btSoftBody_SContact_' mkBtAlignedObjectArray_btSoftBody_SContact_* #}
{#fun btAlignedObjectArray_btSoftBody_SContact__free    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__push_back as btAlignedObjectArray_btSoftBody_SContact__push_back    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__at0 as btAlignedObjectArray_btSoftBody_SContact__at    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__at0 as btAlignedObjectArray_btSoftBody_SContact__at0    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__at1 as btAlignedObjectArray_btSoftBody_SContact__at1    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__size as btAlignedObjectArray_btSoftBody_SContact__size    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__capacity as btAlignedObjectArray_btSoftBody_SContact__capacity    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__init as btAlignedObjectArray_btSoftBody_SContact__init    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__swap as btAlignedObjectArray_btSoftBody_SContact__swap    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__pop_back as btAlignedObjectArray_btSoftBody_SContact__pop_back    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__deallocate as btAlignedObjectArray_btSoftBody_SContact__deallocate    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__allocate as btAlignedObjectArray_btSoftBody_SContact__allocate    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__initializeFromBuffer as btAlignedObjectArray_btSoftBody_SContact__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__expandNonInitializing as btAlignedObjectArray_btSoftBody_SContact__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__destroy as btAlignedObjectArray_btSoftBody_SContact__destroy    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__copy as btAlignedObjectArray_btSoftBody_SContact__copy    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc , BtSoftBody_SContactClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__resize as btAlignedObjectArray_btSoftBody_SContact__resize    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc , BtSoftBody_SContactClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__clear as btAlignedObjectArray_btSoftBody_SContact__clear    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__allocSize as btAlignedObjectArray_btSoftBody_SContact__allocSize    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__expand as btAlignedObjectArray_btSoftBody_SContact__expand    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc , BtSoftBody_SContactClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__reserve as btAlignedObjectArray_btSoftBody_SContact__reserve    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc , BtAlignedAllocator_btSoftBody_SContact_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_SContact_16u_'  mkBtAlignedAllocator_btSoftBody_SContact_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_data_set    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc , BtSoftBody_SContactClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_data_get    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_SContact'  mkBtSoftBody_SContact* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_size_set    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_SContact__m_size_get    `( BtAlignedObjectArray_btSoftBody_SContact_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::Tetra>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__new as btAlignedObjectArray_btSoftBody_Tetra_    {  } -> `BtAlignedObjectArray_btSoftBody_Tetra_' mkBtAlignedObjectArray_btSoftBody_Tetra_* #}
{#fun btAlignedObjectArray_btSoftBody_Tetra__free    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__push_back as btAlignedObjectArray_btSoftBody_Tetra__push_back    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__at0 as btAlignedObjectArray_btSoftBody_Tetra__at    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__at0 as btAlignedObjectArray_btSoftBody_Tetra__at0    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__at1 as btAlignedObjectArray_btSoftBody_Tetra__at1    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__size as btAlignedObjectArray_btSoftBody_Tetra__size    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__capacity as btAlignedObjectArray_btSoftBody_Tetra__capacity    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__init as btAlignedObjectArray_btSoftBody_Tetra__init    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__swap as btAlignedObjectArray_btSoftBody_Tetra__swap    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__pop_back as btAlignedObjectArray_btSoftBody_Tetra__pop_back    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__deallocate as btAlignedObjectArray_btSoftBody_Tetra__deallocate    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__allocate as btAlignedObjectArray_btSoftBody_Tetra__allocate    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__initializeFromBuffer as btAlignedObjectArray_btSoftBody_Tetra__initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__expandNonInitializing as btAlignedObjectArray_btSoftBody_Tetra__expandNonInitializing    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__destroy as btAlignedObjectArray_btSoftBody_Tetra__destroy    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__copy as btAlignedObjectArray_btSoftBody_Tetra__copy    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc , BtSoftBody_TetraClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__resize as btAlignedObjectArray_btSoftBody_Tetra__resize    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc , BtSoftBody_TetraClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__clear as btAlignedObjectArray_btSoftBody_Tetra__clear    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__allocSize as btAlignedObjectArray_btSoftBody_Tetra__allocSize    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__expand as btAlignedObjectArray_btSoftBody_Tetra__expand    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc , BtSoftBody_TetraClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__reserve as btAlignedObjectArray_btSoftBody_Tetra__reserve    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_allocator_set    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc , BtAlignedAllocator_btSoftBody_Tetra_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_allocator_get    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_Tetra_16u_'  mkBtAlignedAllocator_btSoftBody_Tetra_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_capacity_set    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_capacity_get    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_data_set    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc , BtSoftBody_TetraClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_data_get    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  } ->  `BtSoftBody_Tetra'  mkBtSoftBody_Tetra* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_size_set    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_Tetra__m_size_get    `( BtAlignedObjectArray_btSoftBody_Tetra_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::ePSolver::_>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____new as btAlignedObjectArray_btSoftBody_ePSolver___    {  } -> `BtAlignedObjectArray_btSoftBody_ePSolver___' mkBtAlignedObjectArray_btSoftBody_ePSolver___* #}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____free    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____size as btAlignedObjectArray_btSoftBody_ePSolver____size    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____capacity as btAlignedObjectArray_btSoftBody_ePSolver____capacity    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____init as btAlignedObjectArray_btSoftBody_ePSolver____init    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____swap as btAlignedObjectArray_btSoftBody_ePSolver____swap    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____pop_back as btAlignedObjectArray_btSoftBody_ePSolver____pop_back    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____deallocate as btAlignedObjectArray_btSoftBody_ePSolver____deallocate    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____allocate as btAlignedObjectArray_btSoftBody_ePSolver____allocate    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____initializeFromBuffer as btAlignedObjectArray_btSoftBody_ePSolver____initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____destroy as btAlignedObjectArray_btSoftBody_ePSolver____destroy    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____clear as btAlignedObjectArray_btSoftBody_ePSolver____clear    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____allocSize as btAlignedObjectArray_btSoftBody_ePSolver____allocSize    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____reserve as btAlignedObjectArray_btSoftBody_ePSolver____reserve    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_allocator_set    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc , BtAlignedAllocator_btSoftBody_ePSolver___16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_allocator_get    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_ePSolver___16u_'  mkBtAlignedAllocator_btSoftBody_ePSolver___16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_capacity_set    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_capacity_get    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_size_set    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_ePSolver____m_size_get    `( BtAlignedObjectArray_btSoftBody_ePSolver___Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSoftBody::eVSolver::_>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____new as btAlignedObjectArray_btSoftBody_eVSolver___    {  } -> `BtAlignedObjectArray_btSoftBody_eVSolver___' mkBtAlignedObjectArray_btSoftBody_eVSolver___* #}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____free    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____size as btAlignedObjectArray_btSoftBody_eVSolver____size    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____capacity as btAlignedObjectArray_btSoftBody_eVSolver____capacity    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____init as btAlignedObjectArray_btSoftBody_eVSolver____init    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____swap as btAlignedObjectArray_btSoftBody_eVSolver____swap    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____pop_back as btAlignedObjectArray_btSoftBody_eVSolver____pop_back    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____deallocate as btAlignedObjectArray_btSoftBody_eVSolver____deallocate    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____allocate as btAlignedObjectArray_btSoftBody_eVSolver____allocate    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____initializeFromBuffer as btAlignedObjectArray_btSoftBody_eVSolver____initializeFromBuffer    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____destroy as btAlignedObjectArray_btSoftBody_eVSolver____destroy    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____clear as btAlignedObjectArray_btSoftBody_eVSolver____clear    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____allocSize as btAlignedObjectArray_btSoftBody_eVSolver____allocSize    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____reserve as btAlignedObjectArray_btSoftBody_eVSolver____reserve    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_allocator_set    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc , BtAlignedAllocator_btSoftBody_eVSolver___16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_allocator_get    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSoftBody_eVSolver___16u_'  mkBtAlignedAllocator_btSoftBody_eVSolver___16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_capacity_set    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_capacity_get    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_ownsMemory_set    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_ownsMemory_get    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_size_set    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSoftBody_eVSolver____m_size_get    `( BtAlignedObjectArray_btSoftBody_eVSolver___Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btSolverConstraint>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__new as btAlignedObjectArray_btSolverConstraint_    {  } -> `BtAlignedObjectArray_btSolverConstraint_' mkBtAlignedObjectArray_btSolverConstraint_* #}
{#fun btAlignedObjectArray_btSolverConstraint__free    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__push_back as btAlignedObjectArray_btSolverConstraint__push_back    `( BtAlignedObjectArray_btSolverConstraint_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__at0 as btAlignedObjectArray_btSolverConstraint__at    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__at0 as btAlignedObjectArray_btSolverConstraint__at0    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__at1 as btAlignedObjectArray_btSolverConstraint__at1    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__size as btAlignedObjectArray_btSolverConstraint__size    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__capacity as btAlignedObjectArray_btSolverConstraint__capacity    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__init as btAlignedObjectArray_btSolverConstraint__init    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__allocate as btAlignedObjectArray_btSolverConstraint__allocate    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__pop_back as btAlignedObjectArray_btSolverConstraint__pop_back    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__deallocate as btAlignedObjectArray_btSolverConstraint__deallocate    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__swap as btAlignedObjectArray_btSolverConstraint__swap    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__initializeFromBuffer as btAlignedObjectArray_btSolverConstraint__initializeFromBuffer    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__expandNonInitializing as btAlignedObjectArray_btSolverConstraint__expandNonInitializing    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__resize as btAlignedObjectArray_btSolverConstraint__resize    `( BtAlignedObjectArray_btSolverConstraint_Class bc , BtSolverConstraintClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__destroy as btAlignedObjectArray_btSolverConstraint__destroy    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__copy as btAlignedObjectArray_btSolverConstraint__copy    `( BtAlignedObjectArray_btSolverConstraint_Class bc , BtSolverConstraintClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__expand as btAlignedObjectArray_btSolverConstraint__expand    `( BtAlignedObjectArray_btSolverConstraint_Class bc , BtSolverConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__clear as btAlignedObjectArray_btSolverConstraint__clear    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__allocSize as btAlignedObjectArray_btSolverConstraint__allocSize    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__reserve as btAlignedObjectArray_btSolverConstraint__reserve    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_allocator_set    `( BtAlignedObjectArray_btSolverConstraint_Class bc , BtAlignedAllocator_btSolverConstraint_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_allocator_get    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSolverConstraint_16u_'  mkBtAlignedAllocator_btSolverConstraint_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_size_set    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_size_get    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_capacity_set    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_capacity_get    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_data_set    `( BtAlignedObjectArray_btSolverConstraint_Class bc , BtSolverConstraintClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_data_get    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  } ->  `BtSolverConstraint'  mkBtSolverConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_ownsMemory_set    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSolverConstraint__m_ownsMemory_get    `( BtAlignedObjectArray_btSolverConstraint_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btSparseSdf<3>::Cell*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__new as btAlignedObjectArray_btSparseSdf_3__Cell_ptr_    {  } -> `BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_' mkBtAlignedObjectArray_btSparseSdf_3__Cell_ptr_* #}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__free    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__size as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__size    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__capacity as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__capacity    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__init as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__init    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__swap as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__swap    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__pop_back as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__pop_back    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__deallocate as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__deallocate    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__allocate as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__allocate    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__initializeFromBuffer as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__destroy as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__destroy    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__clear as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__clear    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__allocSize as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__allocSize    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__reserve as btAlignedObjectArray_btSparseSdf_3__Cell_ptr__reserve    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_allocator_set    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc , BtAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_allocator_get    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_'  mkBtAlignedAllocator_btSparseSdf_3__Cell_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_capacity_set    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_capacity_get    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_size_set    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btSparseSdf_3__Cell_ptr__m_size_get    `( BtAlignedObjectArray_btSparseSdf_3__Cell_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btTransform>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__new as btAlignedObjectArray_btTransform_    {  } -> `BtAlignedObjectArray_btTransform_' mkBtAlignedObjectArray_btTransform_* #}
{#fun btAlignedObjectArray_btTransform__free    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__push_back as btAlignedObjectArray_btTransform__push_back    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__push_back as btAlignedObjectArray_btTransform__push_back'    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__at0 as btAlignedObjectArray_btTransform__at    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__at0 as btAlignedObjectArray_btTransform__at0    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__at1 as btAlignedObjectArray_btTransform__at1    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__size as btAlignedObjectArray_btTransform__size    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__capacity as btAlignedObjectArray_btTransform__capacity    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__init as btAlignedObjectArray_btTransform__init    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__allocate as btAlignedObjectArray_btTransform__allocate    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__pop_back as btAlignedObjectArray_btTransform__pop_back    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__deallocate as btAlignedObjectArray_btTransform__deallocate    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__swap as btAlignedObjectArray_btTransform__swap    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__initializeFromBuffer as btAlignedObjectArray_btTransform__initializeFromBuffer    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__expandNonInitializing as btAlignedObjectArray_btTransform__expandNonInitializing    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__resize as btAlignedObjectArray_btTransform__resize    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withTransform* `Transform'  peekTransform* -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__resize as btAlignedObjectArray_btTransform__resize'    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, allocaTransform-  `Transform'  peekTransform* -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__destroy as btAlignedObjectArray_btTransform__destroy    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__expand as btAlignedObjectArray_btTransform__expand    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ fillValue
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__expand as btAlignedObjectArray_btTransform__expand'    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ fillValue
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__clear as btAlignedObjectArray_btTransform__clear    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__allocSize as btAlignedObjectArray_btTransform__allocSize    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__reserve as btAlignedObjectArray_btTransform__reserve    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_allocator_set    `( BtAlignedObjectArray_btTransform_Class bc , BtAlignedAllocator_btTransform_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_allocator_get    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btTransform_16u_'  mkBtAlignedAllocator_btTransform_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_size_set    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_size_get    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_capacity_set    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_capacity_get    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_ownsMemory_set    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTransform__m_ownsMemory_get    `( BtAlignedObjectArray_btTransform_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btTriangleInfo>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__new as btAlignedObjectArray_btTriangleInfo_    {  } -> `BtAlignedObjectArray_btTriangleInfo_' mkBtAlignedObjectArray_btTriangleInfo_* #}
{#fun btAlignedObjectArray_btTriangleInfo__free    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__push_back as btAlignedObjectArray_btTriangleInfo__push_back    `( BtAlignedObjectArray_btTriangleInfo_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__at0 as btAlignedObjectArray_btTriangleInfo__at    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__at0 as btAlignedObjectArray_btTriangleInfo__at0    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__at1 as btAlignedObjectArray_btTriangleInfo__at1    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__size as btAlignedObjectArray_btTriangleInfo__size    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__capacity as btAlignedObjectArray_btTriangleInfo__capacity    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__init as btAlignedObjectArray_btTriangleInfo__init    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__allocate as btAlignedObjectArray_btTriangleInfo__allocate    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__pop_back as btAlignedObjectArray_btTriangleInfo__pop_back    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__deallocate as btAlignedObjectArray_btTriangleInfo__deallocate    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__swap as btAlignedObjectArray_btTriangleInfo__swap    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__initializeFromBuffer as btAlignedObjectArray_btTriangleInfo__initializeFromBuffer    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__expandNonInitializing as btAlignedObjectArray_btTriangleInfo__expandNonInitializing    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__resize as btAlignedObjectArray_btTriangleInfo__resize    `( BtAlignedObjectArray_btTriangleInfo_Class bc , BtTriangleInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__destroy as btAlignedObjectArray_btTriangleInfo__destroy    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__copy as btAlignedObjectArray_btTriangleInfo__copy    `( BtAlignedObjectArray_btTriangleInfo_Class bc , BtTriangleInfoClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__expand as btAlignedObjectArray_btTriangleInfo__expand    `( BtAlignedObjectArray_btTriangleInfo_Class bc , BtTriangleInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__clear as btAlignedObjectArray_btTriangleInfo__clear    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__allocSize as btAlignedObjectArray_btTriangleInfo__allocSize    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__reserve as btAlignedObjectArray_btTriangleInfo__reserve    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_allocator_set    `( BtAlignedObjectArray_btTriangleInfo_Class bc , BtAlignedAllocator_btTriangleInfo_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_allocator_get    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btTriangleInfo_16u_'  mkBtAlignedAllocator_btTriangleInfo_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_size_set    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_size_get    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_capacity_set    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_capacity_get    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_data_set    `( BtAlignedObjectArray_btTriangleInfo_Class bc , BtTriangleInfoClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_data_get    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_ownsMemory_set    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTriangleInfo__m_ownsMemory_get    `( BtAlignedObjectArray_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btTypedConstraint*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__new as btAlignedObjectArray_btTypedConstraint_ptr_    {  } -> `BtAlignedObjectArray_btTypedConstraint_ptr_' mkBtAlignedObjectArray_btTypedConstraint_ptr_* #}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__free    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__push_back as btAlignedObjectArray_btTypedConstraint_ptr__push_back    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc , BtTypedConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__at0 as btAlignedObjectArray_btTypedConstraint_ptr__at    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTypedConstraint'  mkBtTypedConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__at0 as btAlignedObjectArray_btTypedConstraint_ptr__at0    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTypedConstraint'  mkBtTypedConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__at1 as btAlignedObjectArray_btTypedConstraint_ptr__at1    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTypedConstraint'  mkBtTypedConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__size as btAlignedObjectArray_btTypedConstraint_ptr__size    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__capacity as btAlignedObjectArray_btTypedConstraint_ptr__capacity    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__init as btAlignedObjectArray_btTypedConstraint_ptr__init    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__allocate as btAlignedObjectArray_btTypedConstraint_ptr__allocate    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__pop_back as btAlignedObjectArray_btTypedConstraint_ptr__pop_back    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__deallocate as btAlignedObjectArray_btTypedConstraint_ptr__deallocate    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__swap as btAlignedObjectArray_btTypedConstraint_ptr__swap    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__initializeFromBuffer as btAlignedObjectArray_btTypedConstraint_ptr__initializeFromBuffer    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__expandNonInitializing as btAlignedObjectArray_btTypedConstraint_ptr__expandNonInitializing    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtTypedConstraint'  mkBtTypedConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__resize as btAlignedObjectArray_btTypedConstraint_ptr__resize    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc , BtTypedConstraintClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__destroy as btAlignedObjectArray_btTypedConstraint_ptr__destroy    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__expand as btAlignedObjectArray_btTypedConstraint_ptr__expand    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc , BtTypedConstraintClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtTypedConstraint'  mkBtTypedConstraint* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__clear as btAlignedObjectArray_btTypedConstraint_ptr__clear    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__allocSize as btAlignedObjectArray_btTypedConstraint_ptr__allocSize    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__reserve as btAlignedObjectArray_btTypedConstraint_ptr__reserve    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_allocator_set    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc , BtAlignedAllocator_btTypedConstraint_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_allocator_get    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btTypedConstraint_ptr_16u_'  mkBtAlignedAllocator_btTypedConstraint_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_size_set    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_size_get    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_capacity_set    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_capacity_get    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_btTypedConstraint_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btTypedConstraint::btConstraintInfo1>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__new as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1_    {  } -> `BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_' mkBtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_* #}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__free    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__push_back as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__push_back    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__at0 as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__at    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__at0 as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__at0    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__at1 as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__at1    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__size as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__size    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__capacity as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__capacity    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__init as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__init    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__allocate as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__allocate    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__pop_back as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__pop_back    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__deallocate as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__deallocate    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__swap as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__swap    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__initializeFromBuffer as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__initializeFromBuffer    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__expandNonInitializing as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__expandNonInitializing    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__resize as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__resize    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc , BtTypedConstraint_btConstraintInfo1Class p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__destroy as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__destroy    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__copy as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__copy    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc , BtTypedConstraint_btConstraintInfo1Class p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__expand as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__expand    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc , BtTypedConstraint_btConstraintInfo1Class p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__clear as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__clear    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__allocSize as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__allocSize    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__reserve as btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__reserve    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_allocator_set    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc , BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_allocator_get    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_'  mkBtAlignedAllocator_btTypedConstraint_btConstraintInfo1_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_size_set    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_size_get    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_capacity_set    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_capacity_get    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_data_set    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc , BtTypedConstraint_btConstraintInfo1Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_data_get    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  } ->  `BtTypedConstraint_btConstraintInfo1'  mkBtTypedConstraint_btConstraintInfo1* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_ownsMemory_set    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btTypedConstraint_btConstraintInfo1__m_ownsMemory_get    `( BtAlignedObjectArray_btTypedConstraint_btConstraintInfo1_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<btVector3>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__new as btAlignedObjectArray_btVector3_    {  } -> `BtAlignedObjectArray_btVector3_' mkBtAlignedObjectArray_btVector3_* #}
{#fun btAlignedObjectArray_btVector3__free    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__push_back as btAlignedObjectArray_btVector3__push_back    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__push_back as btAlignedObjectArray_btVector3__push_back'    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__at0 as btAlignedObjectArray_btVector3__at    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
, allocaVec3-  `Vec3'  peekVec3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__at0 as btAlignedObjectArray_btVector3__at0    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
, allocaVec3-  `Vec3'  peekVec3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__at1 as btAlignedObjectArray_btVector3__at1    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
, allocaVec3-  `Vec3'  peekVec3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__size as btAlignedObjectArray_btVector3__size    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__capacity as btAlignedObjectArray_btVector3__capacity    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__init as btAlignedObjectArray_btVector3__init    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__swap as btAlignedObjectArray_btVector3__swap    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__pop_back as btAlignedObjectArray_btVector3__pop_back    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__deallocate as btAlignedObjectArray_btVector3__deallocate    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__allocate as btAlignedObjectArray_btVector3__allocate    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__initializeFromBuffer as btAlignedObjectArray_btVector3__initializeFromBuffer    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__expandNonInitializing as btAlignedObjectArray_btVector3__expandNonInitializing    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__destroy as btAlignedObjectArray_btVector3__destroy    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__resize as btAlignedObjectArray_btVector3__resize    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withVec3* `Vec3'  peekVec3* -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__resize as btAlignedObjectArray_btVector3__resize'    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, allocaVec3-  `Vec3'  peekVec3* -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__clear as btAlignedObjectArray_btVector3__clear    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__allocSize as btAlignedObjectArray_btVector3__allocSize    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__expand as btAlignedObjectArray_btVector3__expand    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ fillValue
, allocaVec3-  `Vec3'  peekVec3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__expand as btAlignedObjectArray_btVector3__expand'    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ fillValue
, allocaVec3-  `Vec3'  peekVec3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__reserve as btAlignedObjectArray_btVector3__reserve    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_allocator_set    `( BtAlignedObjectArray_btVector3_Class bc , BtAlignedAllocator_btVector3_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_allocator_get    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btVector3_16u_'  mkBtAlignedAllocator_btVector3_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_capacity_set    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_capacity_get    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_ownsMemory_set    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_ownsMemory_get    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_size_set    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btVector3__m_size_get    `( BtAlignedObjectArray_btVector3_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<btWheelInfo>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__new as btAlignedObjectArray_btWheelInfo_    {  } -> `BtAlignedObjectArray_btWheelInfo_' mkBtAlignedObjectArray_btWheelInfo_* #}
{#fun btAlignedObjectArray_btWheelInfo__free    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#246>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__push_back as btAlignedObjectArray_btWheelInfo__push_back    `( BtAlignedObjectArray_btWheelInfo_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ _Val
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__at0 as btAlignedObjectArray_btWheelInfo__at    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#141>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__at0 as btAlignedObjectArray_btWheelInfo__at0    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__at1 as btAlignedObjectArray_btWheelInfo__at1    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ n
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__size as btAlignedObjectArray_btWheelInfo__size    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__capacity as btAlignedObjectArray_btWheelInfo__capacity    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__init as btAlignedObjectArray_btWheelInfo__init    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__allocate as btAlignedObjectArray_btWheelInfo__allocate    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__pop_back as btAlignedObjectArray_btWheelInfo__pop_back    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__deallocate as btAlignedObjectArray_btWheelInfo__deallocate    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__swap as btAlignedObjectArray_btWheelInfo__swap    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__initializeFromBuffer as btAlignedObjectArray_btWheelInfo__initializeFromBuffer    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__expandNonInitializing as btAlignedObjectArray_btWheelInfo__expandNonInitializing    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__resize as btAlignedObjectArray_btWheelInfo__resize    `( BtAlignedObjectArray_btWheelInfo_Class bc , BtWheelInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ newsize
, withBt* `p1'  -- ^ fillData
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__destroy as btAlignedObjectArray_btWheelInfo__destroy    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__copy as btAlignedObjectArray_btWheelInfo__copy    `( BtAlignedObjectArray_btWheelInfo_Class bc , BtWheelInfoClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ start
,  `Int'  -- ^ end
, withBt* `p2'  -- ^ dest
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__expand as btAlignedObjectArray_btWheelInfo__expand    `( BtAlignedObjectArray_btWheelInfo_Class bc , BtWheelInfoClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ fillValue
 } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__clear as btAlignedObjectArray_btWheelInfo__clear    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__allocSize as btAlignedObjectArray_btWheelInfo__allocSize    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__reserve as btAlignedObjectArray_btWheelInfo__reserve    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_allocator_set    `( BtAlignedObjectArray_btWheelInfo_Class bc , BtAlignedAllocator_btWheelInfo_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_allocator_get    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_btWheelInfo_16u_'  mkBtAlignedAllocator_btWheelInfo_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_size_set    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_size_get    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_capacity_set    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_capacity_get    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_data_set    `( BtAlignedObjectArray_btWheelInfo_Class bc , BtWheelInfoClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#52>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_data_get    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtWheelInfo'  mkBtWheelInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_ownsMemory_set    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_btWheelInfo__m_ownsMemory_get    `( BtAlignedObjectArray_btWheelInfo_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<char const*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__new as btAlignedObjectArray_charconst_ptr_    {  } -> `BtAlignedObjectArray_charconst_ptr_' mkBtAlignedObjectArray_charconst_ptr_* #}
{#fun btAlignedObjectArray_charconst_ptr__free    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__size as btAlignedObjectArray_charconst_ptr__size    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__capacity as btAlignedObjectArray_charconst_ptr__capacity    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__init as btAlignedObjectArray_charconst_ptr__init    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__allocate as btAlignedObjectArray_charconst_ptr__allocate    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__pop_back as btAlignedObjectArray_charconst_ptr__pop_back    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__deallocate as btAlignedObjectArray_charconst_ptr__deallocate    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__swap as btAlignedObjectArray_charconst_ptr__swap    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__initializeFromBuffer as btAlignedObjectArray_charconst_ptr__initializeFromBuffer    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__destroy as btAlignedObjectArray_charconst_ptr__destroy    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__clear as btAlignedObjectArray_charconst_ptr__clear    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__allocSize as btAlignedObjectArray_charconst_ptr__allocSize    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__reserve as btAlignedObjectArray_charconst_ptr__reserve    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_allocator_set    `( BtAlignedObjectArray_charconst_ptr_Class bc , BtAlignedAllocator_charconst_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_allocator_get    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_charconst_ptr_16u_'  mkBtAlignedAllocator_charconst_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_size_set    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_size_get    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_capacity_set    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_capacity_get    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_charconst_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<char*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__new as btAlignedObjectArray_char_ptr_    {  } -> `BtAlignedObjectArray_char_ptr_' mkBtAlignedObjectArray_char_ptr_* #}
{#fun btAlignedObjectArray_char_ptr__free    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__size as btAlignedObjectArray_char_ptr__size    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__capacity as btAlignedObjectArray_char_ptr__capacity    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__init as btAlignedObjectArray_char_ptr__init    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__allocate as btAlignedObjectArray_char_ptr__allocate    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__pop_back as btAlignedObjectArray_char_ptr__pop_back    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__deallocate as btAlignedObjectArray_char_ptr__deallocate    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__swap as btAlignedObjectArray_char_ptr__swap    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__initializeFromBuffer as btAlignedObjectArray_char_ptr__initializeFromBuffer    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__destroy as btAlignedObjectArray_char_ptr__destroy    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__clear as btAlignedObjectArray_char_ptr__clear    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__allocSize as btAlignedObjectArray_char_ptr__allocSize    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__reserve as btAlignedObjectArray_char_ptr__reserve    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_allocator_set    `( BtAlignedObjectArray_char_ptr_Class bc , BtAlignedAllocator_char_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_allocator_get    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_char_ptr_16u_'  mkBtAlignedAllocator_char_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_size_set    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_size_get    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_capacity_set    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_capacity_get    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_char_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_char_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<float>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__new as btAlignedObjectArray_float_    {  } -> `BtAlignedObjectArray_float_' mkBtAlignedObjectArray_float_* #}
{#fun btAlignedObjectArray_float__free    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__size as btAlignedObjectArray_float__size    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__capacity as btAlignedObjectArray_float__capacity    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__init as btAlignedObjectArray_float__init    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__swap as btAlignedObjectArray_float__swap    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__pop_back as btAlignedObjectArray_float__pop_back    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__deallocate as btAlignedObjectArray_float__deallocate    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__allocate as btAlignedObjectArray_float__allocate    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__initializeFromBuffer as btAlignedObjectArray_float__initializeFromBuffer    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__destroy as btAlignedObjectArray_float__destroy    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__clear as btAlignedObjectArray_float__clear    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__allocSize as btAlignedObjectArray_float__allocSize    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__reserve as btAlignedObjectArray_float__reserve    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_allocator_set    `( BtAlignedObjectArray_float_Class bc , BtAlignedAllocator_float_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_allocator_get    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_float_16u_'  mkBtAlignedAllocator_float_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_capacity_set    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_capacity_get    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_ownsMemory_set    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_ownsMemory_get    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_size_set    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_float__m_size_get    `( BtAlignedObjectArray_float_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<int>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__new as btAlignedObjectArray_int_    {  } -> `BtAlignedObjectArray_int_' mkBtAlignedObjectArray_int_* #}
{#fun btAlignedObjectArray_int__free    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__size as btAlignedObjectArray_int__size    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__capacity as btAlignedObjectArray_int__capacity    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__init as btAlignedObjectArray_int__init    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__swap as btAlignedObjectArray_int__swap    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__pop_back as btAlignedObjectArray_int__pop_back    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__deallocate as btAlignedObjectArray_int__deallocate    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__allocate as btAlignedObjectArray_int__allocate    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__initializeFromBuffer as btAlignedObjectArray_int__initializeFromBuffer    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__destroy as btAlignedObjectArray_int__destroy    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__clear as btAlignedObjectArray_int__clear    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__allocSize as btAlignedObjectArray_int__allocSize    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__reserve as btAlignedObjectArray_int__reserve    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_allocator_set    `( BtAlignedObjectArray_int_Class bc , BtAlignedAllocator_int_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_allocator_get    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_int_16u_'  mkBtAlignedAllocator_int_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_capacity_set    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_capacity_get    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_ownsMemory_set    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_ownsMemory_get    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_size_set    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_int__m_size_get    `( BtAlignedObjectArray_int_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btAlignedObjectArray<short*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__new as btAlignedObjectArray_short_ptr_    {  } -> `BtAlignedObjectArray_short_ptr_' mkBtAlignedObjectArray_short_ptr_* #}
{#fun btAlignedObjectArray_short_ptr__free    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__size as btAlignedObjectArray_short_ptr__size    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__capacity as btAlignedObjectArray_short_ptr__capacity    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__init as btAlignedObjectArray_short_ptr__init    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__allocate as btAlignedObjectArray_short_ptr__allocate    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__pop_back as btAlignedObjectArray_short_ptr__pop_back    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__deallocate as btAlignedObjectArray_short_ptr__deallocate    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__swap as btAlignedObjectArray_short_ptr__swap    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__initializeFromBuffer as btAlignedObjectArray_short_ptr__initializeFromBuffer    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__destroy as btAlignedObjectArray_short_ptr__destroy    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__clear as btAlignedObjectArray_short_ptr__clear    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__allocSize as btAlignedObjectArray_short_ptr__allocSize    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__reserve as btAlignedObjectArray_short_ptr__reserve    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_allocator_set    `( BtAlignedObjectArray_short_ptr_Class bc , BtAlignedAllocator_short_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_allocator_get    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_short_ptr_16u_'  mkBtAlignedAllocator_short_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_size_set    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_size_get    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_capacity_set    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_capacity_get    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_short_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<short>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__new as btAlignedObjectArray_short_    {  } -> `BtAlignedObjectArray_short_' mkBtAlignedObjectArray_short_* #}
{#fun btAlignedObjectArray_short__free    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__size as btAlignedObjectArray_short__size    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__capacity as btAlignedObjectArray_short__capacity    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__init as btAlignedObjectArray_short__init    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__allocate as btAlignedObjectArray_short__allocate    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__pop_back as btAlignedObjectArray_short__pop_back    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__deallocate as btAlignedObjectArray_short__deallocate    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__swap as btAlignedObjectArray_short__swap    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__initializeFromBuffer as btAlignedObjectArray_short__initializeFromBuffer    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__destroy as btAlignedObjectArray_short__destroy    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__clear as btAlignedObjectArray_short__clear    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__allocSize as btAlignedObjectArray_short__allocSize    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__reserve as btAlignedObjectArray_short__reserve    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_allocator_set    `( BtAlignedObjectArray_short_Class bc , BtAlignedAllocator_short_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_allocator_get    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_short_16u_'  mkBtAlignedAllocator_short_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_size_set    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_size_get    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_capacity_set    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_capacity_get    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_ownsMemory_set    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_short__m_ownsMemory_get    `( BtAlignedObjectArray_short_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<unsigned int>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__new as btAlignedObjectArray_unsignedint_    {  } -> `BtAlignedObjectArray_unsignedint_' mkBtAlignedObjectArray_unsignedint_* #}
{#fun btAlignedObjectArray_unsignedint__free    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__size as btAlignedObjectArray_unsignedint__size    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__capacity as btAlignedObjectArray_unsignedint__capacity    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__init as btAlignedObjectArray_unsignedint__init    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__allocate as btAlignedObjectArray_unsignedint__allocate    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__pop_back as btAlignedObjectArray_unsignedint__pop_back    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__deallocate as btAlignedObjectArray_unsignedint__deallocate    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__swap as btAlignedObjectArray_unsignedint__swap    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__initializeFromBuffer as btAlignedObjectArray_unsignedint__initializeFromBuffer    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__destroy as btAlignedObjectArray_unsignedint__destroy    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__clear as btAlignedObjectArray_unsignedint__clear    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__allocSize as btAlignedObjectArray_unsignedint__allocSize    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__reserve as btAlignedObjectArray_unsignedint__reserve    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_allocator_set    `( BtAlignedObjectArray_unsignedint_Class bc , BtAlignedAllocator_unsignedint_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_allocator_get    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_unsignedint_16u_'  mkBtAlignedAllocator_unsignedint_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_size_set    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_size_get    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_capacity_set    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_capacity_get    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_ownsMemory_set    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedint__m_ownsMemory_get    `( BtAlignedObjectArray_unsignedint_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<unsigned short>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__new as btAlignedObjectArray_unsignedshort_    {  } -> `BtAlignedObjectArray_unsignedshort_' mkBtAlignedObjectArray_unsignedshort_* #}
{#fun btAlignedObjectArray_unsignedshort__free    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__size as btAlignedObjectArray_unsignedshort__size    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__capacity as btAlignedObjectArray_unsignedshort__capacity    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__init as btAlignedObjectArray_unsignedshort__init    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__allocate as btAlignedObjectArray_unsignedshort__allocate    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__pop_back as btAlignedObjectArray_unsignedshort__pop_back    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__deallocate as btAlignedObjectArray_unsignedshort__deallocate    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__swap as btAlignedObjectArray_unsignedshort__swap    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__initializeFromBuffer as btAlignedObjectArray_unsignedshort__initializeFromBuffer    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__destroy as btAlignedObjectArray_unsignedshort__destroy    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__clear as btAlignedObjectArray_unsignedshort__clear    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__allocSize as btAlignedObjectArray_unsignedshort__allocSize    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__reserve as btAlignedObjectArray_unsignedshort__reserve    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_allocator_set    `( BtAlignedObjectArray_unsignedshort_Class bc , BtAlignedAllocator_unsignedshort_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_allocator_get    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_unsignedshort_16u_'  mkBtAlignedAllocator_unsignedshort_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_size_set    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_size_get    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_capacity_set    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_capacity_get    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_ownsMemory_set    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_unsignedshort__m_ownsMemory_get    `( BtAlignedObjectArray_unsignedshort_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btAlignedObjectArray<void*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__new as btAlignedObjectArray_void_ptr_    {  } -> `BtAlignedObjectArray_void_ptr_' mkBtAlignedObjectArray_void_ptr_* #}
{#fun btAlignedObjectArray_void_ptr__free    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__size as btAlignedObjectArray_void_ptr__size    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__capacity as btAlignedObjectArray_void_ptr__capacity    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#72>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__init as btAlignedObjectArray_void_ptr__init    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__allocate as btAlignedObjectArray_void_ptr__allocate    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#180>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__pop_back as btAlignedObjectArray_void_ptr__pop_back    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__deallocate as btAlignedObjectArray_void_ptr__deallocate    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__swap as btAlignedObjectArray_void_ptr__swap    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index0
,  `Int'  -- ^ index1
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#462>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__initializeFromBuffer as btAlignedObjectArray_void_ptr__initializeFromBuffer    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ buffer
,  `Int'  -- ^ size
,  `Int'  -- ^ capacity
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__destroy as btAlignedObjectArray_void_ptr__destroy    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ first
,  `Int'  -- ^ last
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#171>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__clear as btAlignedObjectArray_void_ptr__clear    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__allocSize as btAlignedObjectArray_void_ptr__allocSize    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ size
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__reserve as btAlignedObjectArray_void_ptr__reserve    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ _Count
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_allocator_set    `( BtAlignedObjectArray_void_ptr_Class bc , BtAlignedAllocator_void_ptr_16u_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_allocator_get    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedAllocator_void_ptr_16u_'  mkBtAlignedAllocator_void_ptr_16u_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_size_set    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_size_get    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_capacity_set    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_capacity_get    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_ownsMemory_set    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btAlignedObjectArray.cpp?r=2223>
-}
{#fun btAlignedObjectArray_void_ptr__m_ownsMemory_get    `( BtAlignedObjectArray_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btBlock
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#28>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btBlock_new as btBlock    {  } -> `BtBlock' mkBtBlock* #}
{#fun btBlock_free    `( BtBlockClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#29>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btBlock_previous_set    `( BtBlockClass bc , BtBlockClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#29>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btBlock_previous_get    `( BtBlockClass bc )' =>     { withBt* `bc'  } ->  `BtBlock'  mkBtBlock* #}
-- * btChunk
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#53>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_new as btChunk    {  } -> `BtChunk' mkBtChunk* #}
{#fun btChunk_free    `( BtChunkClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#55>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_chunkCode_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#55>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_chunkCode_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#58>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_dna_nr_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#58>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_dna_nr_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_length_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_length_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_number_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_number_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_oldPtr_set    `( BtChunkClass bc )' =>     { withBt* `bc' , withVoidPtr* `VoidPtr'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_oldPtr_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `VoidPtr'  mkVoidPtr* #}
-- * btClock
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#38>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_new as btClock    {  } -> `BtClock' mkBtClock* #}
{#fun btClock_free    `( BtClockClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#46>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_reset as btClock_reset    `( BtClockClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_getTimeMilliseconds as btClock_getTimeMilliseconds    `( BtClockClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word64'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_getTimeMicroseconds as btClock_getTimeMicroseconds    `( BtClockClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word64'   #}
-- * btConvexSeparatingDistanceUtil
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#161>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_new as btConvexSeparatingDistanceUtil    {   `Float' ,  `Float'  } -> `BtConvexSeparatingDistanceUtil' mkBtConvexSeparatingDistanceUtil* #}
{#fun btConvexSeparatingDistanceUtil_free    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#173>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_updateSeparatingDistance as btConvexSeparatingDistanceUtil_updateSeparatingDistance    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ transA
, withTransform* `Transform'  peekTransform* -- ^ transB
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#173>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_updateSeparatingDistance as btConvexSeparatingDistanceUtil_updateSeparatingDistance'    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ transA
, allocaTransform-  `Transform'  peekTransform* -- ^ transB
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#168>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_getConservativeSeparatingDistance as btConvexSeparatingDistanceUtil_getConservativeSeparatingDistance    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#205>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_initSeparatingDistance as btConvexSeparatingDistanceUtil_initSeparatingDistance    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ separatingVector
,  `Float'  -- ^ separatingDistance
, withTransform* `Transform'  peekTransform* -- ^ transA
, withTransform* `Transform'  peekTransform* -- ^ transB
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#205>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_initSeparatingDistance as btConvexSeparatingDistanceUtil_initSeparatingDistance'    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ separatingVector
,  `Float'  -- ^ separatingDistance
, allocaTransform-  `Transform'  peekTransform* -- ^ transA
, allocaTransform-  `Transform'  peekTransform* -- ^ transB
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_ornA_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , withUnitQuaternion* `UnitQuaternion'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#148>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_ornA_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , allocaUnitQuaternion-  `UnitQuaternion'  peekUnitQuaternion* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#149>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_ornB_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , withUnitQuaternion* `UnitQuaternion'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#149>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_ornB_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , allocaUnitQuaternion-  `UnitQuaternion'  peekUnitQuaternion* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#150>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_posA_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , withVec3* `Vec3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#150>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_posA_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , allocaVec3-  `Vec3'  peekVec3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#151>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_posB_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , withVec3* `Vec3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#151>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_posB_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , allocaVec3-  `Vec3'  peekVec3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#153>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_separatingNormal_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , withVec3* `Vec3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#153>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_separatingNormal_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' , allocaVec3-  `Vec3'  peekVec3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#155>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_boundingRadiusA_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#155>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_boundingRadiusA_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_boundingRadiusB_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_boundingRadiusB_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#157>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_separatingDistance_set    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#157>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_m_separatingDistance_get    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * btDefaultMotionState
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#14>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_new as btDefaultMotionState    {  withTransform* `Transform' , withTransform* `Transform'  } -> `BtDefaultMotionState' mkBtDefaultMotionState* #}
{#fun btDefaultMotionState_free    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#31>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_setWorldTransform as btDefaultMotionState_setWorldTransform    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#31>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_setWorldTransform as btDefaultMotionState_setWorldTransform'    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#24>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_getWorldTransform as btDefaultMotionState_getWorldTransform    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#24>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_getWorldTransform as btDefaultMotionState_getWorldTransform'    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#9>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_graphicsWorldTrans_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#9>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_graphicsWorldTrans_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#10>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_centerOfMassOffset_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#10>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_centerOfMassOffset_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#11>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_startWorldTrans_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#11>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_startWorldTrans_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#12>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_userPointer_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withVoidPtr* `VoidPtr'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#12>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_userPointer_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  } ->  `VoidPtr'  mkVoidPtr* #}
-- * btDefaultSerializer
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#377>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_new as btDefaultSerializer    {   `Int'  } -> `BtDefaultSerializer' mkBtDefaultSerializer* #}
{#fun btDefaultSerializer_free    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#472>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_finishSerialization as btDefaultSerializer_finishSerialization    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#461>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_startSerialization as btDefaultSerializer_startSerialization    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#641>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_getSerializationFlags as btDefaultSerializer_getSerializationFlags    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#646>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_setSerializationFlags as btDefaultSerializer_setSerializationFlags    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ flags
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_getReverseType as btDefaultSerializer_getReverseType    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ type
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#541>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_finalizeChunk as btDefaultSerializer_finalizeChunk    `( BtDefaultSerializerClass bc , BtChunkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ chunk
,  `String'  -- ^ structType
,  `Int'  -- ^ chunkCode
, withVoidPtr* `VoidPtr'  -- ^ oldPtr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#200>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_initDNA as btDefaultSerializer_initDNA    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ bdnaOrg
,  `Int'  -- ^ dnalen
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#182>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_writeDNA as btDefaultSerializer_writeDNA    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#536>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_getCurrentBufferSize as btDefaultSerializer_getCurrentBufferSize    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#511>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_getUniquePointer as btDefaultSerializer_getUniquePointer    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ oldPtr
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#612>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_serializeName as btDefaultSerializer_serializeName    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ name
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#170>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_findPointer as btDefaultSerializer_findPointer    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ oldPtr
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#143>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mTypes_set    `( BtDefaultSerializerClass bc , BtAlignedObjectArray_char_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#143>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mTypes_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_char_ptr_'  mkBtAlignedObjectArray_char_ptr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#144>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mStructs_set    `( BtDefaultSerializerClass bc , BtAlignedObjectArray_short_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#144>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mStructs_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_short_ptr_'  mkBtAlignedObjectArray_short_ptr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#145>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mTlens_set    `( BtDefaultSerializerClass bc , BtAlignedObjectArray_short_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#145>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mTlens_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_short_'  mkBtAlignedObjectArray_short_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#146>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mStructReverse_set    `( BtDefaultSerializerClass bc , BtHashMap_btHashInt_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#146>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mStructReverse_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtHashMap_btHashInt_int_'  mkBtHashMap_btHashInt_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mTypeLookup_set    `( BtDefaultSerializerClass bc , BtHashMap_btHashString_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_mTypeLookup_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtHashMap_btHashString_int_'  mkBtHashMap_btHashString_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#150>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_chunkP_set    `( BtDefaultSerializerClass bc , BtHashMap_btHashPtr_void_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#150>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_chunkP_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtHashMap_btHashPtr_void_ptr_'  mkBtHashMap_btHashPtr_void_ptr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#152>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_nameMap_set    `( BtDefaultSerializerClass bc , BtHashMap_btHashPtr_charconst_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#152>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_nameMap_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtHashMap_btHashPtr_charconst_ptr_'  mkBtHashMap_btHashPtr_charconst_ptr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#154>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_uniquePointers_set    `( BtDefaultSerializerClass bc , BtHashMap_btHashPtr_btPointerUid_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#154>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_uniquePointers_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtHashMap_btHashPtr_btPointerUid_'  mkBtHashMap_btHashPtr_btPointerUid_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#155>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_uniqueIdGenerator_set    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#155>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_uniqueIdGenerator_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#157>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_totalSize_set    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#157>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_totalSize_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#159>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_currentSize_set    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#159>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_currentSize_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#160>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_dna_set    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc' , withVoidPtr* `VoidPtr'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#160>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_dna_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#161>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_dnaLength_set    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#161>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_dnaLength_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#163>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_serializationFlags_set    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#163>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_serializationFlags_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#166>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_chunkPtrs_set    `( BtDefaultSerializerClass bc , BtAlignedObjectArray_btChunk_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#166>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_m_chunkPtrs_get    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btChunk_ptr_'  mkBtAlignedObjectArray_btChunk_ptr_* #}
-- * btGeometryUtil
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#24>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_new as btGeometryUtil    {  } -> `BtGeometryUtil' mkBtGeometryUtil* #}
{#fun btGeometryUtil_free    `( BtGeometryUtilClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#34>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_isPointInsidePlanes as btGeometryUtil_isPointInsidePlanes    `(  BtAlignedObjectArray_btVector3_Class p0 )' =>     {  withBt* `p0'  -- ^ planeEquations
, withVec3* `Vec3'  peekVec3* -- ^ point
,  `Float'  -- ^ margin
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#34>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_isPointInsidePlanes as btGeometryUtil_isPointInsidePlanes'    `(  BtAlignedObjectArray_btVector3_Class p0 )' =>     {  withBt* `p0'  -- ^ planeEquations
, allocaVec3-  `Vec3'  peekVec3* -- ^ point
,  `Float'  -- ^ margin
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#30>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_getVerticesFromPlaneEquations as btGeometryUtil_getVerticesFromPlaneEquations    `(  BtAlignedObjectArray_btVector3_Class p0 , BtAlignedObjectArray_btVector3_Class p1 )' =>     {  withBt* `p0'  -- ^ planeEquations
, withBt* `p1'  -- ^ verticesOut
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#36>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_areVerticesBehindPlane as btGeometryUtil_areVerticesBehindPlane    `(  BtAlignedObjectArray_btVector3_Class p1 )' =>     {  withVec3* `Vec3'  peekVec3* -- ^ planeNormal
, withBt* `p1'  -- ^ vertices
,  `Float'  -- ^ margin
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#36>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_areVerticesBehindPlane as btGeometryUtil_areVerticesBehindPlane'    `(  BtAlignedObjectArray_btVector3_Class p1 )' =>     {  allocaVec3-  `Vec3'  peekVec3* -- ^ planeNormal
, withBt* `p1'  -- ^ vertices
,  `Float'  -- ^ margin
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#28>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_getPlaneEquationsFromVertices as btGeometryUtil_getPlaneEquationsFromVertices    `(  BtAlignedObjectArray_btVector3_Class p0 , BtAlignedObjectArray_btVector3_Class p1 )' =>     {  withBt* `p0'  -- ^ vertices
, withBt* `p1'  -- ^ planeEquationsOut
 } ->  `()'   #}
-- * btHashInt
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_new as btHashInt    {   `Int'  } -> `BtHashInt' mkBtHashInt* #}
{#fun btHashInt_free    `( BtHashIntClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#86>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_getUid1 as btHashInt_getUid1    `( BtHashIntClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_getHash as btHashInt_getHash    `( BtHashIntClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#91>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_setUid1 as btHashInt_setUid1    `( BtHashIntClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ uid
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_equals as btHashInt_equals    `( BtHashIntClass bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_m_uid_set    `( BtHashIntClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_m_uid_get    `( BtHashIntClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btHashMap<btHashInt, btTriangleInfo>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__new as btHashMap_btHashInt_btTriangleInfo_    {  } -> `BtHashMap_btHashInt_btTriangleInfo_' mkBtHashMap_btHashInt_btTriangleInfo_* #}
{#fun btHashMap_btHashInt_btTriangleInfo__free    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#269>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__insert as btHashMap_btHashInt_btTriangleInfo__insert    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtHashIntClass p0 , BtTriangleInfoClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__findIndex as btHashMap_btHashInt_btTriangleInfo__findIndex    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#440>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__clear as btHashMap_btHashInt_btTriangleInfo__clear    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#384>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__getAtIndex0 as btHashMap_btHashInt_btTriangleInfo__getAtIndex    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#384>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__getAtIndex0 as btHashMap_btHashInt_btTriangleInfo__getAtIndex0    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#391>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__getAtIndex1 as btHashMap_btHashInt_btTriangleInfo__getAtIndex1    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__growTables as btHashMap_btHashInt_btTriangleInfo__growTables    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#402>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__find0 as btHashMap_btHashInt_btTriangleInfo__find    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#402>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__find0 as btHashMap_btHashInt_btTriangleInfo__find0    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#412>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__find1 as btHashMap_btHashInt_btTriangleInfo__find1    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `BtTriangleInfo'  mkBtTriangleInfo* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#379>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__size as btHashMap_btHashInt_btTriangleInfo__size    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_hashTable_set    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_hashTable_get    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_next_set    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_next_get    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_valueArray_set    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtAlignedObjectArray_btTriangleInfo_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_valueArray_get    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btTriangleInfo_'  mkBtAlignedObjectArray_btTriangleInfo_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_keyArray_set    `( BtHashMap_btHashInt_btTriangleInfo_Class bc , BtAlignedObjectArray_btHashInt_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_btTriangleInfo__m_keyArray_get    `( BtHashMap_btHashInt_btTriangleInfo_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btHashInt_'  mkBtAlignedObjectArray_btHashInt_* #}
-- * btHashMap<btHashInt, int>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__new as btHashMap_btHashInt_int_    {  } -> `BtHashMap_btHashInt_int_' mkBtHashMap_btHashInt_int_* #}
{#fun btHashMap_btHashInt_int__free    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__findIndex as btHashMap_btHashInt_int__findIndex    `( BtHashMap_btHashInt_int_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#440>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__clear as btHashMap_btHashInt_int__clear    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__growTables as btHashMap_btHashInt_int__growTables    `( BtHashMap_btHashInt_int_Class bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#379>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__size as btHashMap_btHashInt_int__size    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_hashTable_set    `( BtHashMap_btHashInt_int_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_hashTable_get    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_keyArray_set    `( BtHashMap_btHashInt_int_Class bc , BtAlignedObjectArray_btHashInt_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_keyArray_get    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btHashInt_'  mkBtAlignedObjectArray_btHashInt_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_next_set    `( BtHashMap_btHashInt_int_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_next_get    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_valueArray_set    `( BtHashMap_btHashInt_int_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashInt_int__m_valueArray_get    `( BtHashMap_btHashInt_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
-- * btHashMap<btHashPtr, btPointerUid>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__new as btHashMap_btHashPtr_btPointerUid_    {  } -> `BtHashMap_btHashPtr_btPointerUid_' mkBtHashMap_btHashPtr_btPointerUid_* #}
{#fun btHashMap_btHashPtr_btPointerUid__free    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#269>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__insert as btHashMap_btHashPtr_btPointerUid__insert    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtHashPtrClass p0 , BtPointerUidClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
, withBt* `p1'  -- ^ value
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__findIndex as btHashMap_btHashPtr_btPointerUid__findIndex    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#440>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__clear as btHashMap_btHashPtr_btPointerUid__clear    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#384>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__getAtIndex0 as btHashMap_btHashPtr_btPointerUid__getAtIndex    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#384>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__getAtIndex0 as btHashMap_btHashPtr_btPointerUid__getAtIndex0    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#391>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__getAtIndex1 as btHashMap_btHashPtr_btPointerUid__getAtIndex1    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__growTables as btHashMap_btHashPtr_btPointerUid__growTables    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#402>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__find0 as btHashMap_btHashPtr_btPointerUid__find    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#402>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__find0 as btHashMap_btHashPtr_btPointerUid__find0    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#412>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__find1 as btHashMap_btHashPtr_btPointerUid__find1    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `BtPointerUid'  mkBtPointerUid* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#379>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__size as btHashMap_btHashPtr_btPointerUid__size    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_hashTable_set    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_hashTable_get    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_keyArray_set    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtAlignedObjectArray_btHashPtr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_keyArray_get    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btHashPtr_'  mkBtAlignedObjectArray_btHashPtr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_next_set    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_next_get    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_valueArray_set    `( BtHashMap_btHashPtr_btPointerUid_Class bc , BtAlignedObjectArray_btPointerUid_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_btPointerUid__m_valueArray_get    `( BtHashMap_btHashPtr_btPointerUid_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btPointerUid_'  mkBtAlignedObjectArray_btPointerUid_* #}
-- * btHashMap<btHashPtr, char const*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__new as btHashMap_btHashPtr_charconst_ptr_    {  } -> `BtHashMap_btHashPtr_charconst_ptr_' mkBtHashMap_btHashPtr_charconst_ptr_* #}
{#fun btHashMap_btHashPtr_charconst_ptr__free    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__findIndex as btHashMap_btHashPtr_charconst_ptr__findIndex    `( BtHashMap_btHashPtr_charconst_ptr_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#440>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__clear as btHashMap_btHashPtr_charconst_ptr__clear    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__growTables as btHashMap_btHashPtr_charconst_ptr__growTables    `( BtHashMap_btHashPtr_charconst_ptr_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#379>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__size as btHashMap_btHashPtr_charconst_ptr__size    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_hashTable_set    `( BtHashMap_btHashPtr_charconst_ptr_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_hashTable_get    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_keyArray_set    `( BtHashMap_btHashPtr_charconst_ptr_Class bc , BtAlignedObjectArray_btHashPtr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_keyArray_get    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btHashPtr_'  mkBtAlignedObjectArray_btHashPtr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_next_set    `( BtHashMap_btHashPtr_charconst_ptr_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_next_get    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_valueArray_set    `( BtHashMap_btHashPtr_charconst_ptr_Class bc , BtAlignedObjectArray_charconst_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_charconst_ptr__m_valueArray_get    `( BtHashMap_btHashPtr_charconst_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_charconst_ptr_'  mkBtAlignedObjectArray_charconst_ptr_* #}
-- * btHashMap<btHashPtr, void*>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__new as btHashMap_btHashPtr_void_ptr_    {  } -> `BtHashMap_btHashPtr_void_ptr_' mkBtHashMap_btHashPtr_void_ptr_* #}
{#fun btHashMap_btHashPtr_void_ptr__free    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__findIndex as btHashMap_btHashPtr_void_ptr__findIndex    `( BtHashMap_btHashPtr_void_ptr_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#440>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__clear as btHashMap_btHashPtr_void_ptr__clear    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__growTables as btHashMap_btHashPtr_void_ptr__growTables    `( BtHashMap_btHashPtr_void_ptr_Class bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#379>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__size as btHashMap_btHashPtr_void_ptr__size    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_hashTable_set    `( BtHashMap_btHashPtr_void_ptr_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_hashTable_get    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_keyArray_set    `( BtHashMap_btHashPtr_void_ptr_Class bc , BtAlignedObjectArray_btHashPtr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_keyArray_get    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btHashPtr_'  mkBtAlignedObjectArray_btHashPtr_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_next_set    `( BtHashMap_btHashPtr_void_ptr_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_next_get    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_valueArray_set    `( BtHashMap_btHashPtr_void_ptr_Class bc , BtAlignedObjectArray_void_ptr_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashPtr_void_ptr__m_valueArray_get    `( BtHashMap_btHashPtr_void_ptr_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_void_ptr_'  mkBtAlignedObjectArray_void_ptr_* #}
-- * btHashMap<btHashString, int>
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__new as btHashMap_btHashString_int_    {  } -> `BtHashMap_btHashString_int_' mkBtHashMap_btHashString_int_* #}
{#fun btHashMap_btHashString_int__free    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__findIndex as btHashMap_btHashString_int__findIndex    `( BtHashMap_btHashString_int_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ key
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#440>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__clear as btHashMap_btHashString_int__clear    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__growTables as btHashMap_btHashString_int__growTables    `( BtHashMap_btHashString_int_Class bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#379>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__size as btHashMap_btHashString_int__size    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_hashTable_set    `( BtHashMap_btHashString_int_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_hashTable_get    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_keyArray_set    `( BtHashMap_btHashString_int_Class bc , BtAlignedObjectArray_btHashString_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#228>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_keyArray_get    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_btHashString_'  mkBtAlignedObjectArray_btHashString_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_next_set    `( BtHashMap_btHashString_int_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_next_get    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_valueArray_set    `( BtHashMap_btHashString_int_Class bc , BtAlignedObjectArray_int_Class a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#227>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashMap_btHashString_int__m_valueArray_get    `( BtHashMap_btHashString_int_Class bc )' =>     { withBt* `bc'  } ->  `BtAlignedObjectArray_int_'  mkBtAlignedObjectArray_int_* #}
-- * btHashPtr
{#fun btHashPtr_free    `( BtHashPtrClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#139>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashPtr_getHash as btHashPtr_getHash    `( BtHashPtrClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#133>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashPtr_equals as btHashPtr_equals    `( BtHashPtrClass bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `Bool'   #}
-- * btHashString
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#33>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_new as btHashString    {   `String'  } -> `BtHashString' mkBtHashString* #}
{#fun btHashString_free    `( BtHashStringClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#28>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_getHash as btHashString_getHash    `( BtHashStringClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#66>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_equals as btHashString_equals    `( BtHashStringClass bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_portableStringCompare as btHashString_portableStringCompare    `( BtHashStringClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ src
,  `String'  -- ^ dst
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#26>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_hash_set    `( BtHashStringClass bc )' =>     { withBt* `bc' ,  `Word32'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#26>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_hash_get    `( BtHashStringClass bc )' =>     { withBt* `bc'  } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#25>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_string_set    `( BtHashStringClass bc )' =>     { withBt* `bc' ,  `String'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#25>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_string_get    `( BtHashStringClass bc )' =>     { withBt* `bc'  } ->  `String'   #}
-- * btIDebugDraw
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_draw3dText as btIDebugDraw_draw3dText    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ location
,  `String'  -- ^ textString
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_draw3dText as btIDebugDraw_draw3dText'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ location
,  `String'  -- ^ textString
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ bbMin
, withVec3* `Vec3'  peekVec3* -- ^ bbMax
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ bbMin
, allocaVec3-  `Vec3'  peekVec3* -- ^ bbMax
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ bbMin
, withVec3* `Vec3'  peekVec3* -- ^ bbMax
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ bbMin
, allocaVec3-  `Vec3'  peekVec3* -- ^ bbMax
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#297>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox1 as btIDebugDraw_drawBox1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ bbMin
, withVec3* `Vec3'  peekVec3* -- ^ bbMax
, withTransform* `Transform'  peekTransform* -- ^ trans
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#297>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox1 as btIDebugDraw_drawBox1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ bbMin
, allocaVec3-  `Vec3'  peekVec3* -- ^ bbMax
, allocaTransform-  `Transform'  peekTransform* -- ^ trans
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#375>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCone as btIDebugDraw_drawCone    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ height
,  `Int'  -- ^ upAxis
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#375>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCone as btIDebugDraw_drawCone'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ height
,  `Int'  -- ^ upAxis
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#313>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCapsule as btIDebugDraw_drawCapsule    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#313>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCapsule as btIDebugDraw_drawCapsule'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawArc as btIDebugDraw_drawArc    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ center
, withVec3* `Vec3'  peekVec3* -- ^ normal
, withVec3* `Vec3'  peekVec3* -- ^ axis
,  `Float'  -- ^ radiusA
,  `Float'  -- ^ radiusB
,  `Float'  -- ^ minAngle
,  `Float'  -- ^ maxAngle
, withVec3* `Vec3'  peekVec3* -- ^ color
,  `Bool'  -- ^ drawSect
,  `Float'  -- ^ stepDegrees
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawArc as btIDebugDraw_drawArc'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ center
, allocaVec3-  `Vec3'  peekVec3* -- ^ normal
, allocaVec3-  `Vec3'  peekVec3* -- ^ axis
,  `Float'  -- ^ radiusA
,  `Float'  -- ^ radiusB
,  `Float'  -- ^ minAngle
,  `Float'  -- ^ maxAngle
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
,  `Bool'  -- ^ drawSect
,  `Float'  -- ^ stepDegrees
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#356>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCylinder as btIDebugDraw_drawCylinder    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#356>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCylinder as btIDebugDraw_drawCylinder'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#110>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_reportErrorWarning as btIDebugDraw_reportErrorWarning    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ warningString
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ v0
, withVec3* `Vec3'  peekVec3* -- ^ v1
, withVec3* `Vec3'  peekVec3* -- ^ v2
, withVec3* `Vec3'  peekVec3* -- ^ arg3
, withVec3* `Vec3'  peekVec3* -- ^ arg4
, withVec3* `Vec3'  peekVec3* -- ^ arg5
, withVec3* `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ v0
, allocaVec3-  `Vec3'  peekVec3* -- ^ v1
, allocaVec3-  `Vec3'  peekVec3* -- ^ v2
, allocaVec3-  `Vec3'  peekVec3* -- ^ arg3
, allocaVec3-  `Vec3'  peekVec3* -- ^ arg4
, allocaVec3-  `Vec3'  peekVec3* -- ^ arg5
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ v0
, withVec3* `Vec3'  peekVec3* -- ^ v1
, withVec3* `Vec3'  peekVec3* -- ^ v2
, withVec3* `Vec3'  peekVec3* -- ^ arg3
, withVec3* `Vec3'  peekVec3* -- ^ arg4
, withVec3* `Vec3'  peekVec3* -- ^ arg5
, withVec3* `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ v0
, allocaVec3-  `Vec3'  peekVec3* -- ^ v1
, allocaVec3-  `Vec3'  peekVec3* -- ^ v2
, allocaVec3-  `Vec3'  peekVec3* -- ^ arg3
, allocaVec3-  `Vec3'  peekVec3* -- ^ arg4
, allocaVec3-  `Vec3'  peekVec3* -- ^ arg5
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle1 as btIDebugDraw_drawTriangle1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ v0
, withVec3* `Vec3'  peekVec3* -- ^ v1
, withVec3* `Vec3'  peekVec3* -- ^ v2
, withVec3* `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ arg4
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle1 as btIDebugDraw_drawTriangle1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ v0
, allocaVec3-  `Vec3'  peekVec3* -- ^ v1
, allocaVec3-  `Vec3'  peekVec3* -- ^ v2
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ arg4
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#116>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_getDebugMode as btIDebugDraw_getDebugMode    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ from
, withVec3* `Vec3'  peekVec3* -- ^ to
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ from
, allocaVec3-  `Vec3'  peekVec3* -- ^ to
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ from
, withVec3* `Vec3'  peekVec3* -- ^ to
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ from
, allocaVec3-  `Vec3'  peekVec3* -- ^ to
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine1 as btIDebugDraw_drawLine1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ from
, withVec3* `Vec3'  peekVec3* -- ^ to
, withVec3* `Vec3'  peekVec3* -- ^ fromColor
, withVec3* `Vec3'  peekVec3* -- ^ toColor
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine1 as btIDebugDraw_drawLine1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ from
, allocaVec3-  `Vec3'  peekVec3* -- ^ to
, allocaVec3-  `Vec3'  peekVec3* -- ^ fromColor
, allocaVec3-  `Vec3'  peekVec3* -- ^ toColor
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTransform as btIDebugDraw_drawTransform    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ transform
,  `Float'  -- ^ orthoLen
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTransform as btIDebugDraw_drawTransform'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
,  `Float'  -- ^ orthoLen
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#118>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawAabb as btIDebugDraw_drawAabb    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ from
, withVec3* `Vec3'  peekVec3* -- ^ to
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#118>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawAabb as btIDebugDraw_drawAabb'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ from
, allocaVec3-  `Vec3'  peekVec3* -- ^ to
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#400>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawPlane as btIDebugDraw_drawPlane    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ planeNormal
,  `Float'  -- ^ planeConst
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#400>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawPlane as btIDebugDraw_drawPlane'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ planeNormal
,  `Float'  -- ^ planeConst
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#108>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawContactPoint as btIDebugDraw_drawContactPoint    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ PointOnB
, withVec3* `Vec3'  peekVec3* -- ^ normalOnB
,  `Float'  -- ^ distance
,  `Int'  -- ^ lifeTime
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#108>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawContactPoint as btIDebugDraw_drawContactPoint'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ PointOnB
, allocaVec3-  `Vec3'  peekVec3* -- ^ normalOnB
,  `Float'  -- ^ distance
,  `Int'  -- ^ lifeTime
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#114>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_setDebugMode as btIDebugDraw_setDebugMode    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ debugMode
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#181>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSpherePatch as btIDebugDraw_drawSpherePatch    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ center
, withVec3* `Vec3'  peekVec3* -- ^ up
, withVec3* `Vec3'  peekVec3* -- ^ axis
,  `Float'  -- ^ radius
,  `Float'  -- ^ minTh
,  `Float'  -- ^ maxTh
,  `Float'  -- ^ minPs
,  `Float'  -- ^ maxPs
, withVec3* `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ stepDegrees
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#181>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSpherePatch as btIDebugDraw_drawSpherePatch'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ center
, allocaVec3-  `Vec3'  peekVec3* -- ^ up
, allocaVec3-  `Vec3'  peekVec3* -- ^ axis
,  `Float'  -- ^ radius
,  `Float'  -- ^ minTh
,  `Float'  -- ^ maxTh
,  `Float'  -- ^ minPs
,  `Float'  -- ^ maxPs
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
,  `Float'  -- ^ stepDegrees
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere1 as btIDebugDraw_drawSphere1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVec3* `Vec3'  peekVec3* -- ^ p
,  `Float'  -- ^ radius
, withVec3* `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere1 as btIDebugDraw_drawSphere1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVec3-  `Vec3'  peekVec3* -- ^ p
,  `Float'  -- ^ radius
, allocaVec3-  `Vec3'  peekVec3* -- ^ color
 } ->  `()'   #}
-- * btMatrix3x3DoubleData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.h?r=2223#732>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.cpp?r=2223>
-}
{#fun btMatrix3x3DoubleData_new as btMatrix3x3DoubleData    {  } -> `BtMatrix3x3DoubleData' mkBtMatrix3x3DoubleData* #}
{#fun btMatrix3x3DoubleData_free    `( BtMatrix3x3DoubleDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btMatrix3x3FloatData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.h?r=2223#726>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.cpp?r=2223>
-}
{#fun btMatrix3x3FloatData_new as btMatrix3x3FloatData    {  } -> `BtMatrix3x3FloatData' mkBtMatrix3x3FloatData* #}
{#fun btMatrix3x3FloatData_free    `( BtMatrix3x3FloatDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btMotionState
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#35>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_setWorldTransform as btMotionState_setWorldTransform    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#35>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_setWorldTransform as btMotionState_setWorldTransform'    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#32>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_getWorldTransform as btMotionState_getWorldTransform    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#32>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_getWorldTransform as btMotionState_getWorldTransform'    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'   #}
-- * btPointerUid
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#129>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btPointerUid_new as btPointerUid    {  } -> `BtPointerUid' mkBtPointerUid* #}
{#fun btPointerUid_free    `( BtPointerUidClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btQuadWord
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#129>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_new0 as btQuadWord0    {  } -> `BtQuadWord' mkBtQuadWord* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#139>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_new1 as btQuadWord1    {   `Float' ,  `Float' ,  `Float'  } -> `BtQuadWord' mkBtQuadWord* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#150>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_new2 as btQuadWord2    {   `Float' ,  `Float' ,  `Float' ,  `Float'  } -> `BtQuadWord' mkBtQuadWord* #}
{#fun btQuadWord_free    `( BtQuadWordClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#168>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setMin as btQuadWord_setMin    `( BtQuadWordClass bc , BtQuadWordClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#100>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setValue0 as btQuadWord_setValue    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
,  `Float'  -- ^ y
,  `Float'  -- ^ z
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#100>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setValue0 as btQuadWord_setValue0    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
,  `Float'  -- ^ y
,  `Float'  -- ^ z
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#121>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setValue1 as btQuadWord_setValue1    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
,  `Float'  -- ^ y
,  `Float'  -- ^ z
,  `Float'  -- ^ w
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#158>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setMax as btQuadWord_setMax    `( BtQuadWordClass bc , BtQuadWordClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_getX as btQuadWord_getX    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_getY as btQuadWord_getY    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_getZ as btQuadWord_getZ    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#69>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setW as btQuadWord_setW    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ w
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#77>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_w as btQuadWord_w    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#73>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_y as btQuadWord_y    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#71>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_x as btQuadWord_x    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#75>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_z as btQuadWord_z    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#63>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setX as btQuadWord_setX    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#65>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setY as btQuadWord_setY    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ y
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#67>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setZ as btQuadWord_setZ    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ z
 } ->  `()'   #}
-- * btSerializer
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#100>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_setSerializationFlags as btSerializer_setSerializationFlags    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ flags
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#78>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_getCurrentBufferSize as btSerializer_getCurrentBufferSize    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_startSerialization as btSerializer_startSerialization    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#98>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_getSerializationFlags as btSerializer_getSerializationFlags    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#90>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_finishSerialization as btSerializer_finishSerialization    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#86>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_getUniquePointer as btSerializer_getUniquePointer    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ oldPtr
 } ->  `VoidPtr'  mkVoidPtr* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_finalizeChunk as btSerializer_finalizeChunk    `( BtSerializerClass bc , BtChunkClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ chunk
,  `String'  -- ^ structType
,  `Int'  -- ^ chunkCode
, withVoidPtr* `VoidPtr'  -- ^ oldPtr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_serializeName as btSerializer_serializeName    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ ptr
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#84>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_findPointer as btSerializer_findPointer    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
, withVoidPtr* `VoidPtr'  -- ^ oldPtr
 } ->  `VoidPtr'  mkVoidPtr* #}
-- * btStackAlloc
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#38>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_new as btStackAlloc    {   `Word32'  } -> `BtStackAlloc' mkBtStackAlloc* #}
{#fun btStackAlloc_free    `( BtStackAllocClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#41>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_create as btStackAlloc_create    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Word32'  -- ^ size
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_ctor as btStackAlloc_ctor    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#47>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_destroy as btStackAlloc_destroy    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#81>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_beginBlock as btStackAlloc_beginBlock    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtBlock'  mkBtBlock* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#63>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_getAvailableMemory as btStackAlloc_getAvailableMemory    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_endBlock as btStackAlloc_endBlock    `( BtStackAllocClass bc , BtBlockClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ block
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#110>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_totalsize_set    `( BtStackAllocClass bc )' =>     { withBt* `bc' ,  `Word32'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#110>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_totalsize_get    `( BtStackAllocClass bc )' =>     { withBt* `bc'  } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#111>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_usedsize_set    `( BtStackAllocClass bc )' =>     { withBt* `bc' ,  `Word32'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#111>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_usedsize_get    `( BtStackAllocClass bc )' =>     { withBt* `bc'  } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_current_set    `( BtStackAllocClass bc , BtBlockClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_current_get    `( BtStackAllocClass bc )' =>     { withBt* `bc'  } ->  `BtBlock'  mkBtBlock* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_ischild_set    `( BtStackAllocClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#113>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_ischild_get    `( BtStackAllocClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * btTransformDoubleData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#262>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformDoubleData_new as btTransformDoubleData    {  } -> `BtTransformDoubleData' mkBtTransformDoubleData* #}
{#fun btTransformDoubleData_free    `( BtTransformDoubleDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#263>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformDoubleData_m_basis_set    `( BtTransformDoubleDataClass bc , BtMatrix3x3DoubleDataClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#263>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformDoubleData_m_basis_get    `( BtTransformDoubleDataClass bc )' =>     { withBt* `bc'  } ->  `BtMatrix3x3DoubleData'  mkBtMatrix3x3DoubleData* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#264>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformDoubleData_m_origin_set    `( BtTransformDoubleDataClass bc , BtVector3DoubleDataClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#264>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformDoubleData_m_origin_get    `( BtTransformDoubleDataClass bc )' =>     { withBt* `bc'  } ->  `BtVector3DoubleData'  mkBtVector3DoubleData* #}
-- * btTransformFloatData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#256>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformFloatData_new as btTransformFloatData    {  } -> `BtTransformFloatData' mkBtTransformFloatData* #}
{#fun btTransformFloatData_free    `( BtTransformFloatDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#257>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformFloatData_m_basis_set    `( BtTransformFloatDataClass bc , BtMatrix3x3FloatDataClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#257>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformFloatData_m_basis_get    `( BtTransformFloatDataClass bc )' =>     { withBt* `bc'  } ->  `BtMatrix3x3FloatData'  mkBtMatrix3x3FloatData* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#258>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformFloatData_m_origin_set    `( BtTransformFloatDataClass bc , BtVector3FloatDataClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#258>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformFloatData_m_origin_get    `( BtTransformFloatDataClass bc )' =>     { withBt* `bc'  } ->  `BtVector3FloatData'  mkBtVector3FloatData* #}
-- * btTransformUtil
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#39>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_new as btTransformUtil    {  } -> `BtTransformUtil' mkBtTransformUtil* #}
{#fun btTransformUtil_free    `( BtTransformUtilClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocity as btTransformUtil_calculateVelocity    `( )' =>     {  withTransform* `Transform'  peekTransform* -- ^ transform0
, withTransform* `Transform'  peekTransform* -- ^ transform1
,  `Float'  -- ^ timeStep
, withVec3* `Vec3'  peekVec3* -- ^ linVel
, withVec3* `Vec3'  peekVec3* -- ^ angVel
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocity as btTransformUtil_calculateVelocity'    `( )' =>     {  allocaTransform-  `Transform'  peekTransform* -- ^ transform0
, allocaTransform-  `Transform'  peekTransform* -- ^ transform1
,  `Float'  -- ^ timeStep
, allocaVec3-  `Vec3'  peekVec3* -- ^ linVel
, allocaVec3-  `Vec3'  peekVec3* -- ^ angVel
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#43>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_integrateTransform as btTransformUtil_integrateTransform    `( )' =>     {  withTransform* `Transform'  peekTransform* -- ^ curTrans
, withVec3* `Vec3'  peekVec3* -- ^ linvel
, withVec3* `Vec3'  peekVec3* -- ^ angvel
,  `Float'  -- ^ timeStep
, withTransform* `Transform'  peekTransform* -- ^ predictedTransform
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#43>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_integrateTransform as btTransformUtil_integrateTransform'    `( )' =>     {  allocaTransform-  `Transform'  peekTransform* -- ^ curTrans
, allocaVec3-  `Vec3'  peekVec3* -- ^ linvel
, allocaVec3-  `Vec3'  peekVec3* -- ^ angvel
,  `Float'  -- ^ timeStep
, allocaTransform-  `Transform'  peekTransform* -- ^ predictedTransform
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocityQuaternion as btTransformUtil_calculateVelocityQuaternion    `( )' =>     {  withVec3* `Vec3'  peekVec3* -- ^ pos0
, withVec3* `Vec3'  peekVec3* -- ^ pos1
, withUnitQuaternion* `UnitQuaternion'  peekUnitQuaternion* -- ^ orn0
, withUnitQuaternion* `UnitQuaternion'  peekUnitQuaternion* -- ^ orn1
,  `Float'  -- ^ timeStep
, withVec3* `Vec3'  peekVec3* -- ^ linVel
, withVec3* `Vec3'  peekVec3* -- ^ angVel
 } ->  `()'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocityQuaternion as btTransformUtil_calculateVelocityQuaternion'    `( )' =>     {  allocaVec3-  `Vec3'  peekVec3* -- ^ pos0
, allocaVec3-  `Vec3'  peekVec3* -- ^ pos1
, allocaUnitQuaternion-  `UnitQuaternion'  peekUnitQuaternion* -- ^ orn0
, allocaUnitQuaternion-  `UnitQuaternion'  peekUnitQuaternion* -- ^ orn1
,  `Float'  -- ^ timeStep
, allocaVec3-  `Vec3'  peekVec3* -- ^ linVel
, allocaVec3-  `Vec3'  peekVec3* -- ^ angVel
 } ->  `()'   #}
-- * btTypedObject
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#512>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_new as btTypedObject    {   `Int'  } -> `BtTypedObject' mkBtTypedObject* #}
{#fun btTypedObject_free    `( BtTypedObjectClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#517>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_getObjectType as btTypedObject_getObjectType    `( BtTypedObjectClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#516>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_m_objectType_set    `( BtTypedObjectClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#516>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_m_objectType_get    `( BtTypedObjectClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btVector3DoubleData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.h?r=2223#719>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.cpp?r=2223>
-}
{#fun btVector3DoubleData_new as btVector3DoubleData    {  } -> `BtVector3DoubleData' mkBtVector3DoubleData* #}
{#fun btVector3DoubleData_free    `( BtVector3DoubleDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btVector3FloatData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.h?r=2223#714>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.cpp?r=2223>
-}
{#fun btVector3FloatData_new as btVector3FloatData    {  } -> `BtVector3FloatData' mkBtVector3FloatData* #}
{#fun btVector3FloatData_free    `( BtVector3FloatDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
